2009-06-15  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        Add a script to automate the rolling over of ChangeLog files when they grow too large.

        * Scripts/roll-over-ChangeLogs: Added.

2009-06-15  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Mark Rowe.
        
        <rdar://problem/6974857>
        
        Build with ENABLE_3D_RENDERING turned on by default on SnowLeopard.

        * Scripts/build-webkit:

2009-06-12  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Mark Rowe.
        Reviewed by Simon Hausmann.

        Refactor handling of options in the build-webkit script
        
        Options are now defined in one place, and then reused when creating
        the usage help text, the arguments to GetOptions(), and when passing
        the options on to the underlying port-dependent build systems.
        
        This allows the Qt port to read the defaults for the options from the
        pro file (dynamically), and to pass the options on to qmake at build.

        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2009-06-15  Mark Rowe  <mrowe@apple.com>

        Reviewed by Cameron Zwarich.

        Fix <https://bugs.webkit.org/show_bug.cgi?id=26312>.
        Bug 26312: Multiple copies of Safari opened with WebKit nightly and Safari 3.2.3

        Skip the trampoline detection for versions of Safari < 4.0 as they don't play these
        tricks, and having WebKitNightlyEnabler assume that we were in the trampoline was
        preventing our LaunchServices trickery from being run.  This led to fresh copies of
        WebKit.app being launched when a URL or file was opened from an external application
        rather than the existing instance being reused.

        * WebKitLauncher/WebKitNightlyEnabler.m:
        (insideSafari4OnTigerTrampoline):
        (enableWebKitNightlyBehaviour):

2009-06-13  Sam Weinig  <sam@webkit.org>

        Rubber-stamped by Mark "Snowy" Rowe.

        Update iExploder/htdocs/cssproperties.in by running update-iexploder-cssproperties.

        * iExploder/htdocs/cssproperties.in:

2009-06-13  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Eric Seidel.  Landed by Adam Barth.

        Removed dead file.
        https://bugs.webkit.org/show_bug.cgi?id=26308

        * DumpRenderTree/win/TestNetscapePlugin/main.c: Removed.

2009-06-12  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Gustavo Noronha.

        [Gtk] use strlen instead of g_utf8_strlen so we can enable more tests.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dumpHistoryItem):

2009-06-12  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Jan Alonzo.

        https://bugs.webkit.org/show_bug.cgi?id=25599
        [GTK] Enable more tests

        Implement dumping of status callback.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (webViewStatusBarTextChanged):
        (main):

2009-06-11  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Steve Falkenburg.

        https://bugs.webkit.org/show_bug.cgi?id=26306

        Revert 42565 as it leads to DumpRenderTree crashing on startup because
        Windows can't find CFURLCacheCopySharedURLCache in CoreNetwork.dll.

        * DumpRenderTree/win/DumpRenderTree.cpp:

2009-06-10  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Jan Alonzo.

        [gtk] Change DumpRenderTree to use a GtkScrolledWindow instead of GtkFixed

        Change the code to use GtkScrolledWindow and resize the GtkScrolledWindow
        to pass more tests. Make sure the content is bigger than a thumbnail.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (runTest):
        (main):

2009-06-10  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Gustavo Noronha.

        Clear the frame name before we run each tests so we don't get
        "someFloaString" or "3" in the target frame name.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):

2009-06-10  Dan Bernstein  <mitz@apple.com>

        Reviewed by Adele Peterson.

        - add a LayoutTestController method for temporarily changing the WebKit
          cache model

        * DumpRenderTree/LayoutTestController.cpp:
        (setCacheModelCallback): Added. Calls
        LayoutTestController::setCacheModel() with the first argument as an
        integer.
        (LayoutTestController::staticFunctions): Added setCacheModel.
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setCacheModel):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (setDefaultsToConsistentValuesForTesting): Reset the cache model to
        WebCacheModelDocumentBrowser.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setCacheModel): Added. Calls -[WebPreferences
        setCacheModel:].
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setCacheModel):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setCacheModel):

2009-06-09  Mark Rowe  <mrowe@apple.com>

        Reviewed by Sam Weinig.

        Have sunspider-compare-results use the system version of the jsc
        command line binary as there's no good reason to rebuild from source
        to simply compare results.

        * Scripts/sunspider-compare-results:

2009-06-09  Simon Hausmann  <simon.hausmann@nokia.com>

        Reviewed by Ariya Hidayat.

        Removed setUseFixedLayout and renamed setFixedLayoutSize to
        setFixedContentsSize.

        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::setFixedContentsSize):
        * DumpRenderTree/qt/jsobjects.h:

2009-06-09  Simon Hausmann  <simon.hausmann@nokia.com>

        Fix the Qt build, add missing function declaration.

        * DumpRenderTree/qt/jsobjects.h:

2009-06-09  Mark Rowe  <mrowe@apple.com>

        Reviewed by Dan Bernstein.

        Fix <https://bugs.webkit.org/show_bug.cgi?id=24642>.
        Bug 24642: REGRESSION: Nightly builds sometimes erroneously display a message about failing to launch successfully

        Safari 4 on Tiger plays some shenanigans during launch that can confuse the nightly launcher application
        in to running its initialization code too soon.

        * WebKitLauncher/WebKitNightlyEnabler.m:
        (insideSafariOnTigerTrampoline): Detect these shenanigans.
        (enableWebKitNightlyBehaviour): Delay initialization when needed.

2009-06-08  Brady Eidson  <beidson@apple.com>

        Reviewed by Antti Koivisto

        Add dispatchPendingLoadRequests() to test fix for <rdar://problem/6727495>

        * DumpRenderTree/LayoutTestController.cpp:
        (dispatchPendingLoadRequestsCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::dispatchPendingLoadRequests): Implement using [WebView _dispatchPendingLoadRequests] SPI

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::dispatchPendingLoadRequests): Need implementations.
        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::dispatchPendingLoadRequests): Ditto.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::dispatchPendingLoadRequests): Ditto.
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::dispatchPendingLoadRequests): Ditto.

2009-06-07  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Cameron Zwarich.

        Delete the AccessibilityController that we allocated in -init.

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate dealloc]):

2009-06-06  Mark Rowe  <mrowe@apple.com>

        Reviewed by Dan Bernstein.

        Factor out the code to check whether a library contains a given symbol in to a helper function.

        * Scripts/webkitdirs.pm:

2009-06-06  Mark Rowe  <mrowe@apple.com>

        Reviewed by Sam Weinig.

        Detect when XHTML MP and WCSS are disabled and skip their associated regression tests.

        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2009-06-06  Mark Rowe  <mrowe@apple.com>

        Reviewed by Brady Eidson.

        <rdar://problem/6778101> Four SSL-related test failures

        With newer versions of CFNetwork we receive a NSURLErrorServerCertificateUntrusted error
        code rather than the more specific NSURLErrorServerCertificateHasUnknownRoot that DumpRenderTree
        was looking for.  Update DumpRenderTree to accommodate the different error code.

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate webView:didFailProvisionalLoadWithError:forFrame:]):

2009-06-03  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Rubber-stamped by Simon Hausmann.

        [Qt] Fix Perl warning when calling chdir with an empty/undefined path
        
        This happened when the included makespec was in the same directory as
        the parent makespec, so the relative path between the two was empty.

        * Scripts/webkitdirs.pm:

2009-06-04  Darin Adler  <darin@apple.com>

        Reviewed by Tim Hatcher.

        Fix crashes due to unbalanced start/stop observer calls.

        * DumpRenderTree/mac/DumpRenderTreeWindow.h: Added observingWebView.
        * DumpRenderTree/mac/DumpRenderTreeWindow.mm:
        (-[DumpRenderTreeWindow startObservingWebView]): Call stopObservingWebView
        in case we're already observing some other WebView. Set observingWebView.
        (-[DumpRenderTreeWindow stopObservingWebView]): Do nothing if
        observingWebView is already NO. Clear observingWebView.

2009-06-03  David Hyatt  <hyatt@apple.com>

        Reviewed by Sam Weinig.

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate webView:didCommitLoadForFrame:]):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setMainFrameIsFirstResponder):
        Remove explicit calls to _updateFocusedActiveState when the view is made first responder.
        Focused state already properly updates when views become first responders, so these calls
        are unnecessary.

        (LayoutTestController::setWindowIsKey):
        Explicitly call _updateActiveState when our window becomes key, since we're just faking it
        and the notification won't be sent.

2009-06-02  Jessie Berlin  <jberlin@apple.com>

        Reviewed by Mark Rowe.
        
        Add "replace" behavior so that it shows the addition part of the
        replacement of the file first, and then shows the changes.
        
        Future: Add in showing the removal part of the replacement.

        * Scripts/svn-create-patch:

2009-06-02  Brent Fulgham  <bfulgham@webkit.org>

        Reviewed by Adam Roben.

        Update WinLauncher for WebKitCreateInstance.
        https://bugs.webkit.org/show_bug.cgi?id=26136

        * WinLauncher/WinLauncher.cpp: Revise implementation to
          use WebKitCreateInstance (rather than CoCreateInstance).
        * WinLauncher/WinLauncher.h: Modify include path for
          WebKit.h to match DumpRenderTree style.
        * WinLauncher/WinLauncher.vcproj: Remove unnecessary
          WebKit.tlb and EmbeddedIDL flags from build.

2009-06-02  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Rubber-stamped by Adam Roben.

        [Qt] Fix Perl warning about uninitialized value (passedConfiguration())

        * Scripts/webkitdirs.pm:

2009-06-02  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Rubber-stamped by Simon Hausmann.

        Use File::Spec->tmpdir instead of hardcoded paths for tempfile() dir
        
        This fixes the Windows-build if the user does not have a /tmp directory.

        * Scripts/bisect-builds:

2009-06-01  Yongjun Zhang  <yongjun.zhang@nokia.com>>

        Reviewed by Holger Freyther.  Landed by Adam Barth.

        <https://bugs.webkit.org/show_bug.cgi?id=26070>

        [Qt] EventSender.keyDown doesn't support Arrow Up and Down keys.
        Add Down and Up key support.
        
        * DumpRenderTree/qt/jsobjects.cpp:
        (EventSender::keyDown):

2009-06-01  Mark Rowe  <mrowe@apple.com>

        Reviewed by Sam Weinig.

        svn-create-patch displays confusing "Broken pipe" errors from Subversion
        when files have been renamed in local working copy.  This was happening
        because we invoke 'svn info' to determine the URL that the file was copied
        from, but we were closing the pipe to the subprocess before SVN had finished
        writing its output.

        * Scripts/prepare-ChangeLog: Consume all 'svn info' output before closing the file handle.
        * Scripts/svn-create-patch: Ditto.

2009-05-31  Sam Weinig  <sam@webkit.org>

        Reviewed by Dan Bernstein.

        - implement LayoutTestController::clearAllDatabases() on
          Windows.

        Needed for storage/transaction-error-callback.html.

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::clearAllDatabases):

2009-05-28  Dirk Schulze  <krit@webkit.org>

        Reviewed by Nikolas Zimmermann.

        Added new build flag --filters. More details in WebCore/ChangeLog.

        * Scripts/build-webkit:

2009-05-28  Olivier DOLE  <odole@pleyo.com>

        Reviewed by Maciej.

        Add options to sunspider-compare-results to know which test suite to
        compare (see bug #15941).

        * Scripts/sunspider-compare-results:

2009-05-27  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Dan Bernstein.

        Update build-webkit to handle a new version of WebKitSystemInterface.

        * Scripts/build-webkit:

2009-05-27  Fridrich Strba  <fridrich.strba@bluewin.ch>

        Reviewed by Maciej Stachowiak.

        When building with MinGW, don't use the __declspec(dl{import,export})
        decorations and rely on the linker to use its nifty auto-import feature.
        It is extremely hard to get the decorations right with MinGW in general
        and impossible in WebKit, where the resulting shared library is linking
        together some static libraries.

        * DumpRenderTree/config.h:

2009-05-23  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        Land the updated version of WebKitLauncher that the nightly builds have been using.

        Changes include:
        1) Support for self-updating via Sparkle.
        2) Now respects the "Open using Rosetta" preference.
        3) Passes environment variables through to the spawned Safari process.
        4) Logs a list of extensions that are detected to the system console.
        5) Disables extensions that are known to cause crashes too early in the
           launch process to be detected by the extension-detection code.

        * WebKitLauncher/Configurations/Base.xcconfig: Added.
        * WebKitLauncher/Configurations/WebKitLauncher.xcconfig: Added.
        * WebKitLauncher/Configurations/WebKitNightlyEnabler.xcconfig: Added.
        * WebKitLauncher/Info.plist:
        * WebKitLauncher/WebKitLauncher.xcodeproj/project.pbxproj:
        * WebKitLauncher/WebKitNightlyEnabler.h: Added.
        * WebKitLauncher/WebKitNightlyEnabler.m:
        (myBundleDidLoad):
        (myApplicationWillFinishLaunching):
        (poseAsWebKitApp):
        (webKitLauncherBundle):
        (enableWebKitNightlyBehaviour):
        * WebKitLauncher/WebKitNightlyEnablerSparkle.h: Added.
        * WebKitLauncher/WebKitNightlyEnablerSparkle.m: Added.
        (initializeSparkle):
        (updatePermissionPromptDescription):
        (skipSignatureVerificationInDownloadDidFinish):
        (updateAlertPanel):
        (updateAlertInitForAlertPanel):
        (-[NSAlert webKitHandleButtonPress:]):
        (setMethodImplementation):
        * WebKitLauncher/main.m:
        (displayErrorAndQuit):
        (getLastVersionShown):
        (saveLastVersionShown):
        (getPathForStartPage):
        (getCurrentVersion):
        (getShowStartPageVersion):
        (startPageDisabled):
        (addStartPageToArgumentsIfNeeded):
        (preferredArchitecture):
        (myExecve):
        (locateSafariBundle):
        (currentMacOSXVersion):
        (checkFrameworkPath):
        (main):

2009-05-23  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Gustavo Noronha and Xan Lopez.

        [Gtk] Enable database and localStorage support
        https://bugs.webkit.org/show_bug.cgi?id=25629

        Enable database and localStorage for running the storage/ tests.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):

2009-05-23  David Kilzer  <ddkilzer@apple.com>

        Part 1 of 2: Bug 25495: Implement PassOwnPtr and replace uses of std::auto_ptr

        <https://bugs.webkit.org/show_bug.cgi?id=25495>

        Reviewed by Oliver Hunt.

        * DumpRenderTree/ForwardingHeaders/wtf/OwnPtrCommon.h: Added.
        * DumpRenderTree/ForwardingHeaders/wtf/PassOwnPtr.h: Added.

2009-05-23  David Kilzer  <ddkilzer@apple.com>

        resolve-ChangeLogs: Add missing newline to status message

        * Scripts/resolve-ChangeLogs: Added newline to status message
        that is printed when the -c|--continue switch is used but there
        are unmerged files remaining in the git working directory.

2009-05-23  Eric Seidel  <eric@webkit.org>

        Reviewed by Mark Rowe.

        Add an error message to a die statement in run-webkit-tests
        I hit this die when two users tried to run-webkit-tests at the same time. :(

        * Scripts/run-webkit-tests:

2009-05-22  Andre Pedralho  <andre.pedralho@openbossa.org>

        Reviewed by Simon Hausmann.

        Fixed --makeargs usage in Qt build.

        * Scripts/build-webkit:

2009-05-22  Zoltan Horvath  <horvath.zoltan.6@stud.u-szeged.hu>

        Reviewed by Simon Hausmann.

        Correcting error message on missing WEBKIT_TESTFONTS
        environment varible in Qt-port.

        * DumpRenderTree/qt/main.cpp:
        (main):

2009-05-21  Eric Seidel  <eric@webkit.org>

        Rubber-stamped by Antti Koivisto.

        Make it possible to write js-only http tests by exposing a /js-test-resources alias.
        https://bugs.webkit.org/show_bug.cgi?id=25915

        Second attempt at landing, now using -c instead of -C to make sure
        that mod_alias is loaded on Apache 1.x instances before using Alias.

        * Scripts/run-webkit-httpd:
        * Scripts/run-webkit-tests:

2009-05-21  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Xan Lopez.

        Default to running HTTP tests for GTK+.

        * Scripts/run-webkit-tests:

2009-05-21  Darin Adler  <darin@apple.com>

        Rolled the httpd changes out, since many machines (including the bots)
        have an older version of Apache that does not support the Alias command.
        Or maybe it's something else, but the bots are failing.

        * Scripts/run-webkit-httpd: Rolled back.
        * Scripts/run-webkit-tests: Ditto.

2009-05-21  Eric Seidel  <eric@webkit.org>

        Reviewed by Geoffrey Garen.

        Make it possible to write js-only http tests by exposing a /js-test-resources alias.
        https://bugs.webkit.org/show_bug.cgi?id=25915

        * Scripts/run-webkit-httpd:
        * Scripts/run-webkit-tests:

2009-05-21  Andre Pedralho  <andre.pedralho@openbossa.org>

        Reviewed by Gustavo Noronha.

        Added --makeargs flag to the build script.

        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2009-05-14  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Anders Carlsson.

        https://bugs.webkit.org/show_bug.cgi?id=24510 where

        Add testHasProperty and testHasMethod to the existing functions
        of the PluginObject to be able to test the browser hasproperty
        and hasmethod implementation. Invoke them from pluginInvoke.

        Change the defines to an enum to avoid manually updating
        NUM_METHOD_IDENTIFIERS and assigning numbers.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (testHasProperty): test hasproperty
        (testHasMethod): test hasmethod
        (pluginInvoke): invoke the two

2009-05-20  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by George Staikos.

        BUG 25843: [Qt] Remove qt-port build flag
        <https://bugs.webkit.org/show_bug.cgi?id=25843>

        * DumpRenderTree/qt/DumpRenderTree.pro:
        * Scripts/webkitdirs.pm:

2009-05-18  Eric Seidel  <eric@webkit.org>

        Reviewed by Oliver Hunt.

        Remove layoutTestController.addFileToPasteboardOnDrag and add eventSender.beginDragWithFiles
        https://bugs.webkit.org/show_bug.cgi?id=25852

        This allows us to now test multi-file file drags in DumpRenderTree per:
        https://bugs.webkit.org/show_bug.cgi?id=25862

        I removed the existing tests using addFileToPasteboardOnDrag()
        and replaced them with a new test (editing/pasteboard/file-input-files-access)
        which covers several more drag-drop cases.

        I added a DumpRenderTreeFileDraggingSource class to avoid
        the hack of if (!draggingSource) in [DumpRenderTreeDraggingInfo draggingSourceOperationMask]

        New Test: editing/pasteboard/file-input-files-access.html

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/DumpRenderTreeFileDraggingSource.h: Added.
        * DumpRenderTree/DumpRenderTreeFileDraggingSource.m: Added.
        (-[DumpRenderTreeFileDraggingSource draggingSourceOperationMaskForLocal:]):
        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::staticValues): removed addFileToPasteboardOnDrag support
        (LayoutTestController::staticFunctions): removed addFileToPasteboardOnDrag support
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (runTest): ASSERT that draggingInfo has been cleared
        * DumpRenderTree/mac/EventSendingController.mm:
        (+[EventSendingController isSelectorExcludedFromWebScript:]): Sorted selectors.
        (+[EventSendingController webScriptNameForSelector:]): Sorted selectors.
        (-[EventSendingController beginDragWithFiles:]):
        (-[EventSendingController mouseMoveToX:Y:]):
        (-[EventSendingController keyDown:withModifiers:]):
        (-[EventSendingController fireKeyboardEventsToElement:]): removed spurious { }
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:dragImage:at:offset:event:pasteboard:source:slideBack:forView:]): removed addFileToPasteboardOnDrag support

2009-05-19  Kevin Ollivier  <kevino@theolliviers.com>

        wxMSW build fixes for DRT.

        * DumpRenderTree/wx/DumpRenderTreeWx.cpp:
        (runTest):
        * DumpRenderTree/wx/WorkQueueItemWx.cpp:
        (LoadItem::invoke):
        (ReloadItem::invoke):
        (ScriptItem::invoke):
        (BackForwardItem::invoke):

2009-05-18  Julien Chaffraix  <jchaffraix@webkit.org>

        Bug 24569: Add some cookies tests

        <https://bugs.webkit.org/show_bug.cgi?id=24569>

        Patch by David Kilzer.

        * Scripts/make-js-test-wrappers: Added regex to skip
        cookies-test-(post|pre).js files.

2009-05-18  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Use python-config to get Python linking info on Unix OSes. 

        * wx/build-wxwebkit:

2009-05-18  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix, initialize variable that doesn't get set on Windows.

        * DumpRenderTree/wx/DumpRenderTreeWx.cpp:
        (MyApp::OnInit):

2009-05-18  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Xan Lopez.

        [Gtk] Various autotools build refactoring and fixes
        https://bugs.webkit.org/show_bug.cgi?id=25286

        Add -no-install and -no-fast-install to programs and tests that we
        don't install. Also remove -O2 since this is already handled at
        configure time.

        * GNUmakefile.am:

2009-05-18  Julie Parent  <jparent@google.com>

        Reviewed by Oliver Hunt.

        https://bugs.webkit.org/show_bug.cgi?id=25846
        Make eventSender dispatch a drag over event.

        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:dragImage:at:offset:event:pasteboard:source:slideBack:forView:]):

2009-05-18  Julie Parent  <jparent@google.com>

        Reviewed by Eric Seidel.

        https://bugs.webkit.org/show_bug.cgi?id=25716

        * Scripts/make-js-test-wrappers: Added exception to avoid overwriting a custom-written test.

2009-05-18  Julie Parent  <jparent@google.com>

        Reviewed by Eric Seidel.

        https://bugs.webkit.org/show_bug.cgi?id=25716

        * Scripts/make-js-test-wrappers: Added exception to avoid overwriting a custom-written test.

2009-05-11  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Jan Michael Alonzo.

        https://bugs.webkit.org/show_bug.cgi?id=25787

        Merge r41819 into Gtk. Do not use printf but send messages
        through the log command.

        * DumpRenderTree/gtk/TestNetscapePlugin/TestNetscapePlugin.cpp:
        (log):
        (webkit_test_plugin_new_instance):
        (webkit_test_plugin_destroy_instance):
        (webkit_test_plugin_set_window):
        (webkit_test_plugin_handle_event):

2009-05-11  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Jan Michael Alonzo.

        https://bugs.webkit.org/show_bug.cgi?id=25787

        Forward port r39877 from main.c of OSX to TestNetscapePlugin
        of Gtk.

        * DumpRenderTree/gtk/TestNetscapePlugin/TestNetscapePlugin.cpp:
        (webkit_test_plugin_new_instance):

2009-05-15  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Don't parse args using getopt since it isn't available on Windows.

        * DumpRenderTree/wx/DumpRenderTreeWx.cpp:
        (MyApp::OnInit):

2009-05-15  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Holger Freyther.

        [GTK] Implement layoutTestController.waitForPolicyDelegate
        https://bugs.webkit.org/show_bug.cgi?id=25036

        Connect to 'navigation-policy-decision-requested' and handle
        waitForPolicy in the callback.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (invalidateAnyPreviousWaitToDumpWatchdog):
        (webViewNavigationPolicyDecisionRequested):
        (main):
        * DumpRenderTree/gtk/DumpRenderTreeGtk.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::notifyDone):
        (LayoutTestController::waitForPolicyDelegate):

2009-05-14  David Levin  <levin@chromium.org>

        Reviewed by Eric Seidel.

        https://bugs.webkit.org/show_bug.cgi?id=24704

        Make paths where data is saved be scoped to the ~ directory,
        so that one can run independent instances by setting CFFIXED_USER_HOME.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (libraryPath):
        (setDefaultsToConsistentValuesForTesting):
        (dumpFrameAsPDF):

2009-05-13  David Kilzer  <ddkilzer@apple.com>

        Fix resolve-ChangeLogs when used with Subversion

        Reviewed by Darin Adler.

        Fixes the following issue when run on a Subversion repository:

            $ ./WebKitTools/Scripts/resolve-ChangeLogs
            ERROR: --continue may only be used with a git repository

        * Scripts/resolve-ChangeLogs: Check for the boolean value of
        $gitRebaseContinue, not whether it's defined, when validating
        command-line switches.

2009-05-12  David Kilzer  <ddkilzer@apple.com>

        Bug 21418: resolve-ChangeLogs should have a --continue option which does git rebase --continue

        <https://bugs.webkit.org/show_bug.cgi?id=21418>

        Reviewed by Darin Adler.

        * Scripts/resolve-ChangeLogs: Added -c|--continue switch that
        runs "git rebase --continue" before exiting the script.
        (hasGitUnmergedFiles): Added.  Returns true if there are
        unmerged files in the git repository.

2009-05-11  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Holger Freyther.

        [Qt] Make sure that public APIs are properly exported on all Qt platforms
        https://bugs.webkit.org/show_bug.cgi?id=25601

        * Scripts/webkitdirs.pm: Remove QT_SHARED define from Qt builds, define QT_MAKEDLL in WebCore.pro instead

2009-05-07  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fixes for Python extension and DRT.

        * DumpRenderTree/wx/DumpRenderTreeWx.cpp:
        (MyApp::OnInit):
        * wx/build-wxwebkit:

2009-05-07  Steve Falkenburg  <sfalken@apple.com>

        Remove manifest fixup from r42729 to fix clean builds.

        * DumpRenderTree/win/DumpRenderTree.vcproj:

2009-05-06  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix, fixes for wx trunk builds.

        * DumpRenderTree/wx/DumpRenderTreeWx.cpp:
        (MyApp::OnInit):
        * wx/build-wxwebkit:

2009-05-06  Steve Falkenburg  <sfalken@apple.com>

        Explicitly set WebKitPaintNativeControls to false to allow Windows results to match Mac.

        Reviewed by Adam Roben.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):

2009-05-06  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Reviewed by Simon Hausmann.

        Build QtWebKit as a framework on Mac

        This implies both debug and release build by default, unless
        one of the --debug or --release config options are passed to
        the build-webkit script.

        Frameworks can be disabled by passing CONFIG+=webkit_no_framework
        to the build-webkit script.

        To be able to build both debug and release targets in parallel
        we have to use separate output directories for the generated
        sources, which is not optimal, but required to avoid race conditions.

        An optimization would be to only require this spit-up on Mac.

        * Scripts/webkitdirs.pm:

2009-05-05  Darin Adler  <darin@apple.com>

        Try to fix Mac build.

        * DumpRenderTree/AccessibilityUIElement.cpp: (elementAtPointCallback): Initialize x and y.

2009-05-05  Maclolm MacLeod  <mmacleod@webmail.co.za>

        Reviewed by Kevin Ollivier.

        Have wxWebkit make use of gcc(4 and greater) hidden visibility feature
        
        https://bugs.webkit.org/show_bug.cgi?id=24345

        * wx/build-wxwebkit:

2009-05-05  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        Bug 25574: AXImageMap children links don't respond properly to accessibilityHitTest:
        https://bugs.webkit.org/show_bug.cgi?id=25574

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (elementAtPointCallback):
        (getXCallback):
        (getYCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (descriptionOfValue):
        (AccessibilityUIElement::elementAtPoint):
        (AccessibilityUIElement::role):
        (AccessibilityUIElement::title):
        (AccessibilityUIElement::description):
        (AccessibilityUIElement::x):
        (AccessibilityUIElement::y):
        (AccessibilityUIElement::width):
        (AccessibilityUIElement::height):
        (AccessibilityUIElement::intValue):
        (AccessibilityUIElement::minValue):
        (AccessibilityUIElement::maxValue):
        (AccessibilityUIElement::insertionPointLineNumber):
        (AccessibilityUIElement::supportsPressAction):
        (AccessibilityUIElement::lineForIndex):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::elementAtPoint):
        (AccessibilityUIElement::x):
        (AccessibilityUIElement::y):

2009-05-06  Christian Dywan  <christian@twotoasts.de>

        Reviewed by Gustavo Noronha.

        http://bugs.webkit.org/show_bug.cgi?id=17066
        [GTK] Improve frameloader signals

        Update GtkLauncher to use the new load-status and progress properties
        instead of the previous loading signals.

        * GtkLauncher/main.c:
        (update_title):
        (notify_load_status_cb):
        (notify_progress_cb):
        (create_browser):
        (create_window):

2009-05-05  Adam Roben  <aroben@apple.com>

        Don't use pdevenv when building with VC++ Express

        Fixes Bug 25308: REGRESSION (r42182): Build fails after following
        build instructions on webkit.org fail when using VC++ Express
        <https://bugs.webkit.org/show_bug.cgi?id=25308>

        Reviewed by Eric Seidel.

        * Scripts/webkitdirs.pm:
        (setupCygwinEnv): When Visual Studio is installed, set $vcBuildPath to
        point to pdevenv. When VC++ Express is installed, set $vcBuildPath to
        point to VC++ Express, as before.
        (buildVisualStudioProject): Use $vcBuildPath to build instead of
        hard-coding pdevenv.

2009-05-05  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        Rubber-stamped by Simon Hausmann.

        Mention --qt as an option in the build-webkit help

        * Scripts/build-webkit:

2009-05-04  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Alexey Proskuryakov.

        Enable spell-checking in DumpRenderTree.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):

2009-05-04  Kevin Ollivier  <kevino@theolliviers.com>

        Reviewed by Eric Seidel.
        
        Initial DRT implementation for wx.

        * DumpRenderTree/DumpRenderTree.h:
        * DumpRenderTree/wx: Added.
        * DumpRenderTree/wx/DumpRenderTree.bkl: Added.
        * DumpRenderTree/wx/DumpRenderTreeWx.cpp: Added.
        (LayoutWebViewEventHandler::LayoutWebViewEventHandler):
        (LayoutWebViewEventHandler::bindEvents):
        (LayoutWebViewEventHandler::OnLoadEvent):
        (LayoutWebViewEventHandler::OnAlertEvent):
        (LayoutWebViewEventHandler::OnConfirmEvent):
        (LayoutWebViewEventHandler::OnPromptEvent):
        (LayoutWebViewEventHandler::OnConsoleMessageEvent):
        (LayoutWebViewEventHandler::OnReceivedTitleEvent):
        (LayoutWebViewEventHandler::OnWindowObjectClearedEvent):
        (notifyDoneFired):
        (dumpFramesAsText):
        (dump):
        (runTest):
        (MyApp::OnInit):
        * DumpRenderTree/wx/DumpRenderTreeWx.h: Added.
        * DumpRenderTree/wx/GCControllerWx.cpp: Added.
        (GCController::collect):
        (GCController::collectOnAlternateThread):
        (GCController::getJSObjectCount):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp: Added.
        (LayoutTestController::~LayoutTestController):
        (LayoutTestController::addDisallowedURL):
        (LayoutTestController::clearBackForwardList):
        (LayoutTestController::copyDecodedHostName):
        (LayoutTestController::copyEncodedHostName):
        (LayoutTestController::display):
        (LayoutTestController::keepWebHistory):
        (LayoutTestController::notifyDone):
        (LayoutTestController::pathToLocalResource):
        (LayoutTestController::queueLoad):
        (LayoutTestController::setAcceptsEditing):
        (LayoutTestController::setCustomPolicyDelegate):
        (LayoutTestController::setMainFrameIsFirstResponder):
        (LayoutTestController::setTabKeyCyclesThroughElements):
        (LayoutTestController::setUseDashboardCompatibilityMode):
        (LayoutTestController::setUserStyleSheetEnabled):
        (LayoutTestController::setUserStyleSheetLocation):
        (LayoutTestController::setWindowIsKey):
        (LayoutTestController::setSmartInsertDeleteEnabled):
        (LayoutTestController::setJavaScriptProfilingEnabled):
        (LayoutTestController::setWaitToDump):
        (LayoutTestController::windowCount):
        (LayoutTestController::setPrivateBrowsingEnabled):
        (LayoutTestController::setAuthorAndUserStylesEnabled):
        (LayoutTestController::setPopupBlockingEnabled):
        (LayoutTestController::elementDoesAutoCompleteForElementWithId):
        (LayoutTestController::execCommand):
        (LayoutTestController::setPersistentUserStyleSheetLocation):
        (LayoutTestController::clearPersistentUserStyleSheet):
        (LayoutTestController::clearAllDatabases):
        (LayoutTestController::setDatabaseQuota):
        (LayoutTestController::numberOfActiveAnimations):
        (LayoutTestController::setSelectTrailingWhitespaceEnabled):
        (LayoutTestController::pauseTransitionAtTimeOnElementWithId):
        (LayoutTestController::setIconDatabaseEnabled):
        (LayoutTestController::pauseAnimationAtTimeOnElementWithId):
        (LayoutTestController::isCommandEnabled):
        (LayoutTestController::webHistoryItemCount):
        (LayoutTestController::waitForPolicyDelegate):
        * DumpRenderTree/wx/WorkQueueItemWx.cpp: Added.
        (LoadItem::invoke):
        (ReloadItem::invoke):
        (ScriptItem::invoke):
        (BackForwardItem::invoke):
        * Scripts/build-dumprendertree:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:
        * wx/build-wxwebkit:

2009-05-03  Sam Weinig  <sam@webkit.org>

        Reviewed by Geoffrey Garen.

        Don't pass an exception parameter if we don't care about the value.

        * DumpRenderTree/win/EventSender.cpp:
        (keyDownCallback):

2009-05-02  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        Another cut at getting tests passing on Windows again.

        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::didStartProvisionalLoadForFrame): Tweak formatting.
        (FrameLoadDelegate::didFailProvisionalLoadWithError): Ditto.
        (FrameLoadDelegate::didCommitLoadForFrame): Ditto.
        (FrameLoadDelegate::didFinishLoadForFrame): Ditto.
        (FrameLoadDelegate::didFailLoadWithError): Added missing logging.

2009-05-02  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        Try to get tests passing on Windows again.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (shouldLogFrameLoadDelegates): Allow either "/" or "\" as a path
        separator. Also require separator before as well as after path name.

2009-04-30  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix, define ENABLE_JAVASCRIPT_DEBUGGER.

        * wx/build-wxwebkit:

2009-04-30  Dimitri Glazkov  <dglazkov@chromium.org>

        Reviewed by Timothy Hatcher.

        https://bugs.webkit.org/show_bug.cgi?id=25470
        Extend the cover of ENABLE_JAVASCRIPT_DEBUGGER to profiler.

        * Scripts/build-webkit: Added ENABLE_JAVASCRIPT_DEBUGGER define.

2009-04-29  Mark Rowe  <mrowe@apple.com>

        Update build.webkit.org configuration for the addition of the new GTK buildbot.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2009-04-29  Mark Rowe  <mrowe@apple.com>

        Ignore the --use-remote-links-to-tests option for GTK as it leads to
        perl errors being spewed at the end of run-webkit-tests.

        * Scripts/run-webkit-tests:

2009-04-29  Mark Rowe  <mrowe@apple.com>

        Implement test-result-archive for GTK.

        * BuildSlaveSupport/test-result-archive:

2009-04-28  Pierre d'Herbemont  <pdherbemont@apple.com>

        Reviewed by David Kilzer.

        https://bugs.webkit.org/show_bug.cgi?id=25462

        Make sure "--pixel --add-platform-exceptions" produces platform
        specific pixel test results.

        * Scripts/run-webkit-tests: Support "--pixel
        --add-platform-exceptions"

2009-04-28  Steve Falkenburg  <sfalken@apple.com>

        Fix link warnings building TestNetscapePlugin on Windows due to mismatched
        DLL name vs. LIBRARY directive name.
        
        Reviewed by Jon Honeycutt.

        * DumpRenderTree/win/TestNetscapePlugin/TestNetscapePlugin.def:
        * DumpRenderTree/win/TestNetscapePlugin/TestNetscapePlugin.vcproj:
        * DumpRenderTree/win/TestNetscapePlugin/TestNetscapePlugin_debug.def: Added.

2009-04-28  Steve Falkenburg  <sfalken@apple.com>

        Fix warnings about PRODUCTION and ARCHIVE_BUILD on Windows builds
        of ImageDiff and DumpRenderTree.
        
        Rubber stamped by Adam Roben.

        * DumpRenderTree/win/DumpRenderTree.vcproj:
        * DumpRenderTree/win/ImageDiff.vcproj:

2009-04-28  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Darin Adler.

        Add ability to get the children count of an AX element.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (getChildrenCountCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::childrenCount):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::childrenCount):

2009-04-27  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Gustavo Noronha.

        [GTK] Make layout tests / jsc tests usable without build-webkit
        https://bugs.webkit.org/show_bug.cgi?id=21784

        This requires WEBKITOUTPUTDIR to be set to the build directory.
        Set the location of the product dir to the location pointed to by
        WEBKITOUTPUTDIR.

        * Scripts/webkitdirs.pm:

2009-04-27  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Adam Roben.

        Use libsoup's facilities to resolve relative URLs, instead, since
        it is a more robust method.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::queueLoad):

2009-04-26  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Xan Lopez.

        Resolve relative URLs when queueing loads. This fixes
        post-goback-same-url.html timing out.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::queueLoad):

2009-04-24  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Switching JSCore from a static lib to a dynamic lib
        to match the Apple build and fix symbol exports.

        * wx/build-wxwebkit:

2009-04-24  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Roben.

        Add PrettyPatch support to run-webkit-tests

        * Scripts/run-webkit-tests:

2009-04-24  Steve Falkenburg  <sfalken@apple.com>

        Fix nightly for Windows x64 users.
        Installed browser location is written to a slightly different registry key in that case.
        
        * FindSafari/FindSafari.cpp:
        (getInstalledWebKitDirectory):

2009-04-23  Mark Rowe  <mrowe@apple.com>

        Fix the Windows DRT build.

        * DumpRenderTree/win/PolicyDelegate.h:

2009-04-23  Brady Eidson  <beidson@apple.com>

        Fix Windows DRT build.

        * DumpRenderTree/win/PolicyDelegate.cpp:
        (PolicyDelegate::unableToImplementPolicyWithError):

2009-04-22  Brady Eidson  <beidson@apple.com>

        Reviewed by Maciej Stachowiak

        Add additional support for test:
        <rdar://problem/5689748> - Cannot redirect to protocols handled by external applications.

        * DumpRenderTree/mac/PolicyDelegate.mm:
        (-[PolicyDelegate webView:unableToImplementPolicyWithError:frame:]): Dump formatted information when
          a policy cannot be implemented.

        * DumpRenderTree/win/PolicyDelegate.cpp:
        (PolicyDelegate::unableToImplementPolicyWithError): Ditto.
        * DumpRenderTree/win/PolicyDelegate.h:

2009-04-22  Sam Weinig  <sam@webkit.org>

        Rubber-stamped by Darin Adler.

        Fix for <rdar://problem/6816957>
        Turn off Geolocation by default

        * Scripts/build-webkit:

2009-04-21  Dan Bernstein  <mitz@apple.com>

        Reviewed by Jon Honeycutt.

        - dump the node in the element dictionary in the action information
          passed to the policy delegate

        * DumpRenderTree/mac/PolicyDelegate.mm:
        (-[PolicyDelegate webView:decidePolicyForNavigationAction:request:frame:decisionListener:]):
        * DumpRenderTree/win/PolicyDelegate.cpp:
        (dumpPath):
        (PolicyDelegate::decidePolicyForNavigationAction):

2009-04-21  Adam Roben  <aroben@apple.com>

        Windows build fix after r42726

        * DumpRenderTree/win/DumpRenderTree.cpp: Touched to force a rebuild.
        * DumpRenderTree/win/DumpRenderTree.vcproj: Delete any pre-r42726
        manifest files during the pre-build event.

2009-04-21  Steve Falkenburg  <sfalken@apple.com>

        Use new WebKitCreateInstance API instead of CoCreateInstance
        or COMPtr's createInstance to instantiate WebKit COM objects.

        Reviewed by Adam Roben.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (initialize):
        (runTest):
        (createWebViewAndOffscreenWindow):
        (main):
        * DumpRenderTree/win/DumpRenderTree.vcproj:
        * DumpRenderTree/win/GCControllerWin.cpp:
        (GCController::collect):
        (GCController::collectOnAlternateThread):
        (GCController::getJSObjectCount):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::keepWebHistory):
        (LayoutTestController::webHistoryItemCount):
        (LayoutTestController::setIconDatabaseEnabled):
        * DumpRenderTree/win/WorkQueueItemWin.cpp:
        (LoadItem::invoke):

2009-04-20  Timothy Hatcher  <timothy@apple.com>

        Stop using the fullDocumentTeardownEnabled WebPreference methods.
        Just set the WebKitEnableFullDocumentTeardownPreferenceKey default.

        Reviewed by Darin Adler.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (setDefaultsToConsistentValuesForTesting):
        (resetWebViewToConsistentStateBeforeTesting):

2009-04-21  Geoffrey Garen  <ggaren@apple.com>

        Rubber-stamped by Adam Roben.
        
        Disabled one more Mozilla JS test because it fails intermittently on Windows.
        (See https://bugs.webkit.org/show_bug.cgi?id=25160.)

        * Scripts/run-javascriptcore-tests:

2009-04-21  Adam Roben  <aroben@apple.com>

        Fix running run-safari and run-webkit-tests from the paths recommended
        on webkit.org

        Reviewed by Steve Falkenburg and Sam Weinig.

        * Scripts/run-webkit-nightly.cmd: Moved quotes from variable
        definitions to variable uses. Otherwise cmd.exe can get confused about
        the quoting.
        * Scripts/run-webkit-tests: Changed to use an absolute path to
        execAppWithEnv so that run-webkit-tests will work when run from
        outside the source tree.

2009-04-21  Adam Roben  <aroben@apple.com>

        Rename JavaScriptCore_debug.dll to JavaScriptCore.dll in the Debug
        configuration

        This matches the naming scheme for WebKit.dll, and will be necessary
        once Safari links against JavaScriptCore.dll. This change also causes
        run-safari not to fail (because the launcher printed by FindSafari was
        always looking for JavaScriptCore.dll, never
        JavaScriptCore_debug.dll).

        Part of Bug 25305: can't run safari or drt on windows
        <https://bugs.webkit.org/show_bug.cgi?id=25305>

        Reviewed by Steve Falkenburg and Sam Weinig.

        * DumpRenderTree/win/DumpRenderTree.vcproj: Use
        $(WebKitDLLConfigSuffix) for naming JavaScriptCore.{dll,lib}.

2009-04-21  Steve Falkenburg  <sfalken@apple.com>

        Update FindSafari for JavaScriptCore DLL changes.
        Also removed code previously needed to support running nightlies against Safari 3 on Windows.
        
        Reviewed by Mark Rowe.

        * FindSafari/FindSafari.cpp:
        (getStringValue):
        (getInstalledWebKitDirectory):
        (_tmain):

2009-04-20  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj: Added PlainTextController.h
        and PlainTextController.mm.

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate webView:didClearWindowObject:forFrame:]): Added PlainTextController
        as "window.plainText".

        * DumpRenderTree/mac/PlainTextController.h: Added.
        * DumpRenderTree/mac/PlainTextController.mm: Added.

2009-04-20  Steve Falkenburg  <sfalken@apple.com>

        Separate JavaScriptCore.dll from WebKit.dll.
        Slight performance improvement or no change on benchmarks.
        
        Allows us to break a circular dependency between CFNetwork and WebKit on Windows,
        and simplifies standalone JavaScriptCore builds.

        Reviewed by Oliver Hunt.

        * DumpRenderTree/config.h: Specify JS, WebKit exported data as __declspec(dllimport)
        * DumpRenderTree/win/DumpRenderTree.vcproj: Link against JavaScriptCore.dll

2009-04-20  Sam Weinig  <sam@webkit.org>

        Rubber-stamped by Tim Hatcher.

        Add licenses for xcconfig files.

        * DumpRenderTree/mac/Configurations/Base.xcconfig:
        * DumpRenderTree/mac/Configurations/DebugRelease.xcconfig:
        * DumpRenderTree/mac/Configurations/DumpRenderTree.xcconfig:
        * DumpRenderTree/mac/Configurations/ImageDiff.xcconfig:
        * DumpRenderTree/mac/Configurations/TestNetscapePlugIn.xcconfig:

2009-04-19  David Kilzer  <ddkilzer@apple.com>

        Make FEATURE_DEFINES completely dynamic

        Reviewed by Darin Adler.

        Make FEATURE_DEFINES depend on individual ENABLE_FEATURE_NAME
        variables for each feature, making it possible to remove all
        knowledge of FEATURE_DEFINES from build-webkit.

        * Scripts/build-webkit: Define individual ENABLE_FEATURE_NAME
        variables instead of the whole FEATURE_DEFINES string when
        building with Xcode.  Miscellaneous clean up:
        - Reordered/sorted command-line switch variables.
        - Reordered/sorted command-line switches in $usage.
        - Reordered/sorted command-line switches in GetOptions().
        - Defined $svgSupport to true if any --svg-feature switch is
          set in order to match "Implies SVG Support" claim.
        - Build JavaScriptGlue after JavaScriptCore again!
        - Fixed --[no-]geolocation for GTK+ port and sorted GTK+
          command-line switches.
        - Added "exit 0" statement at the end of the script.

2009-04-17  David Kilzer  <ddkilzer@apple.com>

        Simplify FEATURE_DEFINES definition

        Reviewed by Darin Adler.

        This moves FEATURE_DEFINES and its related ENABLE_FEATURE_NAME
        variables to their own FeatureDefines.xcconfig file.  It also
        extracts a new ENABLE_GEOLOCATION variable so that
        FEATURE_DEFINES only needs to be defined once.

        * Scripts/build-webkit: Realphabetized code related to enabling
        Geolation features for WebKit.  Also set ENABLE_GEOLOCATION
        variable for xcodebuild.

2009-04-16  Darin Fisher  <darin@chromium.org>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=25223
        REGRESSION: Back button after form submission to the same URL fails to navigate.

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate processWork:]): Need to defer processing the work
        queue if a navigation started between locationChangeDone and our
        delayed processWork call.  This can happen when using queueLoadingScript
        to load script that simulates a click on a link or submit button since
        those clicks happen asynchronously.
        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::processWork): Same as above.

2009-04-16  Geoffrey Garen  <ggaren@apple.com>

        Build fix: updated check-for-global-initializers to account for code motion.

        * Scripts/check-for-global-initializers:

2009-04-16  Zan Dobersek  <zandobersek@gmail.com>

        Reviewed by Adam Roben.

        Compare test's response mime type and dump test as text properly.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dump):


2009-04-16  Adam Roben  <aroben@apple.com>

        Skip yet another JavaScriptCore test that sometimes fails on Windows

        See Bug 25160: Various ecma/Date tests sometimes fail on Windows (but
        not Mac)
        <https://bugs.webkit.org/show_bug.cgi?id=25160>

        * Scripts/run-javascriptcore-tests: Skip ecma/Date/15.9.2.2-6.js.

2009-04-15  Steve Falkenburg  <sfalken@apple.com>

        Redo last build fix in a more straightforward way.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (sharedCFURLCache):

2009-04-15  Steve Falkenburg  <sfalken@apple.com>

        Fix Windows build of DumpRenderTree.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (sharedCFURLCache):
        (main):

2009-04-15  Adam Roben  <aroben@apple.com>

        Skip yet another JavaScriptCore test that sometimes fails on Windows

        See Bug 25160: Various ecma/Date tests sometimes fail on Windows (but
        not Mac)
        <https://bugs.webkit.org/show_bug.cgi?id=25160>

        * Scripts/run-javascriptcore-tests: Skip ecma/Date/15.9.2.2-2.js (who
        didn't see it coming?).

2009-04-14  Adam Roben  <aroben@apple.com>

        Skip another JavaScriptCore test that sometimes fails on Windows

        See Bug 25160: Various ecma/Date tests sometimes fail on Windows (but
        not Mac)
        <https://bugs.webkit.org/show_bug.cgi?id=25160>

        Rubber-stamped by Geoff Garen.

        * Scripts/run-javascriptcore-tests: Skip ecma/Date/15.9.2.2-3.js.

2009-04-14  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Move the DerivedSources.make calls into build-wxwebkit so that
        the FEATURE_DEFINES are parsed properly.

        * wx/build-wxwebkit:

2009-04-14  Adam Roben  <aroben@apple.com>

        Small run-javascriptcore-tests cleanup

        Reviewed by Cameron Zwarich.

        * Scripts/run-javascriptcore-tests: Move the list of tests to skip
        into its own variable, annotated with the bugs that are filed about
        the various failures.

2009-04-14  Adam Roben  <aroben@apple.com>

        Skip another sometimes-failing ecma/Date test on Windows

        These failing tests are covered by Bug 25160: Various ecma/Date tests
        sometimes fail on Windows (but not Mac)
        <https://bugs.webkit.org/show_bug.cgi?id=25160>

        Reviewed by Cameron Zwarich.

        * Scripts/run-javascriptcore-tests: Added ecma/Date/15.9.2.1.js to the
        list of tests to skip.

2009-04-14  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Holger Freyther.

        [Gtk] disable soup auth dialog when running DRT
        https://bugs.webkit.org/show_bug.cgi?id=24598

        Disable soup's auth dialog when running the tests.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (setDefaultsToConsistentStateValuesForTesting):
        * GNUmakefile.am:

2009-04-13  Darin Adler  <darin@apple.com>

        Reviewed by Mark Rowe.

        * Scripts/check-for-exit-time-destructors: Add ERROR: and WARNING: prefixes to
        make these scripts work better with the build window in new versions of Xcode.
        * Scripts/check-for-global-initializers: Ditto.
        * Scripts/check-for-weak-vtables: Ditto.

2009-04-13  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Sam Weinig.

        Disabled another JavaScriptCore test because it fails on Windows but
        not Mac, so it makes the bots red.

        * Scripts/run-javascriptcore-tests:

2009-04-13  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Sam Weinig.

        Disabled two JavaScriptCore tests because they fail on Window or Mac but
        not both, so they make the bots red.

        * Scripts/run-javascriptcore-tests:

2009-04-13  Darin Adler  <darin@apple.com>

        * Scripts/make-js-test-wrappers: Added another exception.

2009-04-10  Adam Roben  <aroben@apple.com>

        Add our new test font to the list that DRT knows about

        Reviewed by Dan Bernstein.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (initialize): Added WebKit Layout Tests 2.ttf.

2009-04-09  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Unreviewed Gtk build fix for undefined reference: g_thread_init.
        Add GLIB_LIBS to DRT and GtkLauncher build config.

        * GNUmakefile.am:

2009-04-09  David Kilzer  <ddkilzer@apple.com>

        Reinstating <rdar://problem/6718589> Option to turn off SVG DOM Objective-C bindings

        Rolled r42345 back in.  The build failure was caused by an
        internal script which had not been updated the same way that
        build-webkit was updated.

        * Scripts/build-webkit:

2009-04-09  David Levin  <levin@chromium.org>

        Reviewed by David Kilzer.

        https://bugs.webkit.org/show_bug.cgi?id=25101

        Launch DumpRenderTree and the image diff tool in a way that will work from perl threads.
        This is a workaround due to a perl limitation. When perl does open* calls on a thread, it ignores
        the environment of the current thread and simply uses the environment of the main thread instead.

        * Scripts/execAppWithEnv: Added.
        * Scripts/run-webkit-tests:

2009-04-09  Alexey Proskuryakov  <ap@webkit.org>

        Reverting <rdar://problem/6718589> Option to turn off SVG DOM Objective-C bindings.
        It broke Mac build, and I don't know how to fix it.

        * Scripts/build-webkit:

2009-04-08  David Kilzer  <ddkilzer@apple.com>

        <rdar://problem/6718589> Option to turn off SVG DOM Objective-C bindings

        Reviewed by Darin Adler and Maciej Stachowiak.

        Introduce the ENABLE_SVG_DOM_OBJC_BINDINGS feature define so
        that SVG DOM Objective-C bindings may be optionally disabled.

        * Scripts/build-webkit: Added --[no-]svg-dom-objc-bindings
        command-line argument.  Set special ENABLE_SVG_DOM_OBJC_BINDINGS
        Xcode variable required by WebCore.xcconfig.

2009-04-07  Adam Roben  <aroben@apple.com>

        Print the number of files being compiled when using pdevenv

        * Scripts/parallelcl:

2009-04-07  Mark Rowe  <mrowe@apple.com>

        Land the current build.webkit.org configuration for safekeeping.

        * BuildSlaveSupport/build.webkit.org-config/README: Added.
        * BuildSlaveSupport/build.webkit.org-config/Makefile:
        * BuildSlaveSupport/build.webkit.org-config/buildbot.tac:
        * BuildSlaveSupport/build.webkit.org-config/config.json: Added.
        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        * BuildSlaveSupport/build.webkit.org-config/public_html/buildbot.css: Renamed from BuildSlaveSupport/build.webkit.org-config/buildbot.css.
        * BuildSlaveSupport/build.webkit.org-config/public_html/index.html: Added.
        * BuildSlaveSupport/build.webkit.org-config/public_html/robots.txt: Added.
        * BuildSlaveSupport/build.webkit.org-config/webkit/__init__.py: Removed.
        * BuildSlaveSupport/build.webkit.org-config/webkit/auth.py: Removed.
        * BuildSlaveSupport/build.webkit.org-config/webkit/basesteps.py: Removed.
        * BuildSlaveSupport/build.webkit.org-config/webkit/builders.py: Removed.
        * BuildSlaveSupport/build.webkit.org-config/webkit/factories.py: Removed.
        * BuildSlaveSupport/build.webkit.org-config/webkit/schedulers.py: Removed.
        * BuildSlaveSupport/build.webkit.org-config/webkit/status.py: Removed.
        * BuildSlaveSupport/build.webkit.org-config/webkit/steps.py: Removed.

2009-04-07  Mark Rowe  <mrowe@apple.com>

        Ignore the mysterious exception that Cygwin's Python is throwing when attempting
        to remove the layout-test-results directory.

        * BuildSlaveSupport/test-result-archive:

2009-04-07  Mark Rowe  <mrowe@apple.com>

        Change the working directory before removing the test result directory
        in the hopes of making the Windows build slaves happier.

        * BuildSlaveSupport/test-result-archive:

2009-04-07  Mark Rowe  <mrowe@apple.com>

        Reviewed by Adam Roben.

        Make the links to tests in the uploaded results.html files on build.webkit.org point to the test files.

        * Scripts/VCSUtils.pm: Add a function that will return the location of a file relative to the root of the working copy.
        * Scripts/run-webkit-tests: Convert the path in to a remote URL if the path is below the layout tests directory.

2009-04-07  Mark Rowe  <mrowe@apple.com>

        Remove the layout-test-results directory after we have archived it so that
        log files and results are reset between runs of the tests.

        * BuildSlaveSupport/test-result-archive:

2009-04-07  Mark Rowe  <mrowe@apple.com>

        Helper script for uploading layout test results for display on build.webkit.org.

        * BuildSlaveSupport/test-result-archive: Copied from WebKitTools/BuildSlaveSupport/built-product-archive.

2009-04-11  Brian Weinstein  <bweinstein@gmail.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=24908

        Allows timeout to be set in run-webkit-tests as a command line argument.

        * Scripts/run-webkit-tests:

2009-04-06  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Rubber-stamped by Tor Arne Vestbø.

        Add /Programs to the productDir for GTK+, instead of adding
        /JavaScriptCore, when running jsc.

        * Scripts/run-sunspider:

2009-04-04  Kevin Ollivier  <kevino@theolliviers.com>

        Build fixes for wxMac/Tiger and PPC builds.

        * wx/build-wxwebkit:

2009-04-04  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Update the version of ICU dlls.

        * wx/build-wxwebkit:

2009-04-03  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Mark Rowe.

        Fix running DumpRenderTree with a root.

        * Scripts/run-webkit-tests:

2009-04-02  Adam Roben  <aroben@apple.com>

        Build fix for Windows machines that don't have WebKitTools/Scipts in
        their PATH

        * Scripts/pdevenv: Add WebKitTools/Scripts to PATH when launching
        Visual Studio/VC++ Express.

2009-04-02  Adam Roben  <aroben@apple.com>

        Use pdevenv when building .vcproj files via our scripts

        Reviewed by Mark Rowe.

        * Scripts/webkitdirs.pm:
        (sub buildVisualStudioProject): Use pdevenv instead of invoking Visual
        Studio/VC++ Express directly.

2009-04-01  Mark Rowe  <mrowe@apple.com>

        Windows support for built-product-archive.

        * BuildSlaveSupport/built-product-archive:

2009-03-31  Adam Roben  <aroben@apple.com>

        Make resolve-ChangeLogs -f work when the working tree has spaces in
        its path

        Reviewed by Mark Rowe and David Kilzer.

        * Scripts/resolve-ChangeLogs:
        (sub fixMergedChangeLogs): Quote the path to resolve-ChangeLogs in
        case it contains spaces.

2009-03-31  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=24777
        WebKit tools are broken on Tiger

        * Scripts/webkitdirs.pm: Don't use arch command with options on Tiger.

2009-03-31  Darin Adler  <darin@apple.com>

        * Scripts/add-include: Added.

2009-03-31  Mark Rowe  <mrowe@apple.com>

        Fix use of incorrect constant.

        * BuildSlaveSupport/built-product-archive:

2009-03-30  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Stephanie Lewis.

        Add a script in support of the new build.webkit.org configuration.

        * BuildSlaveSupport/built-product-archive: Added.

2009-03-30  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        Make policy-delegate logging work even for local files by processing the URLs as we
        do for other delegates.

        * DumpRenderTree/mac/PolicyDelegate.mm:
        (-[PolicyDelegate webView:decidePolicyForNavigationAction:request:frame:decisionListener:]):
        Use _drt_descriptionSuitableForTestResult on the URL.

        * DumpRenderTree/win/PolicyDelegate.cpp:
        (PolicyDelegate::decidePolicyForNavigationAction): Use urlSuitableForTestResult on the URL.

2009-03-30  Adam Roben  <aroben@apple.com>

        Windows build fix

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::waitForPolicyDelegate): Added this empty stub.

        * DumpRenderTree/win/WorkQueueItemWin.cpp:
        (LoadItem::invoke):
        (ScriptItem::invoke):
        Changed to use data members instead of removed member functions.

2009-03-30  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Gtk DRT build fix per changeset
        http://trac.webkit.org/changeset/42082. Not reviewed.

        * DumpRenderTree/gtk/WorkQueueItemGtk.cpp:
        (LoadItem::invoke):
        (ScriptItem::invoke):

2009-03-29  Darin Adler  <darin@apple.com>

        * DumpRenderTree/qt/jsobjects.cpp: Rolled out changes to this file. Maybe this will fix
        Qt building of DumpRenderTree.

2009-03-29  Darin Adler  <darin@apple.com>

        Reviewed by Cameron Zwarich.

        Bug 24922: change WorkQueue-based navigation tests to not depend on synchronous form submission
        https://bugs.webkit.org/show_bug.cgi?id=24922

        Don't rely on delegate methods to guess whether a queued step starts a load or not, because
        script-triggered loads can't be detected that way. Instead have the steps themselves indicate
        whether or not a load was triggered.

        * DumpRenderTree/LayoutTestController.cpp:
        (queueLoadingScriptCallback): Added. Version for scripts that perform loads.
        (queueNonLoadingScriptCallback): Added. Version for scripts that do not perform loads.
        (LayoutTestController::staticFunctions): Replaced queueScript with queueLoadingScript and
        queueNonLoadingScript.
        (LayoutTestController::queueBackNavigation): Moved here since it's platform-independent now.
        (LayoutTestController::queueForwardNavigation): Ditto.
        (LayoutTestController::queueLoadingScript): Replacement for queueScript. Here since it's
        platform-independent.
        (LayoutTestController::queueNonLoadingScript): Ditto.
        (LayoutTestController::queueReload): Moved here since it's platform-independent now.
        * DumpRenderTree/LayoutTestController.h: Ditto.

        * DumpRenderTree/WorkQueue.cpp:
        (WorkQueue::processWork): Added. Shared by the different platform's work queue implementations.
        * DumpRenderTree/WorkQueue.h: Ditto.

        * DumpRenderTree/WorkQueueItem.h: Changed the invoke function to return true if the item
        started a load. Removed unused getter functions. Made invoke functions private.
        Added LoadingScriptItem and NonLoadingScriptItem, making ScriptItem an abstract base.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (processWork): Use the new WorkQueue::processWork function to implement the new rule.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp: Removed queue functions that are now
        platform-independent and in LayoutTestController.cpp.
        * DumpRenderTree/gtk/WorkQueueItemGtk.cpp:
        (LoadItem::invoke): Return true.
        (ReloadItem::invoke): Ditto.
        (ScriptItem::invoke): Ditto.
        (BackForwardItem::invoke): Ditto.

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate processWork:]): Use the new WorkQueue::processWork function to implement
        the new rule.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm: Removed queue functions that are now
        platform-independent and in LayoutTestController.cpp.
        * DumpRenderTree/mac/WorkQueueItemMac.mm:
        (LoadItem::invoke): Return true.
        (ReloadItem::invoke): Ditto.
        (ScriptItem::invoke): Ditto.
        (BackForwardItem::invoke): Ditto.

        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::processWork): Use the new WorkQueue::processWork function to implement
        the new rule. Removed queue functions that are now platform-independent and in
        LayoutTestController.cpp.

        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::processWork): Use the new WorkQueue::processWork function to implement
        the new rule.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp: Removed queue functions that are now
        platform-independent and in LayoutTestController.cpp.
        * DumpRenderTree/win/WorkQueueItemWin.cpp:
        (LoadItem::invoke): Return false when we fail, true when we succeed.
        (ReloadItem::invoke): Ditto.
        (ScriptItem::invoke): Ditto.
        (BackForwardItem::invoke): Ditto.

2009-03-28  Kevin Ollivier  <kevino@theolliviers.com>

        Reviewed by Eric Seidel.
        
        Always use wxGraphicsContext on Mac to ensure path, matrix, etc. support.

        * wx/build-wxwebkit:

2009-03-27  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        * Scripts/extract-localizable-strings: Fixed version check for perl 5.10 compatibility.

2009-03-27  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        Added waitForPolicyDelegate, a more-reliable way to make our mailto form submission
        tests work.

        * DumpRenderTree/AccessibilityController.cpp:
        (getFocusedElementCallback): Use static_cast instead of reinterpret_cast because there's
        no reason to use reinterpret_cast just to get from void* to a specific type.
        (getRootElementCallback): Ditto.
        * DumpRenderTree/AccessibilityUIElement.cpp:
        (toAXElement): Ditto.
        * DumpRenderTree/GCController.cpp:
        (collectCallback): Ditto.
        (collectOnAlternateThreadCallback): Ditto.
        (getJSObjectCountCallback): Ditto.
        * DumpRenderTree/LayoutTestController.cpp:
        (many functions):  Ditto.
        (waitForPolicyDelegateCallback): Added.
        (LayoutTestController::staticFunctions): Sorted functions by name.
        Added waitForPolicyDelegate.

        * DumpRenderTree/LayoutTestController.h: Sorted functions by name.
        Added waitForPolicyDelegate.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting): Added code to reset the state of the
        policy delegate.
        (runTest): Added an additional call to resetWebViewToConsistentStateBeforeTesting just
        before loading an empty page. This prevents extra policy delegate calls from being logged.

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::waitForPolicyDelegate): Added. Puts us into wait mode, and then
        tells the policy delegate to notify when done, then points the web view at the policy delegate.

        * DumpRenderTree/mac/PolicyDelegate.h: Added setControllerToNotifyDone: method.

        * DumpRenderTree/mac/PolicyDelegate.mm:
        (-[PolicyDelegate webView:decidePolicyForNavigationAction:request:frame:decisionListener:]):
        Added code to do notifyDone if controllerToNotifyDone is set.
        (-[PolicyDelegate setControllerToNotifyDone:]): Added.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting): Added code to reset the state of the
        policy delegate. Also moved the call to resetUndoManager in here.
        (runTest): Removed the call to resetUndoManager (see above). Added an additional call to
        resetWebViewToConsistentStateBeforeTesting to match the Mac code.

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setCustomPolicyDelegate): 0, not NULL.

        * DumpRenderTree/win/PolicyDelegate.cpp:
        (PolicyDelegate::PolicyDelegate): Initialize m_controllerToNotifyDone to 0.
        (PolicyDelegate::decidePolicyForNavigationAction): Added code to do notifyDone if
        m_controllerToNotifyDone is set.

        * DumpRenderTree/win/PolicyDelegate.h: Added setControllerToNotifyDone and
        m_controllerToNotifyDone.

2009-03-27  Sam Weinig  <sam@webkit.org>

        Reviewed by Gavin Barraclough.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=24765
        prepare-ChangeLog and svn-create-patch doesn't work with svn 1.6

        * Scripts/prepare-ChangeLog:
        * Scripts/svn-create-patch:

2009-03-26  Darin Adler  <darin@apple.com>

        Reviewed by Geoff Garen.

        * Scripts/do-webcore-rename:Update for rename of JSUnprotectedEventListener to
        JSEventListener.

2009-03-26  Darin Adler  <darin@apple.com>

        Reviewed by Geoff Garen.

        * Scripts/do-webcore-rename: Update for rename of JSEventListener to
        JSProtectedEventListener. This includes all the related renames, but
        not that one because that one renames the file.

2009-03-26  Adam Roben  <aroben@apple.com>

        Reduce run-webkit-tests's time out limit to 15 seconds (or 2.5 minutes
        under GuardMalloc)

        The previous limit was 60 seconds (or 10 minutes under GuardMalloc).
        There's no evidence that we need the limit to be this long, and having
        it be so long just makes timed-out tests take forever to complete.
        DRT's watchdog timer is 10 seconds, so still has time to fire before
        run-webkit-tests will cut it off.

        Reviewed by Simon Fraser.

        * Scripts/run-webkit-tests:
        (sub readFromDumpToolWithTimer): Reduced the limit to 15 seconds (or
        2.5 mintues under GuardMalloc).

2009-03-26  Adam Roben  <aroben@apple.com>

        Make DRT's watchdog timer actually work on Windows

        We were previously trying to use a CFRunLoopTimer for the watchdog
        timer on Windows. This doesn't work because we don't use a CFRunLoop
        on the main thread on Windows.

        This patch changes the watchdog timer on Windows be a normal Windows
        timer.

        Reviewed by Simon Fraser.

        * DumpRenderTree/DumpRenderTree.h: Moved declaration of
        waitToDumpWatchdog from here...
        * DumpRenderTree/mac/DumpRenderTreeMac.h: ...to here.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (invalidateAnyPreviousWaitToDumpWatchdog): Added. This function
        cancels an existing watchdog timer.
        (dump): Call invalidateAnyPreviousWaitToDumpWatchdog. This will
        prevent watchdogs from previous tests firing during subsequent ones.
        This matches Mac's behavior.

        * DumpRenderTree/win/DumpRenderTreeWin.h: Added a declaration of
        waitToDumpWatchdog.

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (waitUntilDoneWatchdogFired): Converted this to be a Windows
        TIMERPROC.
        (LayoutTestController::setWaitToDump): Changed to use SetTimer instead
        of CFRunLoopAddTimer.

2009-03-25  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Steve Falkenburg.

        Update test result search path for Windows now that it has updated versions of ICU, libxml2, and friends.

        * Scripts/run-webkit-tests:

2009-03-24  Mark Rowe  <mrowe@apple.com>

        Fix the Tiger build some more.

        * DumpRenderTree/mac/TextInputController.m:

2009-03-24  Mark Rowe  <mrowe@apple.com>

        Fix the Tiger build.

        * DumpRenderTree/mac/TextInputController.m:

2009-03-24  Mark Rowe  <mrowe@apple.com>

        Reviewed by Jon "The Most Boring Man in the World" Honeycutt.

        Explicitly map NSNotFound to -1 so that the result of-characterIndexForPointX:Y: does
        not differ between 32- and 64-bit.

        * DumpRenderTree/mac/TextInputController.m:
        (-[TextInputController characterIndexForPointX:Y:]):

2009-03-24  Mark Rowe  <mrowe@apple.com>

        Reviewed by Sam Weinig.

        Use a different platform search path for tests and skip lists, so that Tiger doesn't end up
        using the Leopard skip list.  Tests and skip lists are now looked for in the directory for
        the current OS and the generic "mac" directory.  Tests and skip lists for newer OS versions are
        ignored.

        * Scripts/run-webkit-tests:

2009-03-23  Stephanie  <slewis@apple.com>

        Fix root build.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:

2009-03-23  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Mark Rowe.

        Add production configuration for creating roots of WebKitTools.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:

2009-03-23  Oliver Hunt  <oliver@apple.com>

        Reviewed by Geoff Garen.

        Make testapi run as part of the standard JavaScriptCore tests.

        We only run testapi on the mac as currently windows webkit doesn't
        place all the necessary files for testapi, and we also test the
        JSC/CF APIs as well.

        * Scripts/run-javascriptcore-tests:

2009-03-21  Oliver Hunt  <oliver@apple.com>

        Reviewed by Mark Rowe.

        Make build-jsc build testapi and minidom in addition to jsc itself.

        * Scripts/build-jsc:

2009-03-20  Anders Carlsson  <andersca@apple.com>

        Reviewed by Darin Adler.

        Only release the result NPVariant if the call to NPN_Invoke was successful.
        
        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (testNPRuntime):

2009-03-19  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Mark Rowe.

        Make determinePassedArchitecture always consume the --32-bit
        option, also in non-AppleMacWebkit platforms. Solution pointed out
        by Mark Rowe.

        * Scripts/webkitdirs.pm:

2009-03-19  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        Work around <rdar://problem/6698023> by activating fonts from disk.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj: Copy fonts into DumpRenderTree.resources
        in the built products directory.
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (activateFonts): Activate the fonts from disk.

2009-03-18  Mark Rowe  <mrowe@apple.com>

        Reviewed by Dan Bernstein.

        <rdar://problem/6693300> Don't rely on printf from TestNetscapePlugIn appearing in test results

        Switch from using printf to using the NPAPI to invoke console.log so that plug-in messages appear
        in test results even when the plug-in's stdout differs from DumpRenderTree's stdout.

        * DumpRenderTree/TestNetscapePlugIn.subproj/main.cpp:
        (log): Invoke console.log via the NPAPI.
        (NPP_Destroy): Call log instead of printf.
        (NPP_SetWindow): Ditto.
        (handleEventCarbon): Ditto.
        (handleEventCocoa): Ditto.
        (NPP_HandleEvent): Pass the instance in to the event handler.

2009-03-17  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        Use the normal search rules for tests inside the platform directory.

        This allows tests inside the platform directory to have different results
        on different versions of Mac OS X.

        * Scripts/run-webkit-tests:

2009-03-17  David Kilzer  <ddkilzer@apple.com>

        resolve-ChangeLogs should not die on unmerged non-ChangeLog files

        Reviewed by Adam Roben.

        Fixes the following bug in resolve-ChangeLogs:

            Use of uninitialized value in -e at ./WebKitTools/Scripts/resolve-ChangeLogs line 132.
            Died at ./WebKitTools/Scripts/resolve-ChangeLogs line 164.

        * Scripts/resolve-ChangeLogs:
        (findUnmergedChangeLogs): Check the result of findChangeLog() to
        make sure we don't add undef values to the list of files being
        returned.

2009-03-17  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Simon Fraser.

        Fix the usage of the $architecture variable for non-Apple-Mac
        ports.

        * Scripts/webkitdirs.pm:

2009-03-17  David Kilzer  <ddkilzer@apple.com>

        Bug 24645: bisect-builds script doesn't work with Safari 4 Public Beta (version string)

        <https://bugs.webkit.org/show_bug.cgi?id=24645>

        Reviewed by Mark Rowe.

        * Scripts/bisect-builds:
        (makeNightlyList): Added checks for Safari 4 Public Beta on
        Tiger and Leopard.

2009-03-17  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Darin Adler

        https://bugs.webkit.org/show_bug.cgi?id=24396

        Change the terminology from '3D transforms' to '3D rendering'.

        * Scripts/build-webkit:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2009-03-17  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Mark Rowe.

        Enable HTML5 media elements support by default also for the GTK+
        port.

        * Scripts/build-webkit:

2009-03-17  Kevin Ollivier  <kevino@theolliviers.com>

        Reviewed by Mark Rowe.
        
        Tweak the BUILDING_ON_* defines so that they work with the default values set by
        AvailabilityMacros.h.
        
        https://bugs.webkit.org/show_bug.cgi?id=24630

        * DumpRenderTree/mac/DumpRenderTreeMac.h:

2009-03-17  Oliver Hunt  <oliver@apple.com>

        Reviewed by Alexey Proskuryakov.

        Make coverage testing more reliable by ensuring --coverage does not
        clobber configuration settings, and by removing the unnecessary 
        dependency on matplotlib.

        * CodeCoverage/regenerate-coverage-display:
        * Scripts/webkitdirs.pm:

2009-03-16  Anders Carlsson  <andersca@apple.com>

        Reviewed by Darin Adler and John Sullivan.

        When a plug-in instance is torn down, all plug-in objects will first be invalidated and then deallocated.
        Since objects can be deallocated in any order, it is not safe to call NPN_ReleaseObject on member variables.
        
        Instead, just zero out the member variable in invalidate.
        
        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (pluginInvalidate):
        (pluginDeallocate):

2009-03-16  Eric Seidel  <eric@webkit.org>

        Reviewed by Sam Weinig.
        
        REGRESSION: undo-iframe-location-change.html is failing on the buildbots
        https://bugs.webkit.org/show_bug.cgi?id=24626
        
        Added a call to [[webview undoManager] removeAllActions]
        to make sure anything left on the undo stack after one test
        will not affect any later test.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting):

2009-03-14  Mark Rowe  <mrowe@apple.com>

        Reviewed by Dan Bernstein.

        Change the layout test result search policy for Mac OS X to fit better with the idea of
        newer OS versions improving on previous OS versions.

        The results for the latest version of Mac OS X are placed in the "mac" directory.  The
        results for older versions of Mac OS X are structured as a series of overlays.  When
        running on Leopard, the results in "mac-leopard" are searched before those in "mac".
        When running on Tiger, the results in "mac-tiger" are searched before those in
        "mac-leopard" and "mac".

        * Scripts/run-webkit-tests:

2009-03-13  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Dan Bernstein.

        Take advantage of the ability of recent versions of Xcode to easily switch the active
        architecture.

        * DumpRenderTree/mac/Configurations/DebugRelease.xcconfig:

2009-03-13  Mark Rowe  <mrowe@apple.com>

        Reviewed by Timothy Hatcher.

        Remove the --64-bit argument from scripts in favor of them detecting when 64-bit should be preferred.

        The scripts will automatically target 64-bit if the system and hardware support it.  This can be
        overridden by passing --32-bit to individual scripts, or using set-webkit-configuration --32-bit
        to make the override persistent.

        * Scripts/build-webkit: Remove architecture-related code.
        * Scripts/gdb-safari: Remove architecture-related code, and clean up how the environment variables are passed to gdb.
        * Scripts/run-javascriptcore-tests: Remove architecture-related code.
        * Scripts/run-safari: Ditto.
        * Scripts/run-webkit-tests: Ditto.
        * Scripts/set-webkit-configuration: Handle the --32-bit and --64-bit arguments.  The --32-bit argument will set the
        architecture preference to the 32-bit architecture of the machine.  The --64-bit argument will remove any architecture
        override that is in effect so that 64-bit support will be automatically detected.
        * Scripts/webkitdirs.pm: Add auto-detection of the best architecture for the machine, and the ability to override the
        auto-detection.

2009-03-13  Anders Carlsson  <andersca@apple.com>

        Reviewed by Dan Bernstein.

        <rdar://problem/6610666> Revise the Cocoa event model text API

        Add a case statement for NPCocoaEventTextInput.
        
        * DumpRenderTree/TestNetscapePlugIn.subproj/main.cpp:
        (handleEventCocoa):

2009-03-12  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Let DerivedSources.make know we want database APIs.

        * wx/build-wxwebkit:

2009-03-12  David Kilzer  <ddkilzer@apple.com>

        Bug 24378: resolve-ChangeLogs should use git status or svn status to find and fix unmerged ChangeLogs

        <https://bugs.webkit.org/show_bug.cgi?id=24378>

        Reviewed by Adam Roben.

        * Scripts/resolve-ChangeLogs: If -f|--fix-merged is not passed
        and no file or directory names are specified on the command-line
        then try to find unmerged ChangeLog files based on 'svn stat' or
        'git diff'.  Added global $isGit and $isSVN variables so that
        isGit() and isSVN() only have to be called once.
        (findUnmergedChangeLogs): Added.

2009-03-11  David Kilzer  <ddkilzer@apple.com>

        Clarify comments regarding order of FEATURE_DEFINES

        Rubber-stamped by Mark Rowe.

        * Scripts/build-webkit: Added warning about keeping
        FEATURE_DEFINES in order and the consequences when they are not.

2009-03-11  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Holger Freyther.

        Gtk] Implement LayoutTestControllerGtk::setPrivateBrowsingEnabled
        https://bugs.webkit.org/show_bug.cgi?id=24487

        Also reset WebSettings to its default state for JavaScript
        profiling, Developer Extras and Private Browsing before running
        the test (can be after each test but we want to be consistent with
        other ports in this regard)

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):
        (runTest):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setPrivateBrowsingEnabled):

2009-03-11  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Holger Freyther.

        [GTK]DumpRenderTree doesn't compile for non-X11 GTK ports anymore
        https://bugs.webkit.org/show_bug.cgi?id=2260

        Add plugin support only for X11 builds

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (setDefaultsToConsistentStateValuesForTesting):
        * GNUmakefile.am:

2009-03-08  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Mark Rowe.

        Implement setJavaScriptProfilingEnabled by enabling the Developer
        Extras and the JavaScript profiling on the WebKitWebInspector. After
        this change we pass the three enabled tests in fast/profiler.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (runTest): Reset setJavaScriptProfilingEnabled after each test run
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setJavaScriptProfilingEnabled):

2009-03-07  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Holger Freyther.

        [Gtk] Enable http history tests
        https://bugs.webkit.org/show_bug.cgi?id=24394

        Get the index of the current item from the list of (history) items
        to print before adding the back history items to the list. This
        will make the 'curr' pointer point to the correct item in the
        actual results, therefore, passing some of the http/tests/history
        tests.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dumpBackForwardListForWebView):

2009-03-06  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by George Staikos.

        When building QtWebKit in release mode make sure that QT_SHARED is defined
        otherwise none of the public API will be exported.  This leads to missing
        symbols and link errors if hidden-visibility is used.

        * Scripts/webkitdirs.pm:

2009-03-06  Adam Roben  <aroben@apple.com>

        Change the isCygwin check in update-webkit to isAppleWinWebKit

        This matches a similar check in build-webkit, and is more correct.

        Reviewed by Alexey Proskuryakov.

        * Scripts/update-webkit: Only call update-webkit-auxiliary-libs if
        isAppleWinWebKit is true.

2009-03-06  Adam Roben  <aroben@apple.com>

        Make update-webkit-support-libs fail if WebKitSupportLibrary.zip is
        present but out of date

        Reviewed by Alexey Proskuryakov.

        * Scripts/update-webkit-support-libs: Changed to use
        dieAndInstructToDownload when the zip file doesn't exist. Added an MD5
        check to make sure the file is up-to-date. If it is out of date, print
        an error message and quit.
        (sub dieAndInstructToDownload): Added. Prints an error message and
        quits with an error.

2009-03-03  Anders Carlsson  <andersca@apple.com>

        Reviewed by John Sullivan.

        https://bugs.webkit.org/show_bug.cgi?id=22884
        <rdar://problem/6449783>
        modified layout test crashes Safari

        Add destroyNullStream test function to the test plug-in.
        
        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (destroyNullStream):
        (pluginInvoke):

2009-03-03  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin Adler

        Support layout test covering <rdar://problem/6616664>

        Change NSURLRequest/IWebURLRequest dumping to include the mainDocumentURL

        * DumpRenderTree/mac/ResourceLoadDelegate.mm:
        (-[NSURLRequest _drt_descriptionSuitableForTestResult]): Return both the request URL and the 
          mainDocumentURL.
        
        * DumpRenderTree/win/ResourceLoadDelegate.cpp:
        (descriptionSuitableForTestResult): Return both the request URL and the mainDocumentURL.

2009-03-02  Sam Weinig  <sam@webkit.org>

        Reviewed by Mark Rowe.

        Enable Geolocation (except on Tiger and Leopard).

        * Scripts/build-webkit:

2009-03-02  Kevin Ollivier  <kevino@theolliviers.com>

        Build fixes for wxWidgets Mac trunk build.

        * wx/build-wxwebkit:

2009-03-02  Timothy Hatcher  <timothy@apple.com>

        Allow for multiline quoted text in JavaScript files when looking for function names.

        https://bugs.webkit.org/show_bug.cgi?id=24296

        Reviewed by David Kilzer.

        * Scripts/prepare-ChangeLog:

2009-03-02  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by Eric Seidel.

        Add three new drt helper functions that enable all of the tests in
        LayoutTests/animation/* and LayoutTests/transitions/* to now pass.

        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::pauseAnimationAtTimeOnElementWithId):
        (LayoutTestController::pauseTransitionAtTimeOnElementWithId):
        (LayoutTestController::numberOfActiveAnimations):
        * DumpRenderTree/qt/jsobjects.h:

2009-03-02  Adam Roben  <aroben@apple.com>

        Windows build fix after r41349

        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::getChildrenWithRange):

2009-03-01  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Oliver Hunt.

        Bug 24282: AX Palindrome error when asking for a specific index of the AXChildren array

        Change getChildAtIndex() to get a range of children instead of all the children.
        This exercises code in WebCore that returns elements when asked for from a range.

        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::getChildrenWithRange):
        (AccessibilityUIElement::getChildAtIndex):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::getChildrenWithRange):

2009-03-01  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Holger Freyther.

         [Gtk] get the HTTP layout tests going
         https://bugs.webkit.org/show_bug.cgi?id=24259

        Determine the frame's response and decide whether to dump as text
        or the render tree

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dump):

2009-03-01  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Holger Freyther.

        [Gtk] get the HTTP layout tests going
        https://bugs.webkit.org/show_bug.cgi?id=24259

         Implement dumping of WebKitWebBackForwardList and its history
         items.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (compareHistoryItems):
        (dumpHistoryItem):
        (dumpBackForwardListForWebView):
        (dump):
        (runTest):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::clearBackForwardList):
        * DumpRenderTree/gtk/WorkQueueItemGtk.cpp:
        (BackForwardItem::invoke):

2009-02-28  Zan Dobersek  <zandobersek@gmail.com>

         Reviewed by Holger Freyther.

         Set the resolution for the default screen to 72.0.
         This way, setting font sizes results in expected values.

         * DumpRenderTree/gtk/DumpRenderTree.cpp:
         (setDefaultsToConsistentStateValuesForTesting):

2009-02-28  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Holger Freyther.

        Adds a WebKitMakeArguments environment variable to enable passing
        of arguments such as '-j2' to make for the autotools build.

        * Scripts/webkitdirs.pm:

2009-02-28  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Holger Freyther.

        Add a GTK+-only option to enable GNOME Keyring when building.

        * Scripts/build-webkit:

2009-02-28  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Holger Freyther.

        [Gtk] webkitdirs.pm modify path in when detecting 3D transforms and accelerated compositing
        https://bugs.webkit.org/show_bug.cgi?id=24076

        Refactor gtk lib detection and put it in builtDylibPathForName

        * Scripts/webkitdirs.pm:

2009-02-28  Christian Dywan  <christian@twotoasts.de>

        Rubber-stamped by Holger Freyther.

        * GtkLauncher/main.c:
        (activate_uri_entry_cb):
        (main): Use the new webkit_web_view_load_uri to open URIs.

2009-02-27  Xan Lopez  <xan@gnome.org>

        Rubber-stamped by Alexey Proskuryakov.

        https://bugs.webkit.org/show_bug.cgi?id=24222
        [GTK] Remove checks for old glib versions

        libsoup, which is a hard dependency, needs at least glib 2.15.3,
        so remove all glib checks for versions older than that.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setWaitToDump):

2009-02-25  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Eric Seidel

        Fix spew about a WebView being deallocated while key value observers are
        still registered with it by making sure that we always stop observing
        _isUsingAcceleratedCompositing in -[DumpRenderTreeWindow close].
        
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dumpRenderTree):
        * DumpRenderTree/mac/DumpRenderTreeWindow.mm:
        (-[DumpRenderTreeWindow close]):

2009-02-25  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by Alexey Proskuryakov.

        Do not queue the calls to 'DumpRenderTree::dump()' as this can result
        in more than one call as a test that calls 'notifyDone()' can then be
        subsequently fully loaded and initiate a second dump.  Also make sure
        to stop any existing page load that is happening before running the next
        test.  Combined this serves to produce 217 more passing tests for the
        Qt port or roughly 5% at this point.

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::DumpRenderTree::DumpRenderTree):
        (WebCore::DumpRenderTree::open):

2009-02-25  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Dan Bernstein

        https://bugs.webkit.org/show_bug.cgi?id=23854

        Have the DumpRenderTreeWindow observe the -_isUsingAcceleratedCompositing
        property of the WebView, and use that to turn -autodisplay on and off.
        This is necessary so that accelerated animations start correctly.
        We can thus remove the -display hack in createBitmapContextFromWebView().

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (createWebViewAndOffscreenWindow):
        (dumpRenderTree):
        * DumpRenderTree/mac/DumpRenderTreeWindow.h:
        * DumpRenderTree/mac/DumpRenderTreeWindow.mm:
        (-[DumpRenderTreeWindow close]):
        (-[DumpRenderTreeWindow webView]):
        (-[DumpRenderTreeWindow startObservingWebView]):
        (-[DumpRenderTreeWindow stopObservingWebView]):
        (-[DumpRenderTreeWindow observeValueForKeyPath:ofObject:change:context:]):
        * DumpRenderTree/mac/PixelDumpSupportMac.mm:
        (createBitmapContextFromWebView):

2009-02-25  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by Zack Rusin.

        https://bugs.webkit.org/show_bug.cgi?id=24158
        Implement the queue*() methods of the layoutTestController and begin
        implementing the dump of the back/forward list.  This results in 2% more
        tests passing as well as 23 currently skipped tests now passing.

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::DumpRenderTree::dumpBackForwardList):
        (WebCore::DumpRenderTree::dump):
        * DumpRenderTree/qt/DumpRenderTree.h:
        * DumpRenderTree/qt/DumpRenderTree.pro:
        * DumpRenderTree/qt/jsobjects.cpp:
        (findFrameNamed):
        (LoadItem::invoke):
        (ReloadItem::invoke):
        (ScriptItem::invoke):
        (BackForwardItem::invoke):
        (LayoutTestController::reset):
        (LayoutTestController::processWork):
        (LayoutTestController::maybeDump):
        (LayoutTestController::queueBackNavigation):
        (LayoutTestController::queueForwardNavigation):
        (LayoutTestController::queueLoad):
        (LayoutTestController::queueReload):
        (LayoutTestController::queueScript):
        * DumpRenderTree/qt/jsobjects.h:
        (LayoutTestController::shouldDumpBackForwardList):
        (LayoutTestController::dumpBackForwardList):

2009-02-24  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by Alexey Proskuryakov.

        Don't print out that you are generating new results if you are not in fact
        generating new results and disable generating new results by default for
        the all ports other than the canonical Apple Mac port since this can litter
        the source directory with hundreds of new results since other ports
        are not as up to date.

        * Scripts/run-webkit-tests:

2009-02-24  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by Cameron Zwarich.

        The Qt port does not support these yet nor does the nm check work with
        QMake based build.

        * Scripts/webkitdirs.pm:

2009-02-24  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Alexey Proskuryakov.

        [Gtk] add options for 3D transforms and HTML5 channel messaging to the build
        https://bugs.webkit.org/show_bug.cgi?id=24072

        Allow toggling of 3D transforms and HTML5 channel messaging
        support for the Autotools (Gtk) build.

        Also add '--gtk' in the build-webkit help doc and fix autotools
        option for web-workers support.

        * Scripts/build-webkit:

2009-02-23  Xan Lopez  <xan@gnome.org>

        Reviewed by Alexey Proskuryakov.

        https://bugs.webkit.org/show_bug.cgi?id=22624
        [SOUP][GTK] Need API to get SoupSession from WebKit.

        Add soup flags now that dependency is explicit.

        * GNUmakefile.am:

2009-02-22  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        Fix assertion failures in editing/pasteboard/paste-RTFD.html and editing/pasteboard/paste-TIFF.html in 64-bit.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (swizzleAllMethods): When adding a new method to a class, use the implementation and type of the new method rather
        than of an arbitrary existing method on the class.

2009-02-13  Eric Seidel  <eric@webkit.org>

        Rubber-stamped by Alexey Proskuryakov.

        Add a few ignores to make-js-test-wrappers.

        * Scripts/make-js-test-wrappers:

2009-02-17  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Alexey Proskuryakov.

        Prepend file:// to the test result filename to make
        GtkLauncher display the result page.

        * Scripts/run-webkit-tests:

2009-02-16  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Adam Roben

        Actually use the installation prefix defined in WebKitInstallationPrefix,
        in autotools builds.

        * Scripts/webkitdirs.pm:

2009-02-12  Simon Fraser  <simon.fraser@apple.com>

        No review.

        Remove debugging code which was committed by mistake.

        * Scripts/run-webkit-tests:

2009-02-12  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Adam Roben

        https://bugs.webkit.org/show_bug.cgi?id=23928

        Add detection of accelerated compositing and 3d transforms,
        and add various directories to $ignoredDirectories when these
        features are off.

        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2009-02-12  Adam Roben  <aroben@apple.com>

        Fix Bug 23922: Warning message from run-webkit-tests when Skipped file
        contains non-existent tests is confusing and is given for disabled
        tests

        <https://bugs.webkit.org/show_bug.cgi?id=23922>

        We now no longer warn about disabled tests. The warning now reads:

        Skipped list contained '$item', but no file of that name could be
        found

        Reviewed by John Sullivan.

        * Scripts/run-webkit-tests:
        (top level): Pass the list name to processIgnoreTests so it can print
        out a reasonable warning message.
        (processIgnoreTests): Take a list name as a second parameter and use
        it to display a better warning message. Also check for a "-disabled"
        version of the test before warning about it not existing.

2009-02-11  Adam Roben  <aroben@apple.com>

        Windows fix for Bug 22239: Implement missing animation & transition
        APIs on LayoutTestController for non-mac platforms

        <https://bugs.webkit.org/show_bug.cgi?id=22239>

        Reviewed by Simon Fraser.

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::pauseAnimationAtTimeOnElementWithId):
        (LayoutTestController::pauseTransitionAtTimeOnElementWithId):
        (LayoutTestController::numberOfActiveAnimations):
        Implemented these by calling through to IWebFramePrivate.

2009-02-10  Chris Marrin  <cmarrin@apple.com>

        Reviewed by Simon Fraser.

        * Scripts/build-webkit:

        https://bugs.webkit.org/show_bug.cgi?id=23883

        Added support --3d-transforms. Defaults to off

2009-02-11  Adam Roben  <aroben@apple.com>

        Fix crashes in http/tests/history/redirect-301.pl and friends on
        Windows

        Reviewed by Alexey Proskuryakov.

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::webHistoryItemCount): Null-check the shared
        WebHistory instance before dereferencing it.

2009-02-10  Adam Roben  <aroben@apple.com>

        Fix Bug 23869: Pixel tests can't be run on Windows

        <https://bugs.webkit.org/show_bug.cgi?id=23869>

        This patch gets the pixel tests limping along on Windows again.

        Reviewed by Dan Bernstein.

        * DumpRenderTree/DumpRenderTree.sln: Changed to use the new
        Debug_Internal configuration of ImageDiff in the Debug_Internal
        configuration of this solution.

        * DumpRenderTree/cg/PixelDumpSupportCG.cpp:
        (printPNG): Changed to call fwrite in a loop, since this call was
        failing due to the buffer being too large on Windows.
        (dumpWebViewAsPixelsAndCompareWithExpected): Removed an unnecessary
        #if PLATFORM(MAC)/#endif.

        * DumpRenderTree/win/ImageDiff.vcproj: Added a Debug_Internal
        configuration that matches the Debug configuration but also references
        debug_internal.vsprops.

        * DumpRenderTree/win/PixelDumpSupportWin.cpp:
        (createBitmapContextFromWebView): Renamed from
        getBitmapContextFromWebView to match the name used in the
        cross-platform code.

2009-02-10  Adam Roben  <aroben@apple.com>

        Robustify DumpRenderTree/win a little

        DumpRenderTree was previously not holding a ref to the WebViews it
        created via window.open. It was getting away with this because
        WebViews get reffed by being preference notification observers and by
        registering for drag-n-drop messages. Now DRT does hold a ref, in case
        this situation changes in the future.

        Reviewed by Alexey Proskuryakov.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (dumpBackForwardListForAllWindows): Added a .get().
        (windowToWebViewMap): Changed to use the WindowToWebViewMap typedef.
        * DumpRenderTree/win/DumpRenderTreeWin.h: Changed the
        windowToWebViewMap() to hold a ref to the WebViews it contains.

2009-02-05  Simon Fraser  <simon.fraser@apple.com>

        Fix the #include file order, per review comments.

        * DumpRenderTree/mac/PixelDumpSupportMac.mm:

2009-02-05  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Dan Bernstein

        https://bugs.webkit.org/show_bug.cgi?id=23362

        If the WebHTMLView uses accelerated compositing, we need for force
        the on-screen capture path and also force animations to start with -display
        since the DRT window has autodisplay disabled.

        * DumpRenderTree/mac/PixelDumpSupportMac.mm:
        (createBitmapContextFromWebView):

2009-02-03  miggilin  <mr.diggilin@gmail.com>

        Reviewed by Darin Adler.

        Change the way wxWidgets build gets arguments.
        Change "checkForArgumentAndRemoveFromARGV" in build-webkit to check if the
        argument passed matches one in ARGV exactly (allows, ie, --wx-args not to be
        removed when --wx is checked for).

        https://bugs.webkit.org/show_bug.cgi?id=23701

        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2009-01-30  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Oliver Hunt.

        Catch exceptions thrown by AppKit when accessing an attribute than an element
        doesn't return.

        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (attributesOfElement):

2009-01-29  David Kilzer  <ddkilzer@apple.com>

        Remove semi-colons from the end of ObjC method implementations

        Rubber-stamped by Adam Roben.

        $ find WebKitTools -name \*.m -o -name \*.mm -exec perl -e 'undef $/; $s = <>; while ($s =~ m/[\n\r][-+].*;[\s\r\n]+\{/g) { print "$ARGV: $&\n"; }' {} \;

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate webView:didFailLoadWithError:forFrame:]):
        (-[FrameLoadDelegate webView:windowScriptObjectAvailable:]):
        (-[FrameLoadDelegate webView:didFinishDocumentLoadForFrame:]):
        (-[FrameLoadDelegate webView:didHandleOnloadEventsForFrame:]):
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webViewFrame:]):

2009-01-28  Geoffrey Garen  <ggaren@apple.com>

        Build fix for GTK.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::webHistoryItemCount):

2009-01-28  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Sam Weinig.

        Added support for querying how many history items were created during a
        layout test.

        * DumpRenderTree/LayoutTestController.cpp:
        (getWebHistoryItemCountCallback):
        (LayoutTestController::staticValues):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::webHistoryItemCount):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::webHistoryItemCount):

2009-01-26  Pierre-Olivier Latour  <pol@apple.com>

        Tweaked again earlier fix, this time just to print a warning and not abort if
        attempting to generate pixel results and Perian is installed.

        https://bugs.webkit.org/show_bug.cgi?id=22615

        * Scripts/run-webkit-tests:

2009-01-26  Christian Dywan  <christian@twotoasts.de>

        Rubber stamped by Holger Freyther.

        * GtkLauncher/main.c:
        (main): Initialize threads, which is required for libSoup.

2009-01-23  David Kilzer  <ddkilzer@apple.com>

        * Scripts/do-webcore-rename: Removed 10 header guard renames that
        had already been fixed, and updated 4 renames whose original values
        had changed.

2009-01-22  Anders Carlsson  <andersca@apple.com>

        Fix Windows build.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.h:

2009-01-22  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Clean up the test plug-in code. We now always use the CG drawing model and the
        Cocoa event model. It is however possible to revert to the old Carbon event model by
        specifying forcecarbon=true in the embed/object tag.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.h:
        * DumpRenderTree/TestNetscapePlugIn.subproj/main.cpp:
        (NPP_New):
        (handleEventCarbon):
        (handleEventCocoa):
        (NPP_HandleEvent):

2009-01-21  Pierre-Olivier Latour  <pol@apple.com>

        Tweaked earlier fix to only print a warning when Perian is installed,
        and fail completely only if attempting to generate new pixel test results.

        https://bugs.webkit.org/show_bug.cgi?id=23392

        * Scripts/run-webkit-tests:

2009-01-20  Darin Adler  <darin@apple.com>

        Reviewed by Alexey Proskuryakov.

        Bug 23450: string leaks seen in DumpRenderTree accessibility test code
        https://bugs.webkit.org/show_bug.cgi?id=23450

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (isAttributeSettableCallback): Add the missing JSStringRelease call.
        (attributeValueCallback): Ditto.

2009-01-20  Pierre-Olivier Latour  <pol@apple.com>

        Reviewed by Darin Adler.

        Print warning regarding display color profile change in run-webkit-tests instead of DRT.

        https://bugs.webkit.org/show_bug.cgi?id=23392

        * DumpRenderTree/mac/PixelDumpSupportMac.mm:
        (setupMainDisplayColorProfile):
        * Scripts/run-webkit-tests:

2009-01-20  Pierre-Olivier Latour  <pol@apple.com>

        Reviewed by Darin Adler.

        Changed run-webkit-tests to abort on the Mac if pixel tests are enabled and Perian is installed,
        in order to avoid result differences in some media tests.

        https://bugs.webkit.org/show_bug.cgi?id=22615

        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2009-01-19  Sam Weinig  <sam@webkit.org>

        * Scripts/do-webcore-rename: Add JSValuePtr and ProtectedJSValuePtr.

2009-01-16  Gabor Loki  <loki@inf.u-szeged.hu>

        Reviewed by Darin Adler.

        * Scripts/webkitdirs.pm: Added '--makeargs' parameter which can pass additional
        parameters to make command in QMake projects.

2009-01-16  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        Add AX methods to retrieve the parent of an element.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (parentElementCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::parentElement):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::parentElement):

2009-01-16  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam Roben.

        Set the count to the right number of elements.

        * DumpRenderTree/TestNetscapePlugIn.subproj/TestObject.cpp:
        (testEnumerate):

2009-01-14  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX: Use COM API on Windows in LayoutTestController::setIconDatabaseEnabled()

        Rubber-stamped by Alice Liu.

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setIconDatabaseEnabled): Use COM API
        to get the shared WebIconDatabase.

2009-01-14  Jeremy Moskovich  <jeremy@chromium.org>

        Reviewed by Eric Seidel.

        <https://bugs.webkit.org/show_bug.cgi?id=16829>
        Implement NPN_SetException()

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (pluginInvoke):
        * DumpRenderTree/TestNetscapePlugIn.subproj/TestObject.cpp:
        (initializeIdentifiers):
        (testHasMethod):
        (testInvoke):

2009-01-13  Dmitry Titov  <dimich@chromium.org>

        Reviewed by David Kilzer.

        https://bugs.webkit.org/show_bug.cgi?id=23304
        Fix svn-apply to match svn-unapply to recognize added files in 'git diff' patches.

        * Scripts/svn-apply: Added a check (similar to svn-unapply) to recognize added files.

2009-01-14  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX: Implement LayoutTestController::setIconDatabaseEnabled(bool) for GTK

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (runTest): Added call to reset the icon database to match Mac
        and Windows ports.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setIconDatabaseEnabled): Implemented
        stub method.

2009-01-14  David Kilzer  <ddkilzer@apple.com>

        Bug 22795: favicons should be saved to webarchives

        <https://bugs.webkit.org/show_bug.cgi?id=22795>

        Reviewed by Darin Adler.

        * DumpRenderTree/LayoutTestController.cpp:
        (setIconDatabaseEnabledCallback): Added.
        (setJavaScriptProfilingEnabledCallback): Realphabetized.
        (LayoutTestController::staticFunctions): Added entry for calling
        LayoutTestController.setIconDatabaseEnabled(bool) from JavaScript.
        * DumpRenderTree/LayoutTestController.h:
        (setIconDatabaseEnabledCallback): Added declaration.
        (setJavaScriptProfilingEnabledCallback): Realphabetized.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (runTest): Disable the icon database before each test.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setIconDatabaseEnabled): Added.
        (LayoutTestController::setJavaScriptProfilingEnabled): Realphabetized.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (runTest): Disable the icon database before each test.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setIconDatabaseEnabled): Added.

2009-01-14  Steve Falkenburg  <sfalken@apple.com>

        Update copyright year in version resources.

        Reviewed by Adam Roben.

        * DumpRenderTree/win/TestNetscapePlugin/TestNetscapePlugin.rc:

2009-01-14  Dan Bernstein  <mitz@apple.com>

        Reviewed by John Sullivan.

        - update copyright

        * DumpRenderTree/TestNetscapePlugIn.subproj/Info.plist:
        * WebKitLauncher/Info.plist:

2009-01-13  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Add NPRuntime test.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (testNPRuntime):
        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.h:
        * DumpRenderTree/TestNetscapePlugIn.subproj/main.cpp:
        (NPP_New):
        (NPP_GetValue):

2009-01-12  Mark Rowe  <mrowe@apple.com>

        Use the modern spelling of WebKit.

        * Scripts/find-extra-includes:
        * Scripts/report-include-statistics:
        * Scripts/run-webkit-app:
        * Scripts/svn-unapply:
        * Scripts/update-webkit:

2009-01-11  Darin Adler  <darin@apple.com>

        * Scripts/make-js-test-wrappers: Updated so it won't overwrite tests in the svg/dom
        directory that aren't using standard wrappers.

2009-01-11  Robert Blaut  <webkit@blaut.biz>

        Reviewed by Eric Seidel.

        <https://bugs.webkit.org/show_bug.cgi?id=23134>
        Update bisect-builds for Safari 3.2 to prevent crashes

        * Scripts/bisect-builds: Added Safari 3.2 and the corresponding minimal revision, r37348.

2009-01-08  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by Simon Hausmann.

        Explicitly set these so that the layout tests do not break.

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::WebPage::WebPage):

2009-01-07  Glenn Wilson  <gwilson@chromium.org>

        Reviewed by Eric Seidel.

        Changed DumpRenderTree to re-enable Javascript in web preferences on every test.
        This fixes the case when a user mistakenly disables Javascript, and all layout tests crash.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (testStringByEvaluatingJavaScriptFromString):
        (setDefaultsToConsistentValuesForTesting):

2009-01-07  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Maciej Stachowiak.

        Implement numberOfActiveAnimations to fix the build

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::numberOfActiveAnimations):

2009-01-07  Adam Treat  <adam.treat@torchmobile.com>

        Reviewed by George Staikos.

        Fix unused variable warnings

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::WebPage::javaScriptAlert):
        (WebCore::WebPage::javaScriptConfirm):
        (WebCore::WebPage::javaScriptPrompt):
        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::maybeDump):
        * DumpRenderTree/qt/main.cpp:
        (get_backtrace):
        * DumpRenderTree/qt/testplugin.cpp:
        (TestPlugin::create):

2009-01-06  Pierre-Olivier Latour  <pol@apple.com>

        Reviewed by Darin Adler.

        Added new JS API numberOfActiveAnimations() that returns the number of active CSS transitions & animations.
        This effectively exposes the new AnimationController::numberOfActiveAnimations() API from WebCore.

        https://bugs.webkit.org/show_bug.cgi?id=23126

        * DumpRenderTree/LayoutTestController.cpp:
        (numberOfActiveAnimationsCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::numberOfActiveAnimations):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::numberOfActiveAnimations):

2009-01-04  David Kilzer  <ddkilzer@apple.com>

        Don't install internal headers in WebKit framework

        Reviewed by Darin Adler.

        Since WebHTMLRepresentationInternal.h and WebTypesInternal.h are
        no longer installed in WebKit.framework/PrivateHeaders, use the
        special relationship of DumpRenderTree within the WebKit source
        tree to include the internal headers through relative paths.
        Created the concept of mac/InternalHeaders to hide the ugly
        paths.

        * DumpRenderTree/mac/Configurations/Base.xcconfig: Added
        mac/InternalHeaders to HEADER_SEARCH_PATHS.
        * DumpRenderTree/mac/InternalHeaders/WebKit/WebHTMLRepresentationInternal.h: Added.
        * DumpRenderTree/mac/InternalHeaders/WebKit/WebTypesInternal.h: Added.

2009-01-02  Adam Treat  <treat@kde.org>

        Reviewed by George Staikos.

        Add support for fixedLayoutSize to the qt DRT

        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::setFixedLayoutSize):
        (LayoutTestController::setUseFixedLayout):
        * DumpRenderTree/qt/jsobjects.h:

2009-01-03  David D. Kilzer  <ddkilzer@webkit.org>

        Bug 23091: Some webarchive http tests intermittently fail due to Connection/Keep-Alive header differences

        <https://bugs.webkit.org/show_bug.cgi?id=23091>

        Reviewed by Darin Adler.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (normalizeHTTPResponseHeaderFields): Remove Keep-Alive and
        Connection headers from webarchive results.

2008-12-31  Zan Dobersek  <zandobersek@gmail.com>

        Reviewed by Holger Freyther.

        https://bugs.webkit.org/show_bug.cgi?id=22812

        Prevent TestNetscapePlugin from installing system-wide.

        * GNUmakefile.am:

2008-12-31  Zan Dobersek  <zandobersek@gmail.com>

        Reviewed by Holger Freyther.

        https://bugs.webkit.org/show_bug.cgi?id=22842

        Move WebKitWebView's size allocation into a proper place.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dump):
        (runTest):

2008-12-24  Mark Rowe  <mrowe@apple.com>

        Reviewed by Timothy Hatcher.

        Move the guts of determineCurrentSVNRevision to VCSUtils as svnRevisionForDirectory,
        and make it work for git too.

        * Scripts/VCSUtils.pm:
        * Scripts/webkitdirs.pm:

2008-12-22  Nikolas Zimmermann  <nikolas.zimmermann@torchmobile.com>

        Reviewed by George Staikos.

        Ignore http/tests/wml, if no WML support is present.
        Add http/tests/wml to list of HTTP tests, allowed to access local resources.

        * Scripts/run-webkit-tests:

2008-12-19  David Levin  <levin@chromium.org>

        Reviewed by Mark Rowe.

        https://bugs.webkit.org/show_bug.cgi?id=22930

        Make the git diff command used for preparing the change log avoid using any external diff tools.

        * Scripts/prepare-ChangeLog:

2008-12-19  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Holger Freyther.

        https://bugs.webkit.org/show_bug.cgi?id=22686

        Added files which were missing from the TestNetscapePlugin
        directory to the SOURCES variable, so that they will be
        distributed in a make dist.

        * GNUMakefile.am:

2008-12-18  Cameron Zwarich  <zwarich@apple.com>

        Reviewed by Geoff Garen.

        Add tests for bug 21855: REGRESSION (r37323): Gmail complains about popup blocking when opening a link
        <https://bugs.webkit.org/show_bug.cgi?id=21855>
        <rdar://problem/6278244>

        Add support for scheduling asynchronous clicks to DumpRenderTree, but
        only on the Mac.

        * DumpRenderTree/mac/EventSendingController.h:
        * DumpRenderTree/mac/EventSendingController.mm:
        (+[EventSendingController isSelectorExcludedFromWebScript:]): Expose
        scheduleAsynchronousClick to JavaScript.
        (-[EventSendingController scheduleAsynchronousClick]): Add.

2008-12-15  Darin Adler  <darin@apple.com>

        * Scripts/make-js-test-wrappers: Added another exception to avoid overwriting
        a custom-written test.

2008-12-15  Simon Hausmann  <hausmann@webkit.org>

        Reviewed by Holger Freyther.

        Implement setJavaScriptProfilingEnabled in the Qt DRT to pass fast/profiler.

        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::setJavaScriptProfilingEnabled):
        * DumpRenderTree/qt/jsobjects.h:

2008-12-13  Zan Dobersek  <zandobersek@gmail.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=22039

        Implement animation and transition pausing.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::pauseAnimationAtTimeOnElementWithId):
        (LayoutTestController::pauseTransitionAtTimeOnElementWithId):

2008-12-12  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Adam Roben.

        https://bugs.webkit.org/show_bug.cgi?id=22809

        Increase timeout in call to initWithURL so that people actually see
        new web pages when they type URLs rather than a blank screen.

        * WinLauncher/WinLauncher.cpp:
        (loadURL):  Increase timeout in initWithURL from 0 to 60 seconds.

2008-12-12  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Add a renaming idea.

2008-12-12  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Simon Hausmann.

        Update the WebKit.qrc and add a script to automatically generate the file.

        With the way rcc and qmake work this can not be done at build time
        as the WebKit.qrc must sit inside the directory that contains the files
        and at build time we may not change the content of the source directory.

        * Scripts/generate-qt-inspector-resource: Added.

2008-12-11  Cameron Zwarich  <zwarich@apple.com>

        Rubber-stamped by Mark Rowe.

        Roll out r39212 due to assertion failures during layout tests, multiple
        layout test failures, memory leaks, and obvious incorrectness.

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::pauseTransitionAtTimeOnElementWithId):

2008-12-10  Glenn Wilson  <gwilson@google.com>

        Reviewed by Adam Roben.

        Changed LayoutTestController and DumpRenderTree to allow for manual
        overriding of default preferences at test time.  Also added support for
        resetting the preferences after each test.
        https://bugs.webkit.org/show_bug.cgi?id=20534

        * DumpRenderTree/LayoutTestController.cpp: Added callback method for overriding preferences
        * DumpRenderTree/LayoutTestController.h: Added signature for callback
        * DumpRenderTree/win/DumpRenderTree.cpp: Added calls to reset preferences after each test if necessary
        * DumpRenderTree/win/LayoutTestControllerWin.cpp: Added JS override function
        * DumpRenderTree/mac/DumpRenderTree.mm: Added calls to reset preferences after each test if necessary
        * DumpRenderTree/mac/LayoutTestControllerMac.mm: Added JS override function

2008-12-10  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin Adler.

        Implement the new policy delegate (including navigation type and permissive mode) for DRT/win

        * DumpRenderTree/win/DumpRenderTree.cpp:
        * DumpRenderTree/win/DumpRenderTreeWin.h:

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setCustomPolicyDelegate):

        * DumpRenderTree/win/PolicyDelegate.cpp:
        (PolicyDelegate::PolicyDelegate):
        (PolicyDelegate::decidePolicyForNavigationAction):
        * DumpRenderTree/win/PolicyDelegate.h:
        (PolicyDelegate::setPermissive):

2008-12-10  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin

        Change the custom policy delegate to actually allow navigation for tests that need it.
        The new behavior is opt-in and doesn't require any changes in old tests.

        * DumpRenderTree/LayoutTestController.cpp:
        (setCustomPolicyDelegateCallback):  Allow for a second boolean argument to set the permissive flag on the custom
          policy delegate, which will be false by default to maintain original behavior.
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setCustomPolicyDelegate):

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setCustomPolicyDelegate):  Partially stubbed out for now.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setCustomPolicyDelegate):  Still stubbed out, but with new param.

        * DumpRenderTree/mac/PolicyDelegate.h:
        * DumpRenderTree/mac/PolicyDelegate.mm:
        (-[PolicyDelegate webView:decidePolicyForNavigationAction:request:frame:decisionListener:]):  If the permissive flag
          is set, allow the navigation.
        (-[PolicyDelegate setPermissive:]):  Change the behavior between "use" and "ignore" - allowing navigation or not.

2008-12-09  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Ada Chan.

        Fix gdb-safari on Tiger.

        gdb on Tiger does not take the -arch flag, so do not pass it.

        * Scripts/gdb-safari:

2008-12-09  Nikolas Zimmermann  <nikolas.zimmermann@torchmobile.com>

        Reviewed by Alexey Proskuryakov.

        Ignore WML tests, if no WML support available.

        * Scripts/run-webkit-tests:

2008-12-08  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Oliver Hunt.

        Added a shortcut for --jsDriver-args, which I use a lot.

        * Scripts/run-javascriptcore-tests:

2008-12-08  Stephanie Lewis  <slewis@apple.com>

        Fix Tiger build.

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:

2008-12-08  Darin Adler  <darin@apple.com>

        Reviewed by John Sullivan.

        - test machinery for https://bugs.webkit.org/show_bug.cgi?id=22409
          REGRESSION: cmd-shift-left/right don't switch tabs, instead select text

        * DumpRenderTree/LayoutTestController.cpp:
        (isCommandEnabledCallback): Added.
        (LayoutTestController::staticFunctions): Added "isCommandEnabled".
        * DumpRenderTree/LayoutTestController.h: Ditto.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::isCommandEnabled): Ditto.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (-[CommandValidationTarget initWithAction:]): Added. Used to get the
        command validation system to tell us if a comment is enabled.
        (-[CommandValidationTarget action]): Ditto.
        (-[CommandValidationTarget tag]): Ditto.
        (LayoutTestController::isCommandEnabled): Ditto.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::isCommandEnabled): Ditto.

2008-12-08  David Kilzer  <ddkilzer@apple.com>

        Bug 22555: Sort "children" sections in Xcode project files

        <https://bugs.webkit.org/show_bug.cgi?id=22555>

        Reviewed by Eric Seidel.

        * DrawTest/DrawTest.xcodeproj/project.pbxproj: Sorted.
        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj: Sorted.
        * WebKitLauncher/WebKitLauncher.xcodeproj/project.pbxproj: Sorted.

2008-12-08  David Kilzer  <ddkilzer@apple.com>

        Bug 22555: Sort "children" sections in Xcode project files

        <https://bugs.webkit.org/show_bug.cgi?id=22555>

        Reviewed by Timothy Hatcher.

        * Scripts/sort-Xcode-project-file: By popular request, don't sort
        the mainGroup in the project (the list of items below the top-level
        project file).

2008-12-05  David Kilzer  <ddkilzer@apple.com>

        Bug 22555: Sort "children" sections in Xcode project files

        <https://bugs.webkit.org/show_bug.cgi?id=22555>

        Reviewed by Darin Adler.

        Sort "children" sections alphabetically, moving groups (folders) to
        the top of each of the lists.  Files are assumed to have extensions,
        so %isFile is used to override this behavior.

        * Scripts/sort-Xcode-project-file:
        (sortChildrenByFileName): Added.
        (sortFilesByFileName): Renamed from sortByFileName().

2008-12-05  Eric Seidel  <eric@webkit.org>

        Reviewed by Geoff Garen.

        https://bugs.webkit.org/show_bug.cgi?id=22683
        Fix gtk and qt builds which depend on --qt and --gtk being removed from ARGV
        Add a new argumentsForConfiguration() function and clean up some old code to use it.
        Rename checkArgV to checkForArgumentAndRemoveFromARGV to be more self-documenting.

        * Scripts/run-javascriptcore-tests:
        * Scripts/run-launcher:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2008-12-03  Nikolas Zimmermann  <nikolas.zimmermann@torchmobile.com>

        Reviewed by Cameron Zwarich.

        Further preparations for WML layout tests.
        Ignore WMLTestCase.js, that's going to be in trunk soon.

        * Scripts/make-js-test-wrappers:

2008-12-03  Eric Seidel  <eric@webkit.org>

        Build fix for --gtk and --chromium, no review.

        Fix run-javascriptcore-tests to pass --gtk, --qt, --chromium, etc.
        through to build-jsc.

        * Scripts/build-jsc:
        * Scripts/webkitdirs.pm:

2008-12-03  Eric Seidel  <eric@webkit.org>

        Build fix only, no review.

        Remove support for build-webkit --svg-experimental.
        All of the "experimental" svg features have their own toggles anyway.
        I broke --svg-experimental in my last commit (which then broke clean builds)
        I can't find any use of --svg-experimental in our source tree, so removing it.

        * Scripts/build-webkit:

2008-12-02  Eric Seidel  <eric@webkit.org>

        Reviewed by David Hyatt (and Mark Rowe).

        Move --coverage support from build-webkit to webkitdirs.pm to share it with build-jsc
        Move --coverage support out of run-javascriptcore-tests and into build-jsc

        Finally add a buildXCodeProject function to webkitdirs.pm and move --clean support
        there from build-webkit (to allow future sharing with other build-* scripts)

        Change run-javascriptcore-tests to expect a --jsDriver-args= argument instead of
        picking through ARGV with a blacklist of what arguments weren't jsDriver args
        this makes run-javascriptcore-tests transparently support all arguments which
        webkitdirs.pm gives it support for.

        Make run-javascriptcore-tests actually print what commands it's running before running them.

        Add --help support to build-jsc and run-javascriptcore-tests!

        Make code to support --svg-experimental defaults take up half as many lines.

        * Scripts/build-jsc:
        * Scripts/build-webkit:
        * Scripts/run-javascriptcore-tests:
        * Scripts/webkitdirs.pm:

2008-12-03  Adam Roben  <aroben@apple.com>

        Fix a leak in WinLauncher shutdown

        Reviewed by Sam Weinig.

        * WinLauncher/WinLauncher.cpp:
        (_tWinMain): Replaced a delete with a Release. We can't delete the
        WebView properly since we only have a pointer to one of its
        interfaces. We also shouldn't be deleting COM objects directly anyway,
        for a number of reasons.

2008-12-03  Adam Roben  <aroben@apple.com>

        Fix a crash on exit in WinLauncher

        Reviewed by Sam Weinig.

        * WinLauncher/WinLauncher.cpp:
        (_tWinMain): Call shutDownWebKit before exiting.

2008-12-03  Adam Roben  <aroben@apple.com>

        Add a Debug_Internal configuration to WinLauncher

        This matches our other projects.

        Reviewed by Sam Weinig.

        * WinLauncher/WinLauncher.vcproj: Added a Debug_Internal
        configuration, which is identical to Debug except that it also
        references debug_internal.vsprops. Also removed some settings that we
        should be picking up from the .vsprops files.

2008-12-02  Eric Seidel  <eric@webkit.org>

        Reviewed by David Kilzer.

        Hack build-webkit --chromium to use Win32 python instead
        of using the default cygwin python.  Scons + CYGWIN tries
        to build with GCC by default, we force MSVC in our file
        but that just results in errors from Scons.  Until we can fix
        this latest round of errors, at least make build-webkit --chromium
        actually "work" under CYGWIN instead of forcing users to use
        a cmd shell directly.

        This is working around a Scons bug:
        http://scons.tigris.org/issues/show_bug.cgi?id=2266

        * Scripts/webkitdirs.pm:

2008-12-01  David Kilzer  <ddkilzer@apple.com>

        Bug 22466: REGRESSION (35867): Many resources missing when saving webarchive of webkit.org

        <https://bugs.webkit.org/show_bug.cgi?id=22466>
        <rdar://problem/6403593>

        Reviewed by Brady Eidson.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (normalizeHTTPResponseHeaderFields): Added.  Normalizes Date, Etag,
        Keep-Alive, Last-Modified and Server header fields to prevent false
        positive test failures.
        (convertWebResourceResponseToDictionary): Call
        normalizeHTTPResponseHeaderFields() to noramlize HTTP response
        header fields.

2008-12-01  David D. Kilzer  <ddkilzer@webkit.org>

        Bug 22559: Report builds left to test in bisect-builds (like git-bisect)

        <https://bugs.webkit.org/show_bug.cgi?id=22559>

        Reviewed by Adam Roben.

        * Scripts/bisect-builds: Updated status message to report the
        maximum number of builds left to test after the current one.
        (max): Added.

2008-11-27  Alp Toker  <alp@nuanti.com>

        Build GtkLauncher and minidom with the '-ansi' compiler flag to detect
        API header breakage at build time.

        * GNUmakefile.am:

2008-11-26  Eric Seidel  <eric@webkit.org>

        Reviewed by Nikolas Zimmermann and Mark Rowe.

        Add support for build-webkit --chromium
        https://bugs.webkit.org/show_bug.cgi?id=22515
        More cleanups changing isCygwin calls to isAppleWinWebKit and deploying isAppleWebKit where necessary.

        * Scripts/build-dumprendertree:
        * Scripts/build-jsc:
        * Scripts/build-webkit:
        * Scripts/gdb-safari:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2008-11-26  Eric Seidel  <eric@webkit.org>

        Reviewed by Nikolas Zimmermann.

        Add support for build-webkit --chromium (tested on mac)
        https://bugs.webkit.org/show_bug.cgi?id=22515
        Also simplified some code using checkArgv

        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2008-11-26  Eric Seidel  <eric@webkit.org>

        Reviewed by Nikolas Zimmermann.

        More pre-work for adding a build-webkit --chromium which works on Mac and Windows
        https://bugs.webkit.org/show_bug.cgi?id=22515
        Change a few calls to isCygwin to isAppleWinWebKit and a few calls to isAppleMacWebKit to isDarwin
        in preparation for having a chromium cygwin and chromium mac build

        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2008-11-26  Eric Seidel  <eric@webkit.org>

        Reviewed by Nikolas Zimmermann.

        Pre-work for getting build-webkit --chromium to work
        https://bugs.webkit.org/show_bug.cgi?id=22515
        Rename isOSX to isAppleMacWebKit to match what the code does, and add isChromium()

        * Scripts/build-dumprendertree:
        * Scripts/build-jsc:
        * Scripts/build-webkit:
        * Scripts/gdb-safari:
        * Scripts/run-javascriptcore-tests:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2008-11-26  David Kilzer  <ddkilzer@apple.com>

        Bug 22488: Make DRT smarter about charset encoding when post-processing webarchive content

        <https://bugs.webkit.org/show_bug.cgi?id=22488>

        Reviewed by Brady Eidson.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (convertWebResourceDataToString): If an IANA charset encoding string
        is provided, convert it to a CFStringEncoding value and then to an
        NSStringEncoding value, else fall back to NSUTF8StringEncoding.  We
        also nil-check dataAsString, so the worst-case scenario is that the
        data won't be decoded to a string (versus crashing DumpRenderTree).

2008-11-26  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Holger Freyther.

        [Gtk] add/remove tests from Skipped and fix netscape plugin test
        https://bugs.webkit.org/show_bug.cgi?id=22484

        Remove print'ing to stderr

        * DumpRenderTree/gtk/TestNetscapePlugin/TestNetscapePlugin.cpp:
        (NP_Initialize):
        (NP_Shutdown):

2008-11-25  Steve Falkenburg  <sfalken@apple.com>

        Windows build fix.

        * DumpRenderTree/cg/PixelDumpSupportCG.h:

2008-11-25  Steve Falkenburg  <sfalken@apple.com>

        Windows build fix.

        * DumpRenderTree/cg/ImageDiffCG.cpp:

2008-11-24  Darin Fisher  <darin@chromium.org>

        Fix bustage.

        https://bugs.webkit.org/show_bug.cgi?id=15643

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setSelectTrailingWhitespaceEnabled):

2008-11-24  Glenn Wilson  <gwilson@chromium.org>

        Reviewed by Alexey Proskuryakov.

        http://bugs.webkit.org/show_bug.cgi?id=15643

        Added support for changing the "trailing whitespace" work-around
        in LayoutTestController (so layout tests can verify this functionality)

        * DumpRenderTree/LayoutTestController.cpp:
        (setSelectTrailingWhitespaceEnabledCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setSelectTrailingWhitespaceEnabled):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setSelectTrailingWhitespaceEnabled):

2008-11-24  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Darin Adler

        https://bugs.webkit.org/show_bug.cgi?id=22433

        Add script that attempts to detect virtual methods
        whose signatures differ only by constness (which can
        indicate a programming error).

        * Scripts/detect-mismatched-virtual-const: Added.

2008-11-24  Zan Dobersek  <zandobersek@gmail.com>

        Reviewed by Holger Freyther.

        https://bugs.webkit.org/show_bug.cgi?id=22039

        [Gtk+] Implement TestNetscapePlugin for Gtk+ port and add it to the
        build.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        * DumpRenderTree/TestNetscapePlugIn.subproj/TestObject.cpp:
        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (setDefaultsToConsistentStateValuesForTesting):
        * DumpRenderTree/gtk/TestNetscapePlugin/ForwardingHeaders/WebKit/npapi.h: Added.
        * DumpRenderTree/gtk/TestNetscapePlugin/ForwardingHeaders/WebKit/npfunctions.h: Added.
        * DumpRenderTree/gtk/TestNetscapePlugin/ForwardingHeaders/WebKit/npruntime.h: Added.
        * GNUmakefile.am:

2008-11-24  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Mark Rowe.

        [Gtk+] Add configure option to enable Web Workers and enable it by default

        Add --enable-workers to the buildsystem (used by build-webkit) add
        the to be build files to the GNUmakefile.am and change build-webkit
        to enable Web Workers by default.

        * Scripts/build-webkit:

2008-11-24  Mark Rowe  <mrowe@apple.com>

        Reviewed by Alexey Proskuryakov.

        Let gdb-safari accept the --debug and --release options once more.

        * Scripts/gdb-safari:

2008-11-23  Zan Dobersek  <zandobersek@gmail.com>

        Reviewed by Holger Freyther. Landed by Jan Alonzo.

        Get SVG tests tested on GTK port.

        * Scripts/webkitdirs.pm:

2008-11-19  Greg Bolsinga  <bolsinga@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=21810
        Remove use of static C++ objects that are destroyed at exit time (destructors)

        All static C++ objects that create atexit calls are gone. Update script
        to indicate how to fix the problem should a new one appear.

        * Scripts/check-for-exit-time-destructors:

2008-11-18  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=22337
        Enable workers by default

        * Scripts/build-webkit: Changed the default to enabled.

2008-11-18  Alexey Proskuryakov  <ap@webkit.org>

        Rubber-stamped by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=22306
        Disable channel messaging support

        * Scripts/build-webkit: Add an option to enable channel messaging.

2008-11-17  Nikolas Zimmermann  <nikolas.zimmermann@torchmobile.com>

        Reviewed by George Staikos.

        Add --(no-)wml build flags.

        * Scripts/build-webkit:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2008-11-17  Geoffrey Garen  <ggaren@apple.com>

        Not reviewed.

        Try to fix gtk build.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::pauseAnimationAtTimeOnElementWithId):
        (LayoutTestController::pauseTransitionAtTimeOnElementWithId):

2008-11-17  Pierre-Olivier Latour  <pol@apple.com>

        Reviewed by Maciej.

        Pixel tests should use a default tolerance of 0.1% on Leopard and 1.0%
        on Tiger.

        https://bugs.webkit.org/show_bug.cgi?id=22271

        * Scripts/run-webkit-tests:

2008-11-17  Pierre-Olivier Latour  <pol@apple.com>

        Reviewed by Sam Weinig.

        Added new JavaScript API on LayoutController to pause a running
        CSS transition or animation at a given time.

        https://bugs.webkit.org/show_bug.cgi?id=21261

        * DumpRenderTree/LayoutTestController.cpp:
        (pauseAnimationAtTimeOnElementWithIdCallback):
        (pauseTransitionAtTimeOnElementWithIdCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::pauseAnimationAtTimeOnElementWithId):
        (LayoutTestController::pauseTransitionAtTimeOnElementWithId):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::pauseAnimationAtTimeOnElementWithId):
        (LayoutTestController::pauseTransitionAtTimeOnElementWithId):

2008-11-17  Gabor Loki  <loki@inf.u-szeged.hu>

        Reviewed by Darin Adler.

        <https://bugs.webkit.org/show_bug.cgi?id=22309>
        Pass the remaining options to build system on Qt-port

        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2008-11-16  Greg Bolsinga  <bolsinga@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=21810
        Remove use of static C++ objects that are destroyed at exit time (destructors)

        Remove .o files from the exclude list that have had their exit-time destructors removed.
        Handle case when there is no current symbol.

        * Scripts/check-for-exit-time-destructors:

2008-11-16  Sam Weinig  <sam@webkit.org>

        * Scripts/do-webcore-rename: Remove now fixed renames.

2008-11-16  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Plan some future renames.

2008-11-15  Darin Adler  <darin@apple.com>

        Rubber stamped by Geoff Garen.

        - do the long-planned StructureID -> Structure rename

        * Scripts/check-for-global-initializers: Update name of StructureID.o.
        * Scripts/do-webcore-rename: Renaming script that I used.

2008-11-15  Greg Bolsinga  <bolsinga@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=21810
        Remove use of static C++ objects that are destroyed at exit time (destructors)

        Create DEFINE_STATIC_LOCAL macro. Change static local objects to leak to avoid
        exit-time destructor. Update code that was changed to fix this issue that ran
        into a gcc bug (<rdar://problem/6354696> Codegen issue with C++ static reference
        in gcc build 5465). Also typdefs for template types needed to be added in some
        cases so the type could make it through the macro successfully.

        Basically code of the form:
        static T m;
        becomes:
        DEFINE_STATIC_LOCAL(T, m, ());

        Also any code of the form:
        static T& m = *new T;
        also becomes:
        DEFINE_STATIC_LOCAL(T, m, ());

        Remove .o files from the exclude list that have had their exit-time destructors removed.

        * Scripts/check-for-exit-time-destructors:

2008-11-14  Kevin Ollivier  <kevino@theolliviers.com>

        wx mac buildbot fix. Also, make sure we don't keep hitting this problem.

        * wx/install-unix-extras:

2008-11-14  Alp Toker  <alp@nuanti.com>

        GTK DRT build fix for gcc 4.4 snapshot. Add missing stdio include.

        Fixes Debian bug #505723
        http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505723

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:

2008-11-14  Krishna <krishnamurty.podipireddy@nokia.com>

        Reviewed by Simon Hausmann.

        Fix hanging DRT with Qt.

        https://bugs.webkit.org/show_bug.cgi?id=22209

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::DumpRenderTree::dump):
        Send empty pixel test data 'block', which is now
        expected by run-layout-tests.

2008-11-12  Dmitry Titov  <dimich@chromium.org>

        Reviewed by Alexey Proskuryakov.

        https://bugs.webkit.org/show_bug.cgi?id=22216

        * Scripts/build-webkit:
        Addes ENABLE_WORKERS to build-webkit so it's possible to build with workers enabled.

2008-11-06  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX: Backed out r38189 (and r38203) for Xcode 3.0.

        Apparently older versions of gcc have issues with this patch.
        Backing out a second time until the issues are resolved.

2008-11-06  David Kilzer  <ddkilzer@apple.com>

        BUILD WAS NOT BROKEN: Rolling r38189 back in.

        Please perform a clean build if you see crashes.

2008-11-06  David Kilzer  <ddkilzer@apple.com>

        BUILD FIX: Backed out r38189 since it apparently broke the world.

2008-11-06  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        Add ability to query an attribute's settable status and the
        ability to retrieve a single attribute from an AXObject

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (isAttributeSettableCallback):
        (attributeValueCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (+[NSString stringWithJSStringRef:]):
        (AccessibilityUIElement::attributeValue):
        (AccessibilityUIElement::isAttributeSettable):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::attributeValue):
        (AccessibilityUIElement::isAttributeSettable):

2008-11-06  Greg Bolsinga  <bolsinga@apple.com>

        Reviewed by Darin Adler.

        Bug 21810: Remove use of static C++ objects that are destroyed at exit time (destructors)
        https://bugs.webkit.org/show_bug.cgi?id=21810

        Remove .o files from the exclude list that have had their exit-time destructors removed.

        * Scripts/check-for-exit-time-destructors:

2008-11-05  Alp Toker  <alp@nuanti.com>

        GTK build script tweak.

        Make the path relative since it will appear in all -I compiler flags.
        Long argument lists cause bizarre slowdowns in libtool and result
        in huge build logs.

        * Scripts/webkitdirs.pm:

2008-11-05  Anders Carlsson  <andersca@apple.com>

        Fix 64-bit build.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (setDefaultsToConsistentValuesForTesting):

2008-11-04  Simon Fraser  <simon.fraser@apple.com>

        Add AccessibilityObject.o to the exclude list for the
        check for global destructors.

        * Scripts/check-for-exit-time-destructors:

2008-11-04  Darin Adler  <darin@apple.com>

        * Scripts/check-for-exit-time-destructors: Fix failures seen on the
        bot, but for some reason not on my computer.

2008-11-03  Darin Adler  <darin@apple.com>

        Reviewed by Tim Hatcher.

        - https://bugs.webkit.org/show_bug.cgi?id=22061
          create script to check for exit-time destructors

        * Scripts/check-for-exit-time-destructors: Added.
        Started as a copy of check-for-global-initializers.

        * Scripts/check-for-global-initializers: Added code to make
        this script rerun any time it's modified, and also to properly
        run again after the first time it reports an error.

2008-11-03  Pierre-Olivier Latour  <pol@apple.com>

        Reviewed by Dan Bernstein.

        Fixed the override of the "AppleScrollBarVariant" system setting to also work with HIToolbox.

        https://bugs.webkit.org/show_bug.cgi?id=22054

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (setDefaultsToConsistentValuesForTesting):

2008-10-31  Cameron Zwarich  <zwarich@apple.com>

        Not reviewed.

        * Scripts/do-webcore-rename:

        Add some renames to contemplate for the future.

2008-10-31  Darin Adler  <darin@apple.com>

        Requested by Mark Rowe.

        * Scripts/check-for-global-initializers: s/Web Kit/WebKit/.

2008-10-31  David Kilzer  <ddkilzer@apple.com>

        Bug 21997: prepare-ChangeLog should filter out ChangeLog files

        <https://bugs.webkit.org/show_bug.cgi?id=21997>

        Reviewed by Darin Adler.

        * Scripts/prepare-ChangeLog:
        (generateFileList): Don't add ChangeLog files to %{$functionLists}.
        This prevents them from showing up in the new ChangeLog entry.  They
        were already excluded from @{$changedFiles}.

2008-10-30  Mark Rowe  <mrowe@apple.com>

        Reviewed by Jon Homeycutt.

        Explicitly default to building for only the native architecture in debug and release builds.

        * DumpRenderTree/mac/Configurations/DebugRelease.xcconfig:

2008-10-30  Pierre-Olivier Latour  <pol@apple.com>

        Reviewed by Dan Bernstein.

        Fixed 64 bit build failure.

        * DumpRenderTree/mac/PixelDumpSupportMac.mm:
        (setupMainDisplayColorProfile):
        (createBitmapContextFromWebView):

2008-10-28  Alp Toker  <alp@nuanti.com>

        Fix GTK DRT following build breakage in r37928.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dump):
        (runTest):
        (main):

2008-10-28  Alp Toker  <alp@nuanti.com>

        Reviewed by Mark Rowe.

        Fix recently introduced double-free crashes in GTK DRT.

        LayoutTestController was made ref-counted in r36606 and Mac/Win DRT
        were updated to call ->deref() but GTK DRT was still deleting
        gLayoutTestController manually. This patch updates GTK to match the
        other ports and resolves the memory allocation issues.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (runTest):

2008-10-28  Alp Toker  <alp@nuanti.com>

        Reviewed by Mark Rowe.

        Fix GTK DRT hang when running the tests.

        Update output from the DRT tool to print an additional '#EOF' to match
        breaking changes that were made in r37434.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dump):

2008-10-28  Adele Peterson  <adele@apple.com>

        Reviewed by Sam Weinig.

        Specify which Localizable.strings to update since we don't always want to update the file in the same
        directory where we're searching for the strings to localize.

        * Scripts/extract-localizable-strings:
        * Scripts/update-webkit-localizable-strings:

2008-10-28  Timothy Hatcher  <timothy@apple.com>

        Add support for enabling the profiler, so the profiling tests can continue
        work now that the profiler is not always enabled.

        https://bugs.webkit.org/show_bug.cgi?id=21927

        <rdar://problem/6211578> Make the JavaScript profiler opt-in, so it does
        not slow down JavaScript all the time

        Reviewed by Darin Adler and Kevin McCullough.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj: Make the editor use spaces.
        * DumpRenderTree/LayoutTestController.cpp:
        (setJavaScriptProfilingEnabledCallback): Added. Calls LayoutTestController::setJavaScriptProfilingEnabled.
        (LayoutTestController::staticFunctions): Added setJavaScriptProfilingEnabled to the script class.
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setJavaScriptProfilingEnabled): Stubbed out with a FIXME.
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting): Disables the developer extras and disables the profiler.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setJavaScriptProfilingEnabled): Toggles the developer extras and profiler.
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting): Disables the developer extras and disables the profiler.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setJavaScriptProfilingEnabled): Toggles the developer extras and profiler.

2008-10-28  Pierre-Olivier Latour  <pol@apple.com>

        Reviewed by Dan Bernstein

        Primary changes in DumpRenderTree:
        - Ensure font smoothing is disabled (this is also called LCD anti-aliasing and
        is different from regular font CG anti-aliasing) as font-smoothing settings
        depends on the display and can also be changed by the user
        - Use a new cleared buffer for each test instead of the reusing same one to
        avoid potential result corruption across tests
        - Can now receive the expected pixel hash as a suffix to the test path or
        url as "path'hash"
        - Make sure hash is computed in a endian-independent way
        - Improve the code that sets/restores the screen color profile
        - Make the code more cross-platformy with std::string goodness
        - Added an "on-screen" mode where the snapshot will take into account surfaces
        on the window (like OpenGL content): this uses the new CG APIs on 10.5 or
        reading from the display framebuffer on 10.4. This mode is not active by
        default for performance reason, but must be explicitly activated from the test
        file using the new "testOnscreen()" JS API.

        Primary changes in ImageDiff:
        - Provide a new comparison algorithm that is more tolerant to "acceptable"
        failures (i.e. very small differences in font rendering, which --threshold is
        not really good at handling)
        - Generate normalized intensity-only diff images

        Primary changes in run-webkit-tests:
        - Take advantage of hashes for pixel tests which makes them much faster by
        minimizing image comparisons
        - Removed repaint options as these should be set from within test files using
        JS API
        - Replaced "threshold" option in  by "tolerance" expressed in percents
        - Added more logging when in "verbose" mode

        https://bugs.webkit.org/show_bug.cgi?id=21322
        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/ForwardingHeaders/wtf/PassRefPtr.h: Copied from JavaScriptGlue/ForwardingHeaders/wtf/PassRefPtr.h.
        * DumpRenderTree/ForwardingHeaders/wtf/RefPtr.h: Copied from JavaScriptGlue/ForwardingHeaders/wtf/RefPtr.h.
        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (testOnscreenCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController::testOnscreen):
        (LayoutTestController::setTestOnscreen):
        (LayoutTestController::testPathOrURL):
        (LayoutTestController::expectedPixelHash):
        * DumpRenderTree/PixelDumpSupport.h:
        * DumpRenderTree/cg/ImageDiffCG.cpp:
        (strtof):
        (releaseMallocBuffer):
        (createDifferenceImage):
        (imageHasAlpha):
        (main):
        * DumpRenderTree/cg/PixelDumpSupportCG.cpp:
        (computeMD5HashStringForBitmapContext):
        (dumpWebViewAsPixelsAndCompareWithExpected):
        * DumpRenderTree/cg/PixelDumpSupportCG.h:
        (BitmapContext::createByAdoptingBitmapAndContext):
        (BitmapContext::~BitmapContext):
        (BitmapContext::cgContext):
        (BitmapContext::BitmapContext):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (shouldIgnoreWebCoreNodeLeaks):
        (setDefaultsToConsistentValuesForTesting):
        (crashHandler):
        (initializeGlobalsFromCommandLineOptions):
        (prepareConsistentTestingEnvironment):
        (dumpRenderTree):
        (sizeWebViewForCurrentTest):
        (dump):
        (runTest):
        * DumpRenderTree/mac/PixelDumpSupportMac.mm:
        (restoreMainDisplayColorProfile):
        (setupMainDisplayColorProfile):
        (createBitmapContextFromWebView):
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (dump):
        (runTest):
        * DumpRenderTree/win/PixelDumpSupportWin.cpp:
        (getBitmapContextFromWebView):
        * Scripts/run-webkit-tests:

2008-10-27  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix on Linux/GTK. Enable support for #include <JavaScriptCore/XYZ.h> style includes.

        * wx/build-wxwebkit:

2008-10-24  Anders Carlsson  <andersca@apple.com>

        Try fixing the 64-bit build.

        * DumpRenderTree/TestNetscapePlugIn.subproj/TestObject.cpp:
        (testGetProperty):

2008-10-24  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        <rdar://problem/5440917> Support NPN_Construct

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (testCallback):
        Fix a memory leak.

        (testConstruct):
        New test method that treats it first argument as a constructor and invokes it with the rest of the arguments.

        (pluginInvoke):
        Handle testConstruct.

        * DumpRenderTree/TestNetscapePlugIn.subproj/TestObject.cpp:
        (testGetProperty):
        Add objectPointer property.

        (testEnumerate):
        Only enumerate the two first properties.

        (testConstruct):
        Add a simple construct implementation that just returns the test object.

2008-10-24  David Kilzer  <ddkilzer@apple.com>

        Bug 21850: svn-apply and svn-unapply should preserve patch line endings

        <https://bugs.webkit.org/show_bug.cgi?id=21850>

        Reviewed by Adam Roben.

        * Scripts/svn-apply: Save end-of-line characters when stripping them
        off each line of a patch so that they may be restored after
        processing the line.
        * Scripts/svn-unapply: Ditto.

2008-10-23  David Kilzer  <ddkilzer@apple.com>

        Bug 21832: Fix scripts using 'new File::Temp' for Perl 5.10

        <https://bugs.webkit.org/show_bug.cgi?id=21832>

        Reviewed by Sam Weinig.

        * Scripts/bisect-builds: Use imported tempfile() from File::Temp
        instead of 'new File::Temp' to make the script work with Perl 5.10.
        * Scripts/sort-Xcode-project-file: Ditto.

2008-10-22  Brady Eidson  <beidson@apple.com>

        Reviewed by Adam Roben

        <rdar://6261773> - autocomplete="off" doesn't work on Windows

        Implement LayoutTestController::elementDoesAutoCompleteForElementWithId() on Windows

        * DumpRenderTree/win/LayoutTestControllerWin.cpp:

2008-10-22  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: More renaming plans.

2008-10-21  Steve Falkenburg  <sfalken@apple.com>

        Exclude strings marked with UNLOCALIZED_STRING or UNLOCALIZED_LPCTSTR.

        * Scripts/extract-localizable-strings:

2008-10-17  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Mark Rowe.

        - default to 1000 tests per dump tool instance again, now that CTI no longer causes
        excess different stack logs.

        (Also fix a small bug in my last change.)

        * Scripts/run-webkit-tests:

2008-10-17  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Mark Rowe.

        Fix layout tests that use prologues and epilogues.

        * Scripts/run-webkit-tests:

2008-10-17  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Mark Rowe.

        - make sure MallocStackLogging is only on for tools we want to
        leak check, not other random stuff as well.

        * Scripts/run-webkit-tests:

2008-10-17  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Stephanie Lewis.

        - make run-webkit-tests --leaks default to 100 tests per run instead of 1000

        This should reduce or eliminate crashes on the buildbot due to
        running out of memory while stack logging.

        * Scripts/run-webkit-tests:

2008-10-16  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Gtk build fix. Not reviewed.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setSmartInsertDeleteEnabled):

2008-10-15  Glenn Wilson  <gwilson@google.com>

        Added new method to allow tests to disable smart editing in the course of a test.
        This is a possible solution to bug .20655

        Reviewed by Tim Hatcher.

        * DumpRenderTree/LayoutTestController.cpp:
        (setSmartInsertDeleteEnabledCallback): new method
        (LayoutTestController::staticFunctions): added new method to static list of callbacks
        * DumpRenderTree/LayoutTestController.h: added signature of new method
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting): added state resetting
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setSmartInsertDeleteEnabled): added new method
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting): added state resetting
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setSmartInsertDeleteEnabled): added new method

2008-10-14  Ada Chan  <adachan@apple.com>

        Fix windows build.

        Reviewed by Sam Weinig.

        * DumpRenderTree/cg/PixelDumpSupportCG.cpp:
        * DumpRenderTree/config.h:
        * DumpRenderTree/win/DumpRenderTreeWin.h:
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        * DumpRenderTree/win/UIDelegate.cpp:

2008-10-13  Timothy Hatcher  <timothy@apple.com>

        Make prepare-ChangeLog populate the changed functions for JavaScript files.

        https://bugs.webkit.org/show_bug.cgi?id=21567

        Reviewed by David Kilzer.

        * Scripts/prepare-ChangeLog:
        (get_function_line_ranges): Call get_function_line_ranges_for_javascript for
        files that end with ".js".
        (get_function_line_ranges_for_javascript): Find functions, anonymous functions
        and getters/setters.

2008-10-14  Alp Toker  <alp@nuanti.com>

        Reviewed by Sam Weinig.

        https://bugs.webkit.org/show_bug.cgi?id=16299
        Add a config.h file to DRT

        Add a config.h to DumpRenderTree and reduce use of DumpRenderTree.h as
        an ad-hoc config header.

        * DumpRenderTree/AccessibilityController.cpp:
        * DumpRenderTree/AccessibilityUIElement.cpp:
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/DumpRenderTree.h:
        * DumpRenderTree/GCController.cpp:
        * DumpRenderTree/LayoutTestController.cpp:
        * DumpRenderTree/WorkQueue.cpp:
        * DumpRenderTree/config.h: Added.
        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        * DumpRenderTree/gtk/GCControllerGtk.cpp:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        * DumpRenderTree/gtk/WorkQueueItemGtk.cpp:
        * DumpRenderTree/win/AccessibilityControllerWin.cpp:
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        * DumpRenderTree/win/DumpRenderTree.cpp:
        * DumpRenderTree/win/DumpRenderTreeWin.h:
        * DumpRenderTree/win/EditingDelegate.cpp:
        * DumpRenderTree/win/EventSender.cpp:
        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        * DumpRenderTree/win/GCControllerWin.cpp:
        * DumpRenderTree/win/MD5.cpp:
        * DumpRenderTree/win/PixelDumpSupportWin.cpp:
        * DumpRenderTree/win/PolicyDelegate.cpp:
        * DumpRenderTree/win/ResourceLoadDelegate.cpp:
        * DumpRenderTree/win/WorkQueueItemWin.cpp:
        * GNUmakefile.am:

2008-10-13  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        Added a method to get the links in a webpage

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (attributesOfDocumentLinksCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::getDocumentLinks):
        (AccessibilityUIElement::attributesOfDocumentLinks):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::getDocumentLinks):
        (AccessibilityUIElement::attributesOfDocumentLinks):

2008-10-13  David Kilzer  <ddkilzer@apple.com>

        Bug 21457: resolve-ChangeLogs should be able to operate on a git revision range

        <https://bugs.webkit.org/show_bug.cgi?id=21457>

        Reviewed by Adam.

        * Scripts/resolve-ChangeLogs: Added optional parameter to
        -f|--fix-merged switch to run the script on a revision range.
        Updated command-line validation checks.
        (findChangeLog): Fixed long-standing bug that should have used
        $_[0] instead of $_.
        (fixMergedChangeLog): Renamed to fixOneMergedChangeLog($).  Updated
        to work when called from git filter-branch.  It always restores a
        copy of the previous revision before reapplying the patch.
        (fixMergedChangeLogs): Added.  Calls itself through git filter-branch
        to re-merge ChangeLog files across a revision range.  Removes
        .git/refs/original directory on success.
        (parseFixMerged): Added.  Custom method to parse the -f|--fix-merged
        switch.
        (removeChangeLogArguments): Added.  Removes items from @ARGV when
        they are ChangeLog paths, and return a list of paths.  This makes it
        easier to validate the command-line.
        (resolveChangeLog): Added.  Extracted from main code block.  Runs
        the traditional single-file merge algorithm.
        (usageAndExit): Added.  Extracted from main code block.  Prints
        usage statement and exits with error status.

2008-10-12  Darin Adler  <darin@apple.com>

        * Scripts/make-js-test-wrappers: Update exceptions list so the script
        won't overwrite files and mangle tests.

2008-10-11  Dan Bernstein  <mitz@apple.com>

        Reviewed by Sam Weinig and Anders Carlsson.

        - update Mac DumpRenderTree to use the new WebView SPI for forcing the
          complex text code path
        - add --complex-text support to Windows DumpRenderTree

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dumpRenderTree):
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (createWebViewAndOffscreenWindow):
        (main):
        * Scripts/run-webkit-tests:

2008-10-09  Eric Seidel  <eric@webkit.org>

        Reviewed by Oliver Hunt.

        https://bugs.webkit.org/show_bug.cgi?id=21498

        * Scripts/make-js-test-wrappers: ignore resources/shadow-offset.js

2008-10-09  Cameron Zwarich  <zwarich@apple.com>

        Not reviewed.

        Add StructureID.o to the exclusion list in the global initializers
        script to fix the Debug build.

        * Scripts/check-for-global-initializers:

2008-10-08  Mark Rowe  <mrowe@apple.com>

        Fix the Windows build after r37434.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (dump): Update code to approximate valid C++ syntax.

2008-10-08  Timothy Hatcher  <timothy@apple.com>

        Add SVGElementInstance to the list of exceptions that have
        global initializers in debug builds.

        Rubber-stamped by Mark Rowe.

        * Scripts/check-for-global-initializers: Add SVGElementInstance.o.

2008-10-08  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Dan Bernstein

        Avoid disconnect between DRT and run-webkit-tests
        about whether to expect PNG dumps by having DRT always
        print two blocks terminated by #EOF, the second of which
        may be empty.

        https://bugs.webkit.org/show_bug.cgi?id=21483

        * DumpRenderTree/cg/PixelDumpSupportCG.cpp:
        (printPNG):
        (dumpWebViewAsPixelsAndCompareWithExpected):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dump):
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (dump):
        * Scripts/run-webkit-tests:

2008-10-07  Adam Roben  <aroben@apple.com>

        Make sure short functions get included in ChangeLog output for git
        repositories

        Reviewed by Dave Kilzer.

        * Scripts/prepare-ChangeLog:
        (sub diffCommand): Pass -U0 to git diff so that each contiguous change
        will get its own chunk without any surrounding context.
        (sub extractLineRange): Use the line numbers from the chunk header
        without modifying them now that they're accurate.

2008-10-04  Mark Rowe  <mrowe@apple.com>

        Reviewed by Tim Hatcher.

        Update check-for-weak-vtables to check only the final linked image for weak vtables.
        This gives more useful results than checking each object file independently.

        * Scripts/check-for-weak-vtables:

2008-10-03  Pierre-Olivier Latour <pol@apple.com>

        Reviewed by Darin Adler

        Render images to RGBA8 bitmaps independently of platform endianness.

        Create image difference bitmap in reference image colorspace instead of device colorspace
        (which depends on the main display profile), so that no color matching happens.

        https://bugs.webkit.org/show_bug.cgi?id=21336

        * DumpRenderTree/cg/ImageDiffCG.cpp:
        (createDifferenceBitmap):
        (computePercentageDifferent):
        (compareImages):

2008-10-02  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Darin Adler

        Fix hang when running with --pixel --reset, which occurs
        because DRT spews PNG data when the script does not expect it.

        https://bugs.webkit.org/show_bug.cgi?id=21323

        * Scripts/run-webkit-tests:

2008-09-30  Mark Rowe  <mrowe@apple.com>

        Reviewed by Dan Bernstein.

        Add a leak counter for CachedResources since we've had two recent leaks involving them.

        * Scripts/check-for-global-initializers:

2008-09-30  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Dan Bernstein.

        Fix many leaks seen on fast/backgrounds/svg-as-background-1.html.

        JavaScript wrappers were keeping DOM objects alive, which was leading to the SVG background image
        being kept alive in the memory cache past our last attempt to empty the cache prior to quitting.
        We need to empty the memory cache after forcing a JavaScript garbage collection to ensure that
        any live JavaScript wrappers are collected and their corresponding DOM objects have a chance to be
        torn down before we exit.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dumpRenderTree):
        (main):

2008-09-30  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Dan Bernstein

        Don't run pixel comparison for text-only tests.
        https://bugs.webkit.org/show_bug.cgi?id=21124

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dump):
        * Scripts/run-webkit-tests:

2008-09-29  Thiago Macieira  <thiago.macieira@nokia.com>

        Reviewed by Simon.

        Changed copyright from Trolltech ASA to Nokia.

        Nokia acquired Trolltech ASA, assets were transferred on September 26th 2008.


        * DumpRenderTree/qt/DumpRenderTree.cpp:
        * DumpRenderTree/qt/jsobjects.cpp:
        * DumpRenderTree/qt/jsobjects.h:
        * DumpRenderTree/qt/main.cpp:
        * DumpRenderTree/qt/testplugin.cpp:
        * DumpRenderTree/qt/testplugin.h:

2008-09-28  David Kilzer  <ddkilzer@apple.com>

        Bug 21185: resolve-ChangeLogs should be able to fix poorly merged ChangeLog entries after a git svn rebase

        <https://bugs.webkit.org/show_bug.cgi?id=21185>

        Reviewed by Adam.

        * Scripts/resolve-ChangeLogs: Added new -f|--fix-merge switch that
        will attempt to reapply the last commit to a ChangeLog file such
        that the ChangeLog entry appears at the top of the file.
        (findChangeLog): Added prototype and moved method below the exit
        statement.
        (fixMergedChangeLog): Added.  Method to fix incorrectly merged
        ChangeLog entries.

2008-09-27  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        https://bugs.webkit.org/show_bug.cgi?id=21178
        <rdar://problem/6248651>

        Return the result value from getURL.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (getURL):

2008-09-26  Matt Lilek  <webkit@mattlilek.com>

        Reviewed by Tim Hatcher.

        Update FEATURE_DEFINES after ENABLE_CROSS_DOCUMENT_MESSAGING was removed.

        * Scripts/build-webkit:

2008-09-26  Alice Liu  <alice.liu@apple.com>

        Remove usage of atlstr.h and CString for VCExpress compatibility

        Reviewed by Stephanie Lewis.

        * record-memory-win/main.cpp:
        (ProcessArgs):
        (UseImage):
        (QueryContinuously):
        (OneQuery):
        (OneQueryMP):

2008-09-26  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Update the version of libpng.

        * wx/install-unix-extras:

2008-09-24  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin Adler.

        Fix for https://bugs.webkit.org/show_bug.cgi?id=21080
        <rdar://problem/6243534>
        Crash below Function.apply when using a runtime array as the argument list

        Add method to ObjCController to return a runtime array.

        * DumpRenderTree/mac/ObjCController.m:
        (+[ObjCController isSelectorExcludedFromWebScript:]):
        (+[ObjCController webScriptNameForSelector:]):
        (-[ObjCController testArray]):

2008-09-24  Beth Dakin  <bdakin@apple.com>

        Reviewed by Sam Weinig.

        Speculative build fix.

        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::supportsPressAction):

2008-09-23  Beth Dakin  <bdakin@apple.com>

        Reviewed by Sam Weinig.

        This patch extends DumpRenderTree's AccessibilityController to ask
        if the focused element supports the press action.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (getSupportsPressActionCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::supportsPressAction):

2008-09-22  Alice Liu  <alice.liu@apple.com>

        Adding a stand-alone Windows console application to record a process's memory usage

        Reviewed by Steve Falkenburg.

        * record-memory-win: Added.
        * record-memory-win/main.cpp: Added.
        * record-memory-win/record-memory-win.vcproj: Added.

2008-09-22  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Darin Adler.

        Support ability to get/set selected text ranges for text controls through AX.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (setSelectedTextRangeCallback):
        (getSelectedTextRangeCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::attributesOfRowHeaders):
        (AccessibilityUIElement::attributesOfVisibleCells):
        (AccessibilityUIElement::rowIndexRange):
        (AccessibilityUIElement::columnIndexRange):
        (AccessibilityUIElement::cellForColumnAndRow):
        (AccessibilityUIElement::selectedTextRange):
        (AccessibilityUIElement::setSelectedTextRange):
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::selectedTextRange):
        (AccessibilityUIElement::setSelectedTextRange):

2008-09-20  Darin Adler  <darin@apple.com>

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (convertMIMEType): Turn on Stephanie's workaround for Tiger too.

2008-09-19  Alp Toker  <alp@nuanti.com>

        Build fix for the 'gold' linker and recent binutils. New behaviour
        requires that we link to used libraries explicitly.

        * GNUmakefile.am:

2008-09-19  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Oliver Hunt.

        Implement a workaround for an incorrect mime-type on machines with
        Dashcode 2.0.1.  Dashcode is overriding the UTI type for .js files.
        See radar <rdar://problem/6234318>.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (convertMIMEType):

2008-09-19  Chris Fleizach  <cfleizach@apple.com>

        Fixed Windows bustage

        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::titleUIElement):

2008-09-18  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Darin Adler.

        Expose titleUIElement call for DumpRenderTree

        * ChangeLog:
        * DumpRenderTree/AccessibilityUIElement.cpp:
        (titleUIElementCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::titleUIElement):

2008-09-18  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: More renaming plans.

2008-09-18  Mark Rowe  <mrowe@apple.com>

        Reviewed by Dan Bernstein.

        Clear the main frame's name between tests to get more consistent test results
        when running the WebKit tests with --nthly.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):

2008-09-18  Stephanie Lewis  <slewis@apple.com>

        Really fix tiger jsc tests.

        * Scripts/run-javascriptcore-tests:

2008-09-18  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Maciej Stachowiak.

        Fix jsc tests on Tiger.  Make jsc tests smarter about when to use the arch flag.

        * Scripts/run-javascriptcore-tests:
        * Scripts/webkitdirs.pm:

2008-09-18  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Sam Weinig.

        Print warning to stdout rather than stderr when a test attempts to access a remote resource.
        This should make it more obvious when a test does this, as stderr output tends to be obscured
        by noise in the test results.

        Also fixes some coding style issues in ResourceLoadDelegate.mm.

        * DumpRenderTree/mac/ResourceLoadDelegate.mm:
        (-[NSError _drt_descriptionSuitableForTestResult]):
        (-[NSURL _drt_descriptionSuitableForTestResult]):
        (-[ResourceLoadDelegate webView:identifierForInitialRequest:fromDataSource:]):
        (-[ResourceLoadDelegate webView:resource:willSendRequest:redirectResponse:fromDataSource:]):
        (-[ResourceLoadDelegate webView:resource:didReceiveResponse:fromDataSource:]):
        (-[ResourceLoadDelegate webView:resource:didFinishLoadingFromDataSource:]):
        (-[ResourceLoadDelegate webView:resource:didFailLoadingWithError:fromDataSource:]):
        (-[ResourceLoadDelegate webView:resource:willCacheResponse:fromDataSource:]):

2008-09-18  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Mark Rowe and Maciej Stachowiak..

        add a --64-bit option and specify which architecture to run on Mac.

        * Scripts/run-javascriptcore-tests:

2008-09-17  Mark Rowe  <mrowe@apple.com>

        Reviewed by Sam Weinig.

        Fix a crash seen running DumpRenderTree on fast/dom/null-document-window-open-crash.html under guard malloc.

        The JS wrapper for LayoutTestController could outlive the wrapped instance, and would crash when
        attempting to access the wrapped instance within layoutTestControllerObjectFinalize. We fix this by making
        LayoutTestController ref-counted to ensure that it is not outlived by the JS wrapper.

        * DumpRenderTree/ForwardingHeaders/wtf/RefCounted.h: Copied from JavaScriptGlue/ForwardingHeaders/wtf/RefCounted.h.
        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (notifyDoneCallback): Remove code that is no longer needed now that we must always have a wrapped instance.
        (layoutTestControllerObjectFinalize): Deref the wrapped object.
        (LayoutTestController::makeWindowObject): Ref the wrapped object.
        * DumpRenderTree/LayoutTestController.h: Make LayoutTestController RefCounted.
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (runTest): Deref the LayoutTestController object rather than explicitly deleting it.
        * DumpRenderTree/mac/LayoutTestControllerMac.mm: Remove code that is no longer needed.
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (runTest): Deref the LayoutTestController object rather than explicitly deleting it.

2008-09-16  Sam Weinig  <sam@webkit.org>

        Reviewed by Mark Rowe.

        Add flag to disable running sample on tests that timeout.

        * Scripts/run-webkit-tests:

2008-09-16  Adam Roben  <aroben@apple.com>

        Windows build fix after r36511

        Update for rename of layoutTestController to gLayoutTestController.

        * DumpRenderTree/LayoutTestController.cpp:
        * DumpRenderTree/win/EditingDelegate.cpp:
        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        * DumpRenderTree/win/ResourceLoadDelegate.cpp:
        * DumpRenderTree/win/UIDelegate.cpp:

2008-09-16  Adam Roben  <aroben@apple.com>

        Add a script to print out the dependency tree of a Visual Studio
        solution file

        * Scripts/print-msvc-project-dependencies: Added.

2008-09-16  Mark Rowe  <mrowe@apple.com>

        Fix the build.

        * DumpRenderTree/LayoutTestController.cpp:
        (notifyDoneCallback): Call fprintf in a safer manner.

2008-09-16  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Eric Seidel

        Protect against tests that call layoutTestController.notifyDone()
        more than once, which would lead to memory corruption, by nulling
        out the LayoutTestController on the JSObjectRef on destruction. Also
        add a finalize callback on the class so that if the LTC outlives
        the JSObjectRef, the JSObjectRef backpointer on the LTC can be
        nulled out.

        https://bugs.webkit.org/show_bug.cgi?id=20875

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (notifyDoneCallback):
        (layoutTestControllerObjectFinalize):
        (LayoutTestController::makeWindowObject):
        (LayoutTestController::getJSClass):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::~LayoutTestController):

2008-09-16  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Eric Seidel

        Step 1 patch: rename global variable for clarity.
        https://bugs.webkit.org/show_bug.cgi?id=20875

        * DumpRenderTree/DumpRenderTree.h:
        * DumpRenderTree/cg/PixelDumpSupportCG.cpp:
        (dumpWebViewAsPixelsAndCompareWithExpected):
        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dumpFramesAsText):
        (dump):
        (runTest):
        (processWork):
        (webViewLoadFinished):
        (webViewWindowObjectCleared):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (allocateGlobalControllers):
        (dumpFrameScrollPosition):
        (dumpFramesAsText):
        (methodNameStringForFailedTest):
        (dump):
        (runTest):
        * DumpRenderTree/mac/DumpRenderTreeMac.h:
        * DumpRenderTree/mac/DumpRenderTreeWindow.mm:
        * DumpRenderTree/mac/EditingDelegate.mm:
        (-[EditingDelegate webView:shouldBeginEditingInDOMRange:]):
        (-[EditingDelegate webView:shouldInsertNode:replacingDOMRange:givenAction:]):
        (-[EditingDelegate webView:shouldInsertText:replacingDOMRange:givenAction:]):
        (-[EditingDelegate webView:shouldChangeSelectedDOMRange:toDOMRange:affinity:stillSelecting:]):
        (-[EditingDelegate webView:shouldApplyStyle:toElementsInDOMRange:]):
        (-[EditingDelegate webView:shouldChangeTypingStyle:toStyle:]):
        (-[EditingDelegate webViewDidBeginEditing:]):
        (-[EditingDelegate webViewDidChange:]):
        (-[EditingDelegate webViewDidEndEditing:]):
        (-[EditingDelegate webViewDidChangeTypingStyle:]):
        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate processWork:]):
        (-[FrameLoadDelegate webView:locationChangeDone:forDataSource:]):
        (-[FrameLoadDelegate webView:didStartProvisionalLoadForFrame:]):
        (-[FrameLoadDelegate webView:didCommitLoadForFrame:]):
        (-[FrameLoadDelegate webView:didFinishLoadForFrame:]):
        (-[FrameLoadDelegate webView:didClearWindowObject:forFrame:]):
        (-[FrameLoadDelegate webView:didReceiveTitle:forFrame:]):
        * DumpRenderTree/mac/ResourceLoadDelegate.mm:
        (-[ResourceLoadDelegate webView:identifierForInitialRequest:fromDataSource:]):
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:dragImage:at:offset:event:pasteboard:source:slideBack:forView:]):
        (-[UIDelegate webViewFocus:]):
        (-[UIDelegate webViewUnfocus:]):
        (-[UIDelegate webView:createWebViewWithRequest:]):
        (-[UIDelegate webViewClose:]):
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (dumpFrameScrollPosition):
        (dumpFramesAsText):
        (dump):
        (runTest):

2008-09-15  Alice Liu  <alice.liu@apple.com>

        A change needed to make PPC bots pass accessibility/table-cell-spans.html layout test

        Reviewed by Stephanie Lewis.

        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        Calling -[NSValue rangeValue] on nil object was returning bogus results on PPC,
        but not Intel.  Add a check for nil before calling.
        (AccessibilityUIElement::rowIndexRange):
        (AccessibilityUIElement::columnIndexRange):

2008-09-14  Mark Rowe  <mrowe@apple.com>

        Build fix.

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (waitUntilDoneWatchdogFired):
        * DumpRenderTree/mac/ObjCPlugin.m:

2008-09-08  Dan Bernstein  <mitz@apple.com>

        Reviewed by Mark Rowe.

        - add an option to run-webkit-tests to always use the complex text code path

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (initializeGlobalsFromCommandLineOptions):
        (dumpRenderTree):
        * Scripts/run-webkit-tests:

2008-09-08  Steve Falkenburg  <sfalken@apple.com>

        Another Windows nightly build fix.

        Reviewed by Sam Weinig.

        * FindSafari/FindSafari.cpp:
        (_tmain): Delete existing WebKitNightly directory in temp.
        * FindSafari/Safari.exe.manifest: Add PROGIDs for each COM class. Remove non-production classes.

2008-09-07  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Mark Rowe.

        Fix DRT build

        * DumpRenderTree/DumpRenderTreePrefix.h:
        * DumpRenderTree/win/DumpRenderTree.vcproj:

2008-09-06  Steve Falkenburg  <sfalken@apple.com>

        Fix Windows nightlies.

        Copy WebKit.dll alongside application so registry-free COM can find it.
        Update embedded manifest to force use registry-free COM.

        Reviewed by Dave Hyatt.

        * FindSafari/FindSafari.cpp:
        (copyManifest):
        (replaceManifest):
        (_tmain):
        * FindSafari/FindSafari.rc: Added.
        * FindSafari/FindSafari.vcproj:
        * FindSafari/Safari.exe.manifest: Added.
        * FindSafari/resource.h: Added.

=== End merge of squirrelfish-extreme ===

2008-08-31  Mark Rowe  <mrowe@apple.com>

        Reviewed by Maciej Stachowiak.

        Add a --profile flag to run-sunspider.

        * Scripts/webkitdirs.pm: Detect --profile or --profiling passed as a command-line argument
        to build scripts as indicating that we should use the "Profiling" configuration.  At present
        this is only supported by JavaScriptCore, so using this argument to build any other project
        will likely result in unexpected behaviour.

2008-08-27  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        Fix run-webkit-tests to handle DRT exiting early.

        * Scripts/run-webkit-tests: Initialize $expectedResultPaths{$base} before it will be used.

=== Start merge of squirrelfish-extreme ===

2008-09-04  Mark Rowe  <mrowe@apple.com>

        Reviewed by Eric Seidel.

        Fix https://bugs.webkit.org/show_bug.cgi?id=20639.
        Bug 20639: ENABLE_DASHBOARD_SUPPORT does not need to be a FEATURE_DEFINE

        * Scripts/build-webkit: Remove ENABLE_DASHBOARD_SUPPORT-related code.

2008-09-04  Cameron Zwarich  <cwzwarich@uwaterloo.ca>

        Reviewed by Oliver Hunt.

        Bug 20616: Incorporate V8 benchmarks in testing
        <https://bugs.webkit.org/show_bug.cgi?id=20616>

        Add support for the --v8 option to run-sunspider.

        * Scripts/run-sunspider:

2008-09-04  Kevin Ollivier  <kevino@theolliviers.com>

        wx buildbot fix. More robust handling of clean when makefiles are not built or
        are not completely made.

        * wx/build-wxwebkit:

2008-09-03  Mark Rowe  <mrowe@apple.com>

        More Mac build fixes.

        Set ENABLE_DASHBOARD_SUPPORT when building for Mac via build-webkit.
        Also set ENABLE_CROSS_DOCUMENT_MESSAGING in order to match the
        default configuration specified in the .xcconfig files.

        * Scripts/build-webkit:

2008-09-03  Mark Rowe  <mrowe@apple.com>

        Mac build fix.  Ensure that dashboard support is enabled.

        * DumpRenderTree/mac/Configurations/Base.xcconfig:

2008-08-25  Steve Falkenburg  <sfalken@apple.com>

        Build fix. Copy correct version of ICU.

        * DumpRenderTree/win/DumpRenderTree.vcproj:

2008-08-25  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Simon.

        [run-webkit-tests] Use QtLauncher to show the results of the tests
        konqueror might not be installed, xdg-open might not be installed but the
        QtLauncher should be present.

        * Scripts/run-webkit-tests:

2008-08-24  Jon Honeycutt  <jhoneycutt@apple.com>

        Initial support for accessibility layout tests on Windows.
        https://bugs.webkit.org/show_bug.cgi?id=20497

        Reviewed by Sam Weinig.

        * DumpRenderTree/AccessibilityController.h: Fix typos.
        * DumpRenderTree/AccessibilityUIElement.cpp: Change #import to #include.
        * DumpRenderTree/AccessibilityUIElement.h: Define _WINSOCKAPI_ to
        prevent oleacc.h, which includes windows.h, from including winsock.h.
        Fixed typos.
        * DumpRenderTree/win/AccessibilityControllerWin.cpp: Added.
        (AccessibilityController::AccessibilityController):
        (AccessibilityController::~AccessibilityController):
        (AccessibilityController::focusedElement): Get the root element, and
        request its focused object.
        (AccessibilityController::rootElement): Query Windows for the
        accessible client object for the WebView's window.
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp: Added.
        (AccessibilityUIElement::AccessibilityUIElement):
        (AccessibilityUIElement::~AccessibilityUIElement):
        (AccessibilityUIElement::getLinkedUIElements): Not implemented.
        (AccessibilityUIElement::getChildren): Get the child count, and append
        each child.
        (AccessibilityUIElement::getChildAtIndex): Get the child at the given
        index offset by 1. In MSAA, child 0 is the object itself.
        (AccessibilityUIElement::allAttributes): Not implemented.
        (AccessibilityUIElement::attributesOfLinkedUIElements): Same.
        (AccessibilityUIElement::attributesOfChildren): Same.
        (AccessibilityUIElement::parameterizedAttributeNames): Same.
        (self): Return a VARIANT representing the "self" object. This is used
        when calling methods that require a child variant.
        (AccessibilityUIElement::role): Get the MSAA role, a long value, and
        convert it into a string with GetRoleText().
        (AccessibilityUIElement::title): Get the element's title, and convert
        it to a JS String.
        (AccessibilityUIElement::description): Same, for description.
        (AccessibilityUIElement::width):
        (AccessibilityUIElement::height):
        (AccessibilityUIElement::intValue): Get the object's value as a string,
        and convert the string to a double.
        (AccessibilityUIElement::minValue): Not implemented.
        (AccessibilityUIElement::maxValue): Same.
        (AccessibilityUIElement::insertionPointLineNumber): Same.
        (AccessibilityUIElement::attributesOfColumnHeaders): Same.
        (AccessibilityUIElement::attributesOfRowHeaders): Same.
        (AccessibilityUIElement::attributesOfColumns): Same.
        (AccessibilityUIElement::attributesOfRows): Same.
        (AccessibilityUIElement::attributesOfVisibleCells): Same.
        (AccessibilityUIElement::attributesOfHeader): Same.
        (AccessibilityUIElement::indexInTable): Same.
        (AccessibilityUIElement::rowIndexRange): Same.
        (AccessibilityUIElement::columnIndexRange): Same.
        (AccessibilityUIElement::lineForIndex): Same.
        (AccessibilityUIElement::boundsForRange): Same.
        (AccessibilityUIElement::cellForColumnAndRow): Same.
        * DumpRenderTree/win/DumpRenderTree.vcproj: Add accessibility files to
        project.  Link to oleacc.lib, the MSAA library.
        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::FrameLoadDelegate): Initialize the accessibility
        controller.
        (FrameLoadDelegate::didClearWindowObject): Create a new window object
        for the accessibility controller.
        * DumpRenderTree/win/FrameLoadDelegate.h:

2008-08-21  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Mark Rowe

        Make build-launcher-app work when run from a git repository.
        https://bugs.webkit.org/show_bug.cgi?id=20478

        * BuildSlaveSupport/build-launcher-app:

2008-08-20  Maxime Britto  <britto@apple.com>

        Reviewed by Ada Chan.

         rdar://5259746
        Mouse events are sent to page while resizing window (affects Gmail)

        * DumpRenderTree/win/UIDelegate.h:
        (UIDelegate::webViewSendResizeMessage): Add the new interface method, not implemented.

2008-08-19  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        Add snowleopard platform in layout tests

        Added support for accessing the attributes of
        accessibility tables through the accessibility controller
        in DumpRenderTree

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (attributesOfColumnHeadersCallback):
        (attributesOfRowHeadersCallback):
        (attributesOfColumnsCallback):
        (attributesOfRowsCallback):
        (attributesOfVisibleCellsCallback):
        (attributesOfHeaderCallback):
        (indexInTableCallback):
        (rowIndexRangeCallback):
        (columnIndexRangeCallback):
        (childAtIndexCallback):
        (cellForColumnAndRowCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (convertNSArrayToVector):
        (descriptionOfElements):
        (AccessibilityUIElement::getLinkedUIElements):
        (AccessibilityUIElement::getChildren):
        (AccessibilityUIElement::attributesOfLinkedUIElements):
        (AccessibilityUIElement::attributesOfChildren):
        (AccessibilityUIElement::attributesOfColumnHeaders):
        (AccessibilityUIElement::attributesOfRowHeaders):
        (AccessibilityUIElement::attributesOfColumns):
        (AccessibilityUIElement::attributesOfRows):
        (AccessibilityUIElement::attributesOfVisibleCells):
        (AccessibilityUIElement::attributesOfHeader):
        (AccessibilityUIElement::indexInTable):
        (AccessibilityUIElement::rowIndexRange):
        (AccessibilityUIElement::columnIndexRange):
        (AccessibilityUIElement::cellForColumnAndRow):
        * Scripts/run-webkit-tests:

2008-08-19  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        Fix run-webkit-tests misreporting crashed tests as timed out ones because DumpRenderTree
        is waiting for crash reporter to let it exit.

        The fix does not work on Tiger, because the state of the process is indistinguishable from
        other waiting processes, at least not with this technique.

        * Scripts/run-webkit-tests:

2008-08-18  Alp Toker  <alp@nuanti.com>

        Reviewed by Holger Freyther.

        https://bugs.webkit.org/show_bug.cgi?id=20350
        [GTK] Get DumpRenderTree working

        Fixes and enhancements to DumpRenderTree. With these changes, the test
        suite can now complete a run producing text and render tree dumps.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dumpFramesAsText):
        (dump):
        (runTest):
        (webViewLoadFinished):
        (webViewWindowObjectCleared):
        (webViewConsoleMessage):
        (webViewScriptAlert):
        (webViewScriptPrompt):
        (webViewScriptConfirm):
        (webViewTitleChanged):
        (main):
        * DumpRenderTree/gtk/DumpRenderTreeGtk.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::clearBackForwardList):
        (LayoutTestController::pathToLocalResource):
        (LayoutTestController::setAcceptsEditing):
        (LayoutTestController::setUserStyleSheetEnabled):
        (LayoutTestController::setUserStyleSheetLocation):
        (waitToDumpWatchdogFired):
        (LayoutTestController::windowCount):
        * DumpRenderTree/gtk/WorkQueueItemGtk.cpp:
        (JSStringCopyUTF8CString):
        (ScriptItem::invoke):

2008-08-17  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Cameron Zwarich.

        Updated project files to XCode 3.1.

        * DrawTest/DrawTest.xcodeproj/project.pbxproj:
        * WebKitLauncher/WebKitLauncher.xcodeproj/project.pbxproj:

2008-08-15  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Geoff Garen.

        <rdar://problem/6139914> Please include a _debug version of JavaScriptCore framework

        * Scripts/check-for-global-initializers: Ignore initializers when building the debug variant.

2008-08-13  Simon Hausmann  <hausmann@webkit.org>

        Rubber-stamped by Holger.

        Revert r31585 and disable http tests for the Qt build again unless
        explicitly enabled.

        Running the http tests unfortunately currently still triggers
        failures in non-http tests due to side-effects. Disable them by default for
        now, for more reliable results.

        * Scripts/run-webkit-tests:

2008-08-10  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed (and updated) by Alp Toker.

        https://bugs.webkit.org/show_bug.cgi?id=16620
        [GTK] Autotools make dist and make check support

        Get make dist working.

        Note that not all possible configurations have been tested yet.

        * GNUmakefile.am:

2008-08-10  Alp Toker  <alp@nuanti.com>

        Remove leftover qmake/GTK+ build files.

        * DumpRenderTree/gtk/DumpRenderTree.pro: Removed.
        * GtkLauncher/GtkLauncher.pro: Removed.

2008-08-06  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin

        AX functions shouldn't return position information because it changes
        based on the platform

        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::boundsForRange):

2008-08-06  Eric Seidel  <eric@webkit.org>

        Reviewed by darin.

        Fix leaks seen on build-bot by fixing memory management of AccessibilityUIElement.
        <https://bugs.webkit.org/show_bug.cgi?id=20297>
        <rdar://problem/6093153>

        I've made AccessibilityUIElement a stack object for now.  It could be
        made RefCounted, but I figured that might be overkill for the moment.
        Essentially it's just a RefPtr itself. :)

        I also fixed a few typos, such as AccessibilityUIElement() instead of ~AccessibilityUIElement()
        which was causing additional leaks. :)

        I added toAXElement to remove a bunch of copy/paste code.

        * DumpRenderTree/AccessibilityController.h:
        * DumpRenderTree/AccessibilityUIElement.cpp:
        (toAXElement):
        (allAttributesCallback):
        (attributesOfLinkedUIElementsCallback):
        (attributesOfChildrenCallback):
        (lineForIndexCallback):
        (boundsForRangeCallback):
        (childAtIndexCallback):
        (getRoleCallback):
        (getTitleCallback):
        (getDescriptionCallback):
        (getWidthCallback):
        (getHeightCallback):
        (getIntValueCallback):
        (getMinValueCallback):
        (getMaxValueCallback):
        (getInsertionPointLineNumberCallback):
        (finalize):
        * DumpRenderTree/AccessibilityUIElement.h:
        (AccessibilityUIElement::platformUIElement):
        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (AccessibilityController::focusedElement):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::AccessibilityUIElement):
        (AccessibilityUIElement::getLinkedUIElements):
        (AccessibilityUIElement::getChildren):
        (AccessibilityUIElement::getChildAtIndex):
        (AccessibilityUIElement::attributesOfLinkedUIElements):
        (AccessibilityUIElement::attributesOfChildren):

2008-08-06  Eric Seidel  <eric@webkit.org>

        Reviewed by Cameron Zwarich.

        Speculative fix for an error I keep seeing in my Cygwin build

        * Scripts/webkitdirs.pm: make determineConfigurationProductDir() always call determineConfiguration() even on cygwin

2008-08-02  Kevin Ollivier  <kevino@theolliviers.com>

        Forgot to commit licensing correction in last commit.

        * wx/packaging/wxWebKitInstaller.iss.in:

2008-08-02  Kevin Ollivier  <kevino@theolliviers.com>

        Reviewed by Eric Seidel.

        Scripts for building a wxWebKit installer for wxPython on Win, eventually will
        be used for nightlies.

        https://bugs.webkit.org/show_bug.cgi?id=20036

        * wx/packaging: Added.
        * wx/packaging/build-win-installer.py: Added.
        * wx/packaging/wxWebKitInstaller.iss.in: Added.

2008-07-31  Adam Roben  <aroben@apple.com>

        Follow-up to r35500

        * WinLauncher/WinLauncher.vcproj: Set the manifest properties for the
        Release configuration, too.

2008-07-31  Stefan Landvogt <stefan.landvogt@gmail.com>

        Fix Bug 20245: WinLauncher does not start in WebKit-debug right out of
        the box

        <https://bugs.webkit.org/show_bug.cgi?id=20245>

        Reviewed by Adam Roben.

        * WinLauncher/WinLauncher.vcproj: adding the following properties to
        WinLauncher > Properties > Manifest Tool > Isolated COM
        Type Library File: $(WebKitOutputDir)\lib\WebKit.tlb
        Component File Name: WebKit$(WebKitDLLConfigSuffix)
        Doing the change on "All Configurations"

2008-07-31  Adam Roben  <aroben@apple.com>

        Windows build bot fix

        * DumpRenderTree/win/ImageDiff.vcproj: Don't fail if files that only
        exist for people at Apple can't be found. Also updated the ICU version
        to 3.8.

2008-07-31  David Kilzer  <ddkilzer@apple.com>

        Fix layout test results for webarchive/test-xml-stylesheet.xml

        Reviewed by Darin Adler.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (convertMIMEType): Work around the "text/xml" local file type
        regression in Leopard using the BUILDING_ON_LEOPARD macro.  Also
        stop mangling "application/x-javascript" into "text/javascript".
        (convertWebResourceDataToString): When checking whether to dump a
        resource as text, also check to see if the MIME type is in the
        -[WebHTMLRepresentation supportedNonImageMIMETypes] array.
        * DumpRenderTree/mac/DumpRenderTreeMac.h: Added BUILDING_ON_LEOPARD
        macro.

2008-07-31  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Alice Liu

        Add AX support to get the bounds for a range of text
        Add AX support to get the child of an element
        Add AX support to get all the parameterized attribute names of an element

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (parameterizedAttributeNamesCallback):
        (boundsForRangeCallback):
        (childAtIndexCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::getChildAtIndex):
        (AccessibilityUIElement::parameterizedAttributeNames):
        (AccessibilityUIElement::boundsForRange):

2008-07-31  Erik Bunce  <elbunce@thehive.com>

        Reviewed by Simon.

        Make run-launcher set DYLD_LIBRARY_PATH to make things work on Mac OS X.

        * Scripts/run-launcher:

2008-07-30  Jessica Kahn  <jess@apple.com>

        Reviewed by Adam Roben.

        Slightly stricter checking for previous change, suggested by Adam.

        * Scripts/extract-localizable-strings:

2008-07-30  Jessica Kahn  <jess@apple.com>

        Reviewed by Darin Adler.

        Added support for UI_STRING and UI_STRING_KEY macros with flexible prefixes.

        * Scripts/extract-localizable-strings:

2008-07-30  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Copy icu38* files instead of icu36* files.

        * DumpRenderTree/win/DumpRenderTree.vcproj:

2008-07-25  Jan Michael Alonzo  <jmalonzo@webkit.org>

        DRT/Gtk build fix for r35362

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::elementDoesAutoCompleteForElementWithId):

2008-07-25  Brady Eidson  <beidson@apple.com>

        Reviewed by Sam

        Add the ability to dump whether-or-not an element should have autocomplete enabled,
        from the perspective of the WebKit API

        * DumpRenderTree/LayoutTestController.cpp:
        (elementDoesAutoCompleteForElementWithIdCallback):
        (LayoutTestController::staticFunctions):

        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::elementDoesAutoCompleteForElementWithId):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::elementDoesAutoCompleteForElementWithId): Stub for now until I can get on Windows

2008-07-25  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin

        Add support for AXLineForIndex and AXInsertionPointIndex through the
        accessibility controller

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (lineForIndexCallback):
        (getInsertionPointLineNumberCallback):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::insertionPointLineNumber):
        (AccessibilityUIElement::lineForIndex):

2008-07-25  Adam Roben  <aroben@apple.com>

        Try to fix the Windows build bot

        * DumpRenderTree/win/DumpRenderTree.vcproj: Don't try to copy files
        that don't exist for people outside of Apple.

2008-07-18  Landry Breuil  <landry@openbsd.org>

        Bug 19975: [OpenBSD] Patches to enable build of WebKit

        <https://bugs.webkit.org/show_bug.cgi?id=19975>

        Reviewed by David Kilzer.

        * DumpRenderTree/DumpRenderTree.h: OpenBSD doesn't support wide characters.

2008-07-16  Jon Honeycutt  <jhoneycutt@apple.com>

        CygwinDownloader fails to install necessary packages
        https://bugs.webkit.org/show_bug.cgi?id=20075

        Reviewed by Mark Rowe.

        * CygwinDownloader/cygwin-downloader.zip: Rebuilt after two broken
        mirrors removed in r34116. Set MIME type to application/octet-stream.

2008-07-16  Jon Honeycutt  <jhoneycutt@apple.com>

        CygwinDownloader's make-zip.sh script fails
        https://bugs.webkit.org/show_bug.cgi?id=20074

        Reviewed by Mark Rowe.

        * CygwinDownloader/cygwin-downloader.py:

2008-07-15  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Refactor accessibility testing code.

        We now have:
        - AccessibilityController
          Controller which has access to the WebView and can provide the focused element, root element
          and in the future, elementAtPoint.

        - AccessibilityUIElement
          Object which provides access to the data provided by the Accessibility APIs.

        * DumpRenderTree/AccessibilityController.cpp:
        (getFocusedElementCallback):
        (getRootElementCallback):
        (AccessibilityController::getJSClass):
        * DumpRenderTree/AccessibilityController.h:
        * DumpRenderTree/AccessibilityUIElement.cpp: Added.
        (allAttributesCallback):
        (attributesOfLinkedUIElementsCallback):
        (attributesOfChildrenCallback):
        (getRoleCallback):
        (getTitleCallback):
        (getDescriptionCallback):
        (getWidthCallback):
        (getHeightCallback):
        (getIntValueCallback):
        (getMinValueCallback):
        (getMaxValueCallback):
        (finalize):
        (AccessibilityUIElement::makeJSAccessibilityUIElement):
        (AccessibilityUIElement::getJSClass):
        * DumpRenderTree/AccessibilityUIElement.h: Added.
        (AccessibilityUIElement::platformUIElement):
        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (AccessibilityController::AccessibilityController):
        (AccessibilityController::~AccessibilityController):
        (AccessibilityController::focusedElement):
        (AccessibilityController::rootElement):
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm: Added.
        (AccessibilityUIElement::AccessibilityUIElement):
        (descriptionOfValue):
        (attributesOfElement):
        (nsStringToJSStringRef):
        (concatenateAttributeAndValue):
        (AccessibilityUIElement::getLinkedUIElements):
        (AccessibilityUIElement::getChildren):
        (AccessibilityUIElement::attributesOfLinkedUIElements):
        (AccessibilityUIElement::attributesOfChildren):
        (AccessibilityUIElement::allAttributes):
        (AccessibilityUIElement::role):
        (AccessibilityUIElement::title):
        (AccessibilityUIElement::description):
        (AccessibilityUIElement::width):
        (AccessibilityUIElement::height):
        (AccessibilityUIElement::intValue):
        (AccessibilityUIElement::minValue):
        (AccessibilityUIElement::maxValue):

2008-07-14  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin

        Add support to get attributes of the AXChildren of an objecty

        * DumpRenderTree/AccessibilityController.cpp:
        (attributesOfChildrenForFocusedElementCallback):
        (AccessibilityController::staticFunctions):
        * DumpRenderTree/AccessibilityController.h:
        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (descriptionOfValue):
        (AccessibilityController::attributesOfChildrenForFocusedElement):

2008-07-14  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * DumpRenderTree/win/DumpRenderTree.vcproj:

2008-07-14  Adam Roben  <aroben@apple.com>

        Attempted Windows build fix

        * DumpRenderTree/win/TestNetscapePlugin/TestNetscapePlugin.vcproj: Add
        CoreFoundation/OSXCompatibilityHeaders[/GNUCompatibility] to the
        include path.

2008-07-14  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Geoff Garen.

        Eliminate per-thread JavaScript global data instance support and make arbitrary
        global data/global object combinations possible.

        * DumpRenderTree/pthreads/JavaScriptThreadingPthreads.cpp:
        (runJavaScriptThread): Don't pass a released context reference to JSGarbageCollect.
        In this scenario, it was causing crashes after each 10-20 tests, because there was a large
        chance for a different thread to cause GC after the context was released.

2008-07-11  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Darin Adler.

        Make sure we read WebCore Leak messages.  Force full document teardown for DumpRenderTree.

        Up timeout limit, some slower machines were timing out before crashtracer finished writing out to disk and quitting DRT.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (setDefaultsToConsistentValuesForTesting):
        (resetWebViewToConsistentStateBeforeTesting):
        * Scripts/run-webkit-tests:

2008-07-10  Steve Falkenburg  <sfalken@apple.com>

        Build fix.

        * DumpRenderTree/win/DumpRenderTree.vcproj:

2008-07-09  Eric Seidel  <eric@webkit.org>

        Reviewed by Mark Rowe.

        Print <div> backgrounds when printing from DRT.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (setDefaultsToConsistentValuesForTesting):

2008-07-09  Eric Seidel  <eric@webkit.org>

        Reviewed by Mark Rowe.

        Fix copying of expected results to correct location

        * Scripts/run-webkit-tests:

2008-07-09  Eric Seidel  <eric@webkit.org>

        Reviewed by aroben.

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (dumpAsPDFCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController::dumpAsPDF):
        (LayoutTestController::setDumpAsPDF):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dumpFrameAsPDF):
        (dump):

2008-07-09  Eric Seidel  <eric@webkit.org>

        Reviewed by weinig.

        Add Content-Type support to DumpRenderTree and run-webkit-tests
        and move expected.txt files to expected.webarchive

        https://bugs.webkit.org/show_bug.cgi?id=15565

        * DumpRenderTree/cg/ImageDiffCG.cpp:
        (compareImages):
        (main):
        * DumpRenderTree/cg/PixelDumpSupportCG.cpp:
        (printPNG):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dump):
        * Scripts/run-webkit-tests:

2008-07-08  Jon Honeycutt  <jhoneycutt@apple.com>

        Reviewed by Anders.

        Port r34988 to Mac: allow tests to define JavaScript to execute when
        NPP_DestroyStream or NPP_URLNotify is called.

        * DumpRenderTree/TestNetscapePlugIn.subproj/main.cpp:
        (NPP_New): Remove initialization that happens in pluginAllocate. Look
        for new arguments onStreamDestroy and onURLNotify.
        (NPP_Destroy): Free onStreamDestroy and onURLNotify.
        (executeScript): Code moved from onStreamLoad.
        (NPP_NewStream): Call executeScript.
        (NPP_DestroyStream): Same.
        (NPP_URLNotify): Same.

2008-07-07  Beth Dakin  <bdakin@apple.com>

        Reviewed by Anders.

        This patch extends DRT accessibility tests to add the ability to
        query the intValue, minValue, and maxValue of the focused element.

        * DumpRenderTree/AccessibilityController.cpp:
        (intValueOfFocusedElementCallback):
        (minValueOfFocusedElementCallback):
        (maxValueOfFocusedElementCallback):
        (AccessibilityController::staticFunctions):
        * DumpRenderTree/AccessibilityController.h:
        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (AccessibilityController::intValueOfFocusedElement):
        (AccessibilityController::minValueOfFocusedElement):
        (AccessibilityController::maxValueOfFocusedElement):

2008-07-07  Steve Falkenburg  <sfalken@apple.com>

        Fix build.

        * DumpRenderTree/win/ImageDiff.vcproj:

2008-07-02  Jon Honeycutt  <jhoneycutt@apple.com>

        Allow tests to define JavaScript to execute when NPP_DestroyStream or
        NPP_URLNotify is called.

        Reviewed by Anders.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp: Add a new
        property, "returnErrorFromNewStream." This is to support the test for
        <rdar://5983747> Safari crashes trying to load the SilverLight plugin,
        caused by WebKit calling NPP_DestroyStream after a plug-in returns an
        error from NPP_NewStream.
        (pluginGetProperty):
        (pluginSetProperty):
        (pluginAllocate):
        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.h: Added new
        members, onStreamDestroy and onURLNotify.
        * DumpRenderTree/win/TestNetscapePlugin/main.cpp:
        (NPP_New): Remove initialization of onStreamLoad; this was moved to
        pluginAllocate. Look for new arguments onStreamDestroy and
        onURLNotify, and store their values.
        (NPP_Destroy): Free new members.
        (executeScript): Code moved from onStreamLoad
        (NPP_NewStream): If returnErrorFromNewStream has been set to true,
        return a generic error code. If onStreamLoad is set, execute it as
        JavaScript.
        (NPP_DestroyStream): If onStreamDestroy is set, execute it as JS.
        (NPP_URLNotify): Same, for onURLNotify.

2008-07-02  Brady Eidson  <beidson@apple.com>

        Reviewed by Mitz Pettel and John Sullivan

        Add the ability to tell DRT to call stopLoading on a WebFrame inside of a didStartProvisionalLoadForFrame
        load delegate.

        Required to add a layout test for the fix for <rdar://problem/5549871>

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate webView:didStartProvisionalLoadForFrame:]): If stopProvisionalFrameLoads is set, call
          [WebFrame stopLoading] to test for the crash reflected in 5549871

        All of the following are infrastructure to add the layoutTestController.setStopProvisionalFrameLoads() call:
        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (setStopProvisionalFrameLoadsCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController::stopProvisionalFrameLoads):
        (LayoutTestController::setStopProvisionalFrameLoads):

2008-07-01  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin

        Support ability to get width and height of an element through accessibility

        * DumpRenderTree/AccessibilityController.cpp:
        (widthOfFocusedElementCallback):
        (heightOfFocusedElementCallback):
        (AccessibilityController::staticFunctions):
        * DumpRenderTree/AccessibilityController.h:
        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (AccessibilityController::widthOfFocusedElement):
        (AccessibilityController::heightOfFocusedElement):

2008-06-30  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin

        Support the ability to get the linked ui elements of an object

        * DumpRenderTree/AccessibilityController.cpp:
        (attributesOfLinkedUIElementsForFocusedElementCallback):
        (AccessibilityController::staticFunctions):
        * DumpRenderTree/AccessibilityController.h:
        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (AccessibilityController::attributesOfLinkedUIElementsForFocusedElement):
        (AccessibilityController::allAttributesOfFocusedElement):
        (attributesOfElement):
        (nsStringToJSStringRef):

2008-06-29  Sam Weinig  <sam@webkit.org>

        Fix Tiger build.

        * DumpRenderTree/mac/EventSendingController.mm:
        (eventTypeForMouseButtonAndAction):

2008-06-27  Eric Seidel  <eric@webkit.org>

        Reviewed by darin.

        Add multi-button mouseevent support to DRT
        https://bugs.webkit.org/show_bug.cgi?id=15173

        It's now possible to specify the mouse button with:
        eventSender.mouseDown(1); eventSender.mouseUp(1); etc.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/mac/EventSendingController.h:
        * DumpRenderTree/mac/EventSendingController.mm:
        (+[EventSendingController isSelectorExcludedFromWebScript:]):
        (+[EventSendingController webScriptNameForSelector:]):
        (eventTypeForMouseButtonAndAction):
        (-[EventSendingController updateClickCountForButton:]):
        (-[EventSendingController mouseDown:]):
        (-[EventSendingController mouseUp:]):
        (-[EventSendingController mouseMoveToX:Y:]):
        (-[EventSendingController contextClick]):

2008-06-28  Nikolas Zimmermann  <zimmermann@kde.org>

        Reviewed by Oliver.

        Copy <test>-expected.png from the right location to /tmp/layout-test-results.
        Use $expectedPixelDir instead of $expectedDir. Allows using SVG pixel tests again.

        * Scripts/run-webkit-tests:

2008-06-27  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Christian Dywan.

        [Gtk] Initialize webview settings before running DRT tests
        http://bugs.webkit.org/show_bug.cgi?id=19778

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (setDefaultsToConsistentStateValuesForTesting):
        (main):

2008-06-26  Darin Adler  <darin@apple.com>

        * Scripts/check-for-weak-vtables: Fixed comment.

2008-06-26  Darin Adler  <darin@apple.com>

        * Scripts/check-for-weak-vtables: Added.

2008-06-26  Beth Dakin  <bdakin@apple.com>

        Reviewed by Sam.

        Do not include AXPosition in the dump of all of the accessibility
        attributes since it is screen-specific.

        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (AccessibilityController::allAttributesOfFocusedElement):

2008-06-26  Beth Dakin  <bdakin@apple.com>

        Reviewed by Anders.

        This is a speculative fix for the failing layout test on the build
        bot. It seems that the problem that the Build Bot is having is
        Tiger-specific. On Tiger, [NSValue description] was not very smart.
        So I replaced our call to description with a hand-rolled equivalent
        that will match on both platforms.

        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (descriptionOfValue):

2008-06-25  Beth Dakin  <bdakin@apple.com>

        Reviewed by Sam Weinig.

        This patch adds support to the AccessibilityController to query the
        following attributes specifically, without a full attribute dump:
        AXRole, AXTitle, and AXDescription.

        * DumpRenderTree/AccessibilityController.cpp:
        (allAttributesForFocusedElementCallback):
        (roleOfFocusedElementCallback):
        (titleOfFocusedElementCallback):
        (descriptionOfFocusedElementCallback):
        (AccessibilityController::staticFunctions):
        * DumpRenderTree/AccessibilityController.h:
        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (AccessibilityController::allAttributesForFocusedElement):
        (concatenateAttributeAndValue):
        (AccessibilityController::roleOfFocusedElement):
        (AccessibilityController::titleOfFocusedElement):
        (AccessibilityController::descriptionOfFocusedElement):

2008-06-24  Dan Bernstein  <mitz@apple.com>

        Reviewed by Stephanie Lewis.

        - move the linker flags from the debug configuration in the project
          to the shared configuration

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/mac/Configurations/DumpRenderTree.xcconfig:

2008-06-24  Dan Bernstein  <mitz@apple.com>

        - try to fix the Tiger build

        * DumpRenderTree/mac/AccessibilityControllerMac.mm:

2008-06-24  Sam Weinig and Beth Dakin  <bdakin@apple.com and sam@webkit.org>

        Reviewed by Darin Adler.

        Fix for <rdar://problem/5884881> Make DumpRenderTree support
        accessibility tests

        This patch adds some basic support for accessibility layout tests
        on the Mac.

        * DumpRenderTree/AccessibilityController.cpp: Added.
        (AccessibilityController::AccessibilityController):
        (AccessibilityController::~AccessibilityController):
        (dumpCurrentAttributesCallback):
        (AccessibilityController::makeWindowObject):
        (AccessibilityController::getJSClass):
        (AccessibilityController::staticFunctions):
        * DumpRenderTree/AccessibilityController.h: Added.
        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/mac/AccessibilityControllerMac.mm: Added.
        (descriptionOfValue):
        (AccessibilityController::dumpCurrentAttributes):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        * DumpRenderTree/mac/FrameLoadDelegate.h:
        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate init]):
        (-[FrameLoadDelegate webView:didClearWindowObject:forFrame:]):

2008-06-24  John Sullivan  <sullivan@apple.com>

        Reviewed by Dan Bernstein

        * Scripts/extract-localizable-strings:
        add UI_STRING_LOCALIZE_LATER, LPCTSTR_UI_STRING_LOCALIZE_LATER, and LOG_WARNING to the
        list of debugging macros, to avoid noise when keeping the list of localized string
        exceptions up to date

2008-06-24  Dan Bernstein  <mitz@apple.com>

        Rubber-stamped by Darin Adler.

        - add a font family for testing font-weight

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj: Added linker
        flags to create data sections for the WeightWatcher fonts.
        * DumpRenderTree/fonts: Added.
        * DumpRenderTree/fonts/WebKitWeightWatcher100.ttf: Added.
        * DumpRenderTree/fonts/WebKitWeightWatcher200.ttf: Added.
        * DumpRenderTree/fonts/WebKitWeightWatcher300.ttf: Added.
        * DumpRenderTree/fonts/WebKitWeightWatcher400.ttf: Added.
        * DumpRenderTree/fonts/WebKitWeightWatcher500.ttf: Added.
        * DumpRenderTree/fonts/WebKitWeightWatcher600.ttf: Added.
        * DumpRenderTree/fonts/WebKitWeightWatcher700.ttf: Added.
        * DumpRenderTree/fonts/WebKitWeightWatcher800.ttf: Added.
        * DumpRenderTree/fonts/WebKitWeightWatcher900.ttf: Added.
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (activateFonts): Renamed activateAhemFont to this and made it activate
        the WeightWatcher fonts in addition to Ahem.
        (prepareConsistentTestingEnvironment): Adjusted for the name change.
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (initialize): Added the WeightWatcher fonts.

2008-06-20  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Darin Adler.

        Extend the build-webkit (and set-webkit-configuration) script to
        support Cairo-based webkit builds.  (see http://bugs.webkit.org/show_bug.cgi?17952)

        * Scripts/build-webkit:  Add --cairo-win32 to the help message
        * Scripts/webkitdirs.pm:  Extend the 'determinePassedConfiguration
          subroutine to recognize the --cairo-win32 flag.  When present,
          the build configuration is changed from Debug/Release to
          Debug_Cairo/Release_Cairo.  This flag is only active when the
          isCygwin() test is true.

2008-06-17  Dan Bernstein  <mitz@apple.com>

        Reviewed by Justin Garcia.

        - prefer Leopard results when running on Snow Leopard.

        * Scripts/run-webkit-tests: Added a mapping of Snow Leopard to
          mac-leopard.
        * Scripts/webkitdirs.pm: Added isSnowLeopard().

2008-06-15  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Updated for the latest round of renaming.

2008-06-15  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Updated for the latest round of renaming.

2008-06-15  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Updated for the latest round of renaming.

2008-06-15  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Updated for the latest round of renaming.

2008-06-15  Darin Adler  <darin@apple.com>

        * Scripts/do-file-rename: Updated.
        * Scripts/do-webcore-rename: Updated for the latest round of renaming.

2008-06-15  Darin Adler  <darin@apple.com>

        * Scripts/do-file-rename: Updated for the latest round of renaming.
        * Scripts/do-webcore-rename: Tweaked and reorganized a bit.

2008-06-15  Darin Adler  <darin@apple.com>

        * Scripts/create-exports: Added.
        * Scripts/do-file-rename: Added some planned renames.
        * Scripts/do-webcore-rename: Updated for the latest round of renaming.

2008-06-15  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Updated for the latest round of renaming.

2008-06-15  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Oliver.

        - rename testkjs to jsc

        * Scripts/build-jsc: Copied from Scripts/build-testkjs.
        * Scripts/build-testkjs: Removed.
        * Scripts/run-javascriptcore-tests:
        * Scripts/run-jsc: Copied from Scripts/run-testkjs.
        * Scripts/run-sunspider:
        * Scripts/run-testkjs: Removed.
        * Scripts/sunspider-compare-results:

2008-06-14  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Moved planned renames into a separate hash
        from the actual renames. Removed many renames that are either done or
        no longer planned.

2008-06-14  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Fixed obvious typo.

2008-06-13  Darin Adler  <darin@apple.com>

        * Scripts/make-js-test-wrappers: Added three more exceptions.

2008-06-10  Joerg Bornemann  <joerg.bornemann@trolltech.com>

        Reviewed by Simon.

        For the qmake based build make it possible to build against makespecs where
        QMAKE_CC is defined in a configuration file included from qmake.conf.

        * Scripts/webkitdirs.pm: Added support for include() statements in
        qmake.conf.

2008-06-09  Alp Toker  <alp@nuanti.com>

        gcc3/autotools build fix. Add explicit -O2 -fno-strict-aliasing to
        each of the tools since these are no longer set globally.

        * GNUmakefile.am:

2008-06-08  Darin Adler  <darin@apple.com>

        * Scripts/make-js-test-wrappers: Added another exception.

2008-06-07  Cameron Zwarich  <cwzwarich@uwaterloo.ca>

        Reviewed by Timothy.

        Remove the --squirrelfish option from SunSpider, as it is no longer needed.

        * Scripts/run-sunspider:

2008-06-05  Alp Toker  <alp@nuanti.com>

        Build fix for r34387.

        * GNUmakefile.am:

2008-06-04  Cameron Zwarich  <cwzwarich@uwaterloo.ca>

        Reviewed by Oliver.

        Add an exception for Opcode.o to the global initializers check so that
        we can dump instruction statistics in the JavaScript virtual machine.

        * Scripts/check-for-global-initializers:

2008-05-30  Steve Falkenburg  <sfalken@apple.com>

        Generate an isolated COM manifest for registry free COM.

        * DumpRenderTree/win/DumpRenderTree.vcproj:

2008-06-02  Anders Carlsson  <andersca@apple.com>

        Reviewed by David Hyatt and Mitz.

        <rdar://problem/5704119>
        repro crash in WebCore::RenderPart::setWidget (plugin-related?)

        Call -[WebView display] in the "plug-in" failed delegate method, simulating
        the sheet that Safari puts up.

        * DumpRenderTree/mac/ResourceLoadDelegate.mm:
        (-[ResourceLoadDelegate webView:plugInFailedWithError:dataSource:]):

2008-05-30  Timothy Hatcher  <timothy@apple.com>

        Made the starting line number of scripts be 1-based throughout the engine.
        This cleans up script line numbers so they are all consistent now.

        Reviewed by Oliver Hunt.

        * DumpRenderTree/mac/ObjCController.m:
        (runJavaScriptThread): Pass a line number of 1 instead of 0 to JSEvaluateScript.
        * DumpRenderTree/pthreads/JavaScriptThreadingPthreads.cpp:
        (runJavaScriptThread): Ditto.
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (runJavaScriptThread): Ditto.

2008-05-29  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Adam Roben.

        Fixed VCSUtils.pm to work with git repositories inside symlinks.

        * Scripts/VCSUtils.pm: Compute a relative path from the git repository
        root, instead of the root of the filesystem, to work around a bug in
        abs2rel when traversing symlinked home directories.

2008-05-29  Kevin Ollivier  <kevino@theolliviers.com>

        Reviewed by Darin Adler.

        Restore original behavior of isOSX() referring to the Mac port, not the OS itself.

        https://bugs.webkit.org/show_bug.cgi?id=19311

        * Scripts/webkitdirs.pm:

2008-05-29  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Adam Roben.

        Fix run-iexploder-tests and run-mangleme-tests to work with updated shared scripts and
        configuration files.

        * Scripts/run-iexploder-tests:
        * Scripts/run-mangleme-tests:
        Renamed runSafari to not conflict with the one in webkitdirs.
        Added SSLCertificateFile option for httpd, as now needed.

2008-05-27  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Update the sample app after wxWebFrame->wxWebBrowserShell rename.

        * wx/browser/browser.cpp:
        (MyApp::OnInit):

2008-05-24  Andreia Gaita  <shana@isninja.com>

        Reviewed by Alp Toker.

        cygwin-downloader.py fixes.

        Remove two non-working mirrors. Add a check for missing dependency
        packages to avoid bailing out on an inconsistent Cygwin package list.

        * CygwinDownloader/cygwin-downloader.py:

2008-05-24  Jan Michael Alonzo  <jmalonzo@webkit.org>

        Reviewed by Darin Adler.

        Remove useQmake usage. QMake build doesn't support Gtk port
        anymore.

        Also fix 2 occurences of "Web Kit". Should be WebKit.

        * Scripts/build-webkit:
        * Scripts/run-javascriptcore-tests:
        * Scripts/run-launcher:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2008-05-22  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Dan.

        implement the beforeUnload UI delegate so that DRT will dispatch beforeunload events.

        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:runBeforeUnloadConfirmPanelWithMessage:initiatedByFrame:]):
        * DumpRenderTree/win/UIDelegate.cpp:
        (SearchableWebViewHost::runBeforeUnloadConfirmPanelWithMessage):

2008-05-21  Adele Peterson  <adele@apple.com>

        Reviewed by Adam.

        DumpRenderTree support for <rdar://problem/5787733> fast/dom/HTMLDocument/hasFocus.html fails on Windows

        * DumpRenderTree/win/UIDelegate.cpp:
        (UIDelegate::webViewFocus): Added.
        (UIDelegate::webViewUnfocus): Added.
        * DumpRenderTree/win/UIDelegate.h:

2008-05-21  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Stephanie Lewis.

        Set the pass_through flag on Getopt so that extra arguments can be passed through to Safari,
        rather than trigger an unknown argument message.  This allows run-webkit-tests to display results
        once more.

        * Scripts/run-safari:

2008-05-21  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Maciej, Mark.

        arch doesn't take arguments on tiger.  expand DRT timeout for guardMalloc.

        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2008-05-20  Mark Rowe  <mrowe@apple.com>

        Reviewed by Stephanie Lewis.

        Improve the behavior of run-webkit-tests with 64-bit WebKit by automatically inferring whether to run 64-bit.

        If --64-bit is not passed to run-webkit-tests, attempt to guess whether we should run 64-bit.
        This decision is made based on the 64-bitness of the built WebKit framework if it exists, and
        can be manually overridden by passing --64-bit or --no-64-bit.  This removes the need to always
        pass an argument to run-webkit-tests after having built with "make x86_64".

        * Scripts/gdb-safari:
        * Scripts/run-safari:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm: Split the setting of the 64-bit flag, the determination of the
        preferred architecture, and exporting of the environment variables for 'arch' out into
        separate subroutines.

2008-05-20  Mark Rowe  <mrowe@apple.com>

        Fix "make x86_64" by adding x86_64 target to WebKitTools Makefile.

        * Makefile:

=== End merge of squirrelfish ===

2008-04-14  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Oliver.

        - added support for --ubench mode

        * Scripts/run-sunspider:

2008-03-26  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Oliver Hunt.

        --squirrelfish mode: pared down tests for squirrelfish to chew on.

        * Scripts/run-sunspider:

=== Start merge of squirrelfish ===

2008-05-21  Darin Adler  <darin@apple.com>

        * Scripts/make-js-test-wrappers: Added another exception.

2008-05-19  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Adam.

        Explicitly set run mode to 32bit unless overridden to avoid
        confusion when running tests

        * Scripts/build-dumprendertree:
        * Scripts/gdb-safari:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2008-05-16  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Steve.

        Print out pending unload event count. Also print out main frame name to match Mac.

        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (descriptionSuitableForTestResult):
        (FrameLoadDelegate::didFinishDocumentLoadForFrame):

2008-05-16  Timothy Hatcher  <timothy@apple.com>

        Remove the Drosera project, code and resources since it has been
        replaced with the Web Inspector's debugger. Removes references to
        Drosera in various scripts and makefiles.

        Rubber-stamped by Mark Rowe.

        * BuildSlaveSupport/build-launcher-app:
        * Drosera/DebuggerDocument.cpp: Removed.
        * Drosera/DebuggerDocument.h: Removed.
        * Drosera/Drosera.icns: Removed.
        * Drosera/DroseraWin.make: Removed.
        * Drosera/English.lproj/Debugger.nib/classes.nib: Removed.
        * Drosera/English.lproj/Debugger.nib/info.nib: Removed.
        * Drosera/English.lproj/Debugger.nib/keyedobjects.nib: Removed.
        * Drosera/English.lproj/MainMenu.nib/classes.nib: Removed.
        * Drosera/English.lproj/MainMenu.nib/info.nib: Removed.
        * Drosera/English.lproj/MainMenu.nib/keyedobjects.nib: Removed.
        * Drosera/ForwardingHeaders/wtf/Assertions.h: Removed.
        * Drosera/ForwardingHeaders/wtf/HashTraits.h: Removed.
        * Drosera/ForwardingHeaders/wtf/Noncopyable.h: Removed.
        * Drosera/ForwardingHeaders/wtf/OwnPtr.h: Removed.
        * Drosera/ForwardingHeaders/wtf/Platform.h: Removed.
        * Drosera/ForwardingHeaders/wtf/RetainPtr.h: Removed.
        * Drosera/Images/Drosera.ico: Removed.
        * Drosera/Images/SourceArrow.png: Removed.
        * Drosera/Images/SourceArrowBlank.png: Removed.
        * Drosera/Images/SourceArrowOpen.png: Removed.
        * Drosera/Images/background_stripe.png: Removed.
        * Drosera/Images/breakPoint.tif: Removed.
        * Drosera/Images/breakPointDisabled.tif: Removed.
        * Drosera/Images/breakpointeditor.png: Removed.
        * Drosera/Images/close.tif: Removed.
        * Drosera/Images/close_active.tif: Removed.
        * Drosera/Images/close_hover.tif: Removed.
        * Drosera/Images/console.png: Removed.
        * Drosera/Images/continue.tif: Removed.
        * Drosera/Images/fileIcon.jpg: Removed.
        * Drosera/Images/finishFunction.tif: Removed.
        * Drosera/Images/glossyFooterFill.tif: Removed.
        * Drosera/Images/glossyHeader.png: Removed.
        * Drosera/Images/glossyHeaderPressed.png: Removed.
        * Drosera/Images/gradientBackground.png: Removed.
        * Drosera/Images/gutter.png: Removed.
        * Drosera/Images/navLeftDisabled.png: Removed.
        * Drosera/Images/navLeftNormal.png: Removed.
        * Drosera/Images/navLeftPressed.png: Removed.
        * Drosera/Images/navRightDisabled.png: Removed.
        * Drosera/Images/navRightNormal.png: Removed.
        * Drosera/Images/navRightPressed.png: Removed.
        * Drosera/Images/pause.tif: Removed.
        * Drosera/Images/popUpArrows.png: Removed.
        * Drosera/Images/programCounter.tif: Removed.
        * Drosera/Images/programCounterBreakPoint.tif: Removed.
        * Drosera/Images/programCounterBreakPointDisabled.tif: Removed.
        * Drosera/Images/run.tif: Removed.
        * Drosera/Images/siteCollapsed.tif: Removed.
        * Drosera/Images/siteExpanded.tif: Removed.
        * Drosera/Images/siteIcon.tif: Removed.
        * Drosera/Images/small.ico: Removed.
        * Drosera/Images/splitterBar.tif: Removed.
        * Drosera/Images/splitterDimple.tif: Removed.
        * Drosera/Images/step.tif: Removed.
        * Drosera/Images/stepOut.tif: Removed.
        * Drosera/Images/stepOver.tif: Removed.
        * Drosera/Images/stop.tif: Removed.
        * Drosera/Images/toolbarBackground.png: Removed.
        * Drosera/Images/verticalSplitterBar.tiff: Removed.
        * Drosera/Images/verticalSplitterDimple.tiff: Removed.
        * Drosera/Makefile: Removed.
        * Drosera/breakpointEditor.html: Removed.
        * Drosera/config.h: Removed.
        * Drosera/console.css: Removed.
        * Drosera/console.html: Removed.
        * Drosera/console.js: Removed.
        * Drosera/debugger.css: Removed.
        * Drosera/debugger.html: Removed.
        * Drosera/debugger.js: Removed.
        * Drosera/mac/DebuggerApplication.h: Removed.
        * Drosera/mac/DebuggerApplication.mm: Removed.
        * Drosera/mac/DebuggerClient.h: Removed.
        * Drosera/mac/DebuggerClient.mm: Removed.
        * Drosera/mac/DebuggerDocumentPlatform.mm: Removed.
        * Drosera/mac/Drosera.xcodeproj/project.pbxproj: Removed.
        * Drosera/mac/Info.plist: Removed.
        * Drosera/mac/LauncherInfo.plist: Removed.
        * Drosera/mac/Makefile: Removed.
        * Drosera/mac/ServerConnection.h: Removed.
        * Drosera/mac/ServerConnection.mm: Removed.
        * Drosera/mac/launcher.m: Removed.
        * Drosera/mac/main.m: Removed.
        * Drosera/viewer.css: Removed.
        * Drosera/viewer.html: Removed.
        * Drosera/win/BaseDelegate.h: Removed.
        * Drosera/win/DebuggerClient.cpp: Removed.
        * Drosera/win/DebuggerClient.h: Removed.
        * Drosera/win/DebuggerDocumentPlatform.cpp: Removed.
        * Drosera/win/Drosera.cpp: Removed.
        * Drosera/win/Drosera.h: Removed.
        * Drosera/win/Drosera.vcproj/Drosera.rc: Removed.
        * Drosera/win/Drosera.vcproj/Drosera.vcproj: Removed.
        * Drosera/win/DroseraPrefix.cpp: Removed.
        * Drosera/win/DroseraPrefix.h: Removed.
        * Drosera/win/Info.plist: Removed.
        * Drosera/win/ServerConnection.cpp: Removed.
        * Drosera/win/ServerConnection.h: Removed.
        * Drosera/win/resource.h: Removed.
        * Makefile:
        * Scripts/build-drosera: Removed.
        * Scripts/gdb-drosera: Removed.
        * Scripts/run-drosera: Removed.
        * Scripts/run-drosera-nightly.cmd: Removed.
        * Scripts/run-drosera.cmd: Removed.
        * Scripts/webkitdirs.pm:

2008-05-15  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Anders.

        Dump the unload count for a frame after parsing is finished.

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        (-[FrameLoadDelegate webView:didFinishDocumentLoadForFrame:]):

2008-05-15  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Dan Bernstein.

        https://bugs.webkit.org/show_bug.cgi?id=10707
        DumpRenderTree should not be able to access non-local resources

        * DumpRenderTree/mac/ResourceLoadDelegate.mm:
        (-[ResourceLoadDelegate webView:resource:willSendRequest:redirectResponse:fromDataSource:]):
        Block them, and complain.

2008-05-15  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Update the version of libpng to download and instsall.

        * wx/install-unix-extras:

2008-05-14  Julien Chaffraix  <jchaffraix@webkit.org>

        Reviewed by Eric.

        - isDarwin() and isCygwin() returned an empty string if the platform equality check fails.
          We now force the return value to be numeric.

        - Removed platform checks as it was a work around the previous issue.

        - Replaced isDarwin() by isOSX() as they have now the same behaviour.

        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2008-05-12  Adam Roben  <aroben@apple.com>

        Support for testing NPN_PostURL

        Reviewed by Anders Carlsson.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (toCString): Added this helper function.
        (testPostURLFile): Added. Writes the passed-in content to the
        passed-in file and calls NPN_PostURL with the passed-in URL and
        target.
        (pluginInvoke): Added a case for testPostURLFile.
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (followShortcuts): Changed to allow paths that don't yet exist.

2008-05-12  Mark Rowe  <mrowe@apple.com>

        Reviewed by Sam Weinig.

        Minor cleanup of the DRT Xcode project.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:  Use GCC_OPTIMIZATION_LEVEL rather than
        OPTIMIZATION_CFLAGS.  Don't include Info.plist in the "Copy Bundle Resources" build phase as it does
        not need to be there.

2008-05-12  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Add support for testing application caches.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dumpRenderTree):
        Empty the cache.

        (resetWebViewToConsistentStateBeforeTesting):
        Turn on support for the application cache.

2008-05-09  Mark Rowe  <mrowe@apple.com>

        Reviewed by Anders Carlsson.

        Update TestNetscapePlugIn to build 64-bit using the Cocoa event model.

        It currently does not attempt to print events which means that plugins/mouse-events.html
        will fail when run 64-bit.  All other tests that use this plugin pass.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (testGetIntIdentifier):
        * DumpRenderTree/TestNetscapePlugIn.subproj/main.cpp:
        (NPP_New):
        (NPP_HandleEvent):

2008-05-09  Brady Eidson  <beidson@apple.com>

        Reviewed by Adam Roben

        Explicitly call shutDownWebKit() before quitting.

        * Drosera/win/Drosera.cpp:
        (_tWinMain):

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (main):

2008-05-09  Mark Rowe  <mrowe@apple.com>

        Fix the Tiger build of Drosera.

        * Drosera/config.h: Define BUILDING_ON_TIGER when building on Tiger.

2008-05-09  Sam Weinig  <sam@webkit.org>

        Rubber-stamped by Mark Rowe.

        Remove the ENABLE_CROSS_DOCUMENT_MESSAGING #ifdefs.

        * Scripts/build-webkit:

2008-05-08  Mark Rowe  <mrowe@apple.com>

        Another attempt at a Tiger build fix.

        Use DumpRenderTreeMac.h rather than DumpRenderTree.h as DumpRenderTreePasteboard is not an Obj-C++ file.

        * DumpRenderTree/mac/DumpRenderTreePasteboard.m:

2008-05-08  Mark Rowe  <mrowe@apple.com>

        Tiger build fix.  Include DumpRenderTree.h so that BUILDING_ON_TIGER will be defined.

        * DumpRenderTree/mac/DumpRenderTreePasteboard.m:

2008-05-08  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt and Dan Bernstein.

        Update DumpRenderTree to build 64-bit.

        The three major changes here are:
        1) Use NSInteger in the appropriate places.
        2) Use ColorSync API that is available in 64-bit to switch display profiles.
        3) Use method-swizzling to achieve similar results to class posing when using the Obj-C 2.0 runtime.

        The build of DumpRenderTree will still fail in 64-bit for now as the TestNetscapePlugIn target also
        needs updated to successfully build.

        * DumpRenderTree/mac/Configurations/Base.xcconfig: Don't prevent Xcode from building 64-bit.
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (swizzleAllMethods):
        (poseAsClass):
        (prepareConsistentTestingEnvironment):
        * DumpRenderTree/mac/DumpRenderTreeMac.h:
        * DumpRenderTree/mac/DumpRenderTreePasteboard.h:
        * DumpRenderTree/mac/DumpRenderTreePasteboard.m:
        * DumpRenderTree/mac/DumpRenderTreeWindow.mm:
        * DumpRenderTree/mac/PixelDumpSupportMac.mm:
        (restoreColorSpace):
        (failedGettingCurrentProfile):
        (setDefaultColorProfileToRGB):

2008-05-08  Mark Rowe  <mrowe@apple.com>

        Reviewed by Darin Adler.

        Clean up Drosera so that it will build 64-bit.

        * Drosera/mac/DebuggerApplication.mm:
        (-[DebuggerApplication numberOfRowsInTableView:]): Use NSInteger rather than int.
        (-[DebuggerApplication tableView:objectValueForTableColumn:row:]): Ditto.
        * Drosera/mac/Drosera.xcodeproj/project.pbxproj: Use the default value for VALID_ARCHS.

2008-05-07  David Kilzer  <ddkilzer@apple.com>

        Use File::Find and Getopt::Long in make-js-test-wrappers

        Reviewed by Darin Adler.

        * Scripts/make-js-test-wrappers:
        - Updated Apple copyright statement.
        - Added command-line switch parsing and -h|--help switch.
        - Allowed user to pass list of files/directories on which to do
          a restricted search for TEMPLATE.html files.  The default
          behavior is still to search the entire LayoutTests directory.
        - Removed duplicate 'use strict' statement.
        - Replaced use of `find` statements with File::Find::find().
        - Remove unneeded chomp() calls now that we use File::Find.
        (directoryFilter): Added.  Filters .svn directories when used
        with File::Find::find().
        (findTemplateFiles): Added.  Returns a list of TEMPLATE.html
        files found.

2008-05-05  Steve Falkenburg  <sfalken@apple.com>

        Copy dependencies of ImageDiff, DumpRenderTree in post-build step.

        * DumpRenderTree/win/DumpRenderTree.vcproj:
        * DumpRenderTree/win/ImageDiff.vcproj:

2008-05-05  Adele Peterson  <adele@apple.com>

        Reviewed by Adam.

        Look for the right ImageDiff executable for debug builds.

        * Scripts/run-webkit-tests:

2008-05-05  Darin Adler  <darin@apple.com>

        * Scripts/run-webkit-tests: Ignore a Java leak showing up in the WebKit
        leak tests.

2008-05-05  Ariya Hidayat  <ariya.hidayat@trolltech.com>

        Reviewed by Simon.

        In the Qt's DumpRenderTree, adjust the web view properly (because W3C SVG
        tests expect to be 480x360)

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::DumpRenderTree::open):

2008-05-02  Dan Bernstein  <mitz@apple.com>

        Reviewed by Adam Roben.

        - add an option to svn-apply to set the reviewer name in change logs

        * Scripts/svn-apply: Added a [-r|--reviewer name] option.

2008-05-01  David Kilzer  <ddkilzer@apple.com>

        Clean up configuration usage in run-webkit-tests

        Reviewed by Adam.

        * Scripts/run-webkit-tests: Parse configuration switches using
        passedConfiguration() from webkitdirs.pm like every other script.
        Note that we must still call setConfiguration() afterwards in
        case the --configuration switch was used.  Use $configurationOption
        when running build-dumprendertree instead of recreating the switch.

2008-04-29  Adam Roben  <aroben@apple.com>

        Restore the beloved COMPtr::operator&

2008-04-29  Adam Roben  <aroben@apple.com>

        Windows build fixes

        Replace COMPtr::operator& with COMPtr::adoptionPointer.

2008-04-25  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        Fix run-webkit-tests --threading
        and provisionally fix <https://bugs.webkit.org/show_bug.cgi?id=18661>
        Proxy server issue in Sunday's Nightly

        * DumpRenderTree/pthreads/JavaScriptThreadingPthreads.cpp:
        (runJavaScriptThread):
        (startJavaScriptThreads):
        (stopJavaScriptThreads):
        Spawned threads were immediately detached, unlike the original ones, so joining them
        made no sense. Now, all threads are created detached, and stopJavaScriptThreads() just
        waits for them all to exit.

2008-04-28  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Simon.

        Reset dumping resource load callbacks to false for the next test


        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::reset):

2008-04-28  Tor Arne Vestbø  <tavestbo@trolltech.com>

        Reviewed by Simon.

        Adapt to the latest API changes in WebKit/qt/Api.

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::DumpRenderTree::DumpRenderTree):
        * DumpRenderTree/qt/jsobjects.cpp:

2008-04-26  Robin Dunn  <robin@alldunn.com>

        Reviewed by Kevin Ollivier.

        Delete the DerivedSources after make clean has been done so that the DerivedSources
        don't get re-created. Also, use the proper extension for the Win wxPython extension.

        https://bugs.webkit.org/show_bug.cgi?id=18756

        * wx/build-wxwebkit:

2008-04-26  Adam Barth <hk9565@gmail.com>

        Reviewed by Adam Roben and Sam Weinig.

        Updates LayoutTestController to use host instead of domain.

        Collin Jackson <collinj-webkit@collinjackson.com> also contributed to this patch.

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setDatabaseQuota):
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:frame:exceededDatabaseQuotaForSecurityOrigin:database:]):

2008-04-26  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Need the latest libpng. (Somehow my initial test passed without it.)

        * wx/install-unix-extras:

2008-04-26  Robin Dunn  <robin@alldunn.com>

        Reviewed by Kevin Ollivier.

        Allow the user to set the path to SWIG using an environment variable.

        https://bugs.webkit.org/show_bug.cgi?id=18660

        * wx/build-wxwebkit:

2008-04-26  Kevin Ollivier  <kevino@theolliviers.com>

        wx build fix. Download the latest libpng version for building the
        dependencies.

        * wx/install-unix-extras:

2008-04-25  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Simon.

        Implement dumping of resource load callbacks to pass http/tests/xmlhttprequest/abort-should-cancel-load.html

        Similar to Editing and Frameloading we do the dumping within WebCore


        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::dumpResourceLoadCallbacks):
        * DumpRenderTree/qt/jsobjects.h:

2008-04-24  Jan Michael Alonzo  <jmalonzo@unpluggable.com>

        Reviewed by Maciej Stachowiak.

        http://bugs.webkit.org/show_bug.cgi?id=18485
        Typo and documentation fix for build-webkit

        * Scripts/build-webkit:

2008-04-24  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam.

        Don't call fprintf from the signal handler.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (crashHandler):

2008-04-23  Adam Roben  <aroben@apple.com>

        Make crashes be reported as crashes, not hangs

        Reviewed by David Kilzer.

        * Scripts/run-webkit-tests:
        (top level): Use the new status field of the output from
        readFromDumpToolWithTimer to determine if the test crashed or hung.
        (sub readFromDumpToolWithTimer):
          - If we fail to read a line and $! is not EAGAIN, then we've crashed
            and should not try to read any more.
          - Changed the timedout field to a more general status field.

2008-04-22  David Kilzer  <ddkilzer@apple.com>

        Bug 18683: update-webkit returns 0 even if it fails

        <https://bugs.webkit.org/show_bug.cgi?id=18683>

        Reviewed by Mitz Pettel.

        * Scripts/update-webkit:
        (runSvnUpdate): Die if close() fails.

2008-04-21  Adam Roben  <aroben@apple.com>

        Flush stdout/stderr after printing every #EOF separator

        This fixes a hang when running the pixel tests on Windows

        Reviewed by Mitz Pettel.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (dump):
        (main): We don't have to flush stdout/stderr in the arguments loop
        anymore, as runTest flushes for us.

2008-04-21  Adam Roben  <aroben@apple.com>

        Fix pixel tests

        * Scripts/run-webkit-tests:
        (sub readFromDumpToolWithTimer): Use readline instead of read to
        ensure that we don't read past the #EOF marker.

2008-04-21  Holger Hans Peter Freyther  <holger.freyther@trolltech.com>

        Reviewed by Simon.

        Build fix for Qt 4.3

        * When building WebCore/internal make sure the QT_[BEGIN,END]_NAMESPACE is
        always defined. Do this by adding defines to the compiler line

        * DumpRenderTree/qt/DumpRenderTree.pro:

2008-04-19  Mike Hommey  <glandium@debian.org>

        Reviewed by Alp Toker.

        Don't build GtkLauncher and DumpRenderTree with rpath.

        * GNUmakefile.am:

2008-04-18  Jan Michael Alonzo  <jmalonzo@unpluggable.com>

        Reviewed by Alp Toker.

        http://bugs.webkit.org/show_bug.cgi?id=16620
        [GTK] Autotools make dist and make check support

        Cleanups.

        * GNUmakefile.am:

2008-04-18  Adam Roben  <aroben@apple.com>

        Drop the hang timer to 30 seconds

        This matches what DRT/mac was using.

        Reviewed by Mitz Pettel.

        * Scripts/run-webkit-tests:

2008-04-18  Adam Roben  <aroben@apple.com>

        Get rid of DRT's Watchdog

        run-webkit-tests now detects hangs and samples DRT as needed.

        Reviewed by Mitz Pettel.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj: Removed
        Watchdog* files from the project.
        * DumpRenderTree/Watchdog.cpp: Removed.
        * DumpRenderTree/Watchdog.h: Removed.
        * DumpRenderTree/mac/DumpRenderTree.mm: Removed uses of Watchdog
        (dumpRenderTree):
        (runTest):
        * DumpRenderTree/mac/WatchdogMac.h: Removed.
        * DumpRenderTree/mac/WatchdogMac.mm: Removed.
        * Scripts/run-webkit-tests:
        (sub testCrashedOrTimedOut): Call sampleDumpTool() if we timed out.
        (sub sampleDumpTool): Added. Writes a sample report to
        ~/Library/Logs/DumpRenderTree/HangReport.txt.

2008-04-18  Simon Hausmann  <hausmann@webkit.org>

        Reviewed by Holger.

        Adapt to the API changes in WebKit/qt

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::WebPage::WebPage):
        (WebCore::DumpRenderTree::DumpRenderTree):
        (WebCore::DumpRenderTree::initJSObjects):
        (WebCore::DumpRenderTree::dumpFramesAsText):
        (WebCore::DumpRenderTree::dump):

2008-04-17  Adam Roben  <aroben@apple.com>

        Fix many tests on Windows

        * Scripts/run-webkit-tests:
        (readFromDumpToolWithTimer):
         - Use read instead of sysread to ensure that we don't interfere with
           other uses of buffered IO in this script.
        (setFileHandleNonBlocking): Actually set the filehandle to blocking
        when specified.

2008-04-17  Adam Roben  <aroben@apple.com>

        Fix ~10 tests

        * Scripts/run-webkit-tests: Only remove the newline after #EOF, not
        whatever newline happens to be at the end of what we've read.

2008-04-17  Adam Roben  <aroben@apple.com>

        Remove DRT/win's hang timer

        run-webkit-tests takes care of this for us now

        Reviewed by Anders Carlsson.

        * DumpRenderTree/win/DumpRenderTree.cpp:

2008-04-17  Adam Roben  <aroben@apple.com>

        Don't wait for the hang timer twice in the case of a hang

        Previously we'd wait for a hang while reading both stdout and stderr
        from DRT. Now we'll only wait for one or the other.

        Reviewed by Anders Carlsson.

        * Scripts/run-webkit-tests:
        (top level): Don't wait for stderr to time out if stdout already timed
        out.
        (readFromDumpToolWithTimer): If $dontWaitForTimeOut is true, quit
        after the first read that returns no data.

2008-04-17  Adam Roben  <aroben@apple.com>

        Don't throw away the output from timed out tests

        Reviewed by Anders Carlsson.

        * Scripts/run-webkit-tests:
        (top level): Updated for changes to readFromDumpToolWithTimer.
        (readFromDumpToolWithTimer): Return a hash that contains both the
        output and whether or not the test timed out.

2008-04-17  Adam Roben  <aroben@apple.com>

        Make the hang timer 60 seconds

        * Scripts/run-webkit-tests:

2008-04-17  Adam Roben  <aroben@apple.com>

        Get rid of carriage returns in DRT/win's stderr

        Reviewed by Eric Seidel.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (main): Mark stderr as binary like we already do for stdout.

2008-04-17  Adam Roben  <aroben@apple.com>

        Fix Bug 17678: run-webkit-tests should have a watchdog timer (and
        timeout long tests)

        <https://bugs.webkit.org/show_bug.cgi?id=17678>

        We now abort tests that take longer than 60 seconds to produce output.
        This matches the watchdog timer in DRT/mac and DRT/win (which we can
        now remove).

        Reviewed by Eric Seidel.

        * Scripts/run-webkit-tests:
        (top level): Read DRT's output using the new readFromDumpToolWithTimer
        subroutine. If readFromDumpToolWithTimer returns undefined it means
        the test timed out, so we register the test as a hang and move on.
        (sub testCrashedOrTimedOut): Renamed from testCrashed. Now handles
        both crashed and timed out tests. If the test timed out, we kill DRT
        before returning.
        (sub linksForTimedOutTest): Added. We don't have any output to link to for
        tests that timed out.
        (sub recordActualResultsAndDiff): Don't call length on undefined.
        (sub readFromDumpToolWithTimer): Added. Performs non-blocking reads
        from a filehandle until an #EOF is reached or
        $maximumSecondsWithoutOutput have elapsed.
        (sub setFileHandleNonBlocking): Marks a filehandle as blocking or
        non-blocking.

2008-04-17  Adam Roben  <aroben@apple.com>

        Refactor test results page generation

        Reviewed by Eric Seidel.

        * Scripts/run-webkit-tests:
        (sub htmlForResultsSection): Added. Takes a set of tests, a
        description, and a subroutine to generate the links for each test, and
        creates a HTML string containing a table of the tests and their
        links.
        (sub linksForExpectedAndActualResults): Added. Replaces the
        htmlForExpectedAndActualResults subroutine.
        (sub linksForMismatchTest): Added.
        (sub linksForCrashOrErrorTest): Added.
        (sub linksForNewTest): Added.

2008-04-17  Adam Roben  <aroben@apple.com>

        Print the extension for all tests in the test results page

        Reviewed by Eric Seidel.

        * Scripts/run-webkit-tests:

2008-04-17  Adam Roben  <aroben@apple.com>

        Move code that counts finished tests into a subroutine

        Reviewed by Eric Seidel.

        * Scripts/run-webkit-tests:
        (sub countFinishedTest): Added.

2008-04-17  Adam Roben  <aroben@apple.com>

        Move code that handles a crash into a subroutine

        Reviewed by Eric Seidel.

        * Scripts/run-webkit-tests:
        (sub testCrashed): Added.

2008-04-17  Eric Seidel  <eric@webkit.org>

        Reviewed by hyatt.

        Rename RenderView to RenderViewport in the next rename patch.

        * Scripts/do-webcore-rename:

2008-04-17  Mario Bensi  <mbensi@pleyo.com>

        Reviewed by Alp Toker.

        http://bugs.webkit.org/show_bug.cgi?id=18543
        DumpRenderTree gtk freeze

        fix DumpRenderTree gtk freeze

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (dump):

2008-04-15  Anders Carlsson  <andersca@apple.com>

        Add missing ;

        * Scripts/build-webkit:

2008-04-15  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        Add ENABLE_OFFLINE_WEB_APPLICATIONS to FEATURE_DEFINES.

        * Scripts/build-webkit:

2008-04-15  Andre Poenitz  <andre.poenitz@trolltech.com>

        Reviewed by Simon.

        Fix compilation with Qt namespaces

        Qt can be configured to have all of its classes inside a specified namespaces.
        This is for example used in plugin/component environments like Eclipse.

        This change makes it possible to let the Qt port compile against a namespaced
        Qt by the use of macros Qt provides to properly forward declare Qt classes in
        the namespace.

        * DumpRenderTree/qt/DumpRenderTree.h:

2008-04-08  Kevin Ollivier  <kevino@theolliviers.com>

        Reviewed by Darin Adler.

        Add a script that propagates any file changes made to the Bakefiles
        over to GTK and Qt build systems. Still needs to be wired into
        those ports though.

        * Scripts/update-sources-list.py: Added.

2008-04-08  Mark Rowe  <mrowe@apple.com>

        Clean up after Brady.

        * DumpRenderTree/mac/DumpRenderTree.mm: Add an include so that NSInteger can be found.

2008-04-08  Brady Eidson  <beidson@apple.com>

        Reviewed by Mitzpettel

        Fixed http://bugs.webkit.org/show_bug.cgi?id=18302
        -WebArchive subresources dump in random order, intermittent failures

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (compareResourceURLs): Sorting function based on the resource URLs
        (serializeWebArchiveToXML): Sort the subresource array

2008-04-07  Brady Eidson  <beidson@apple.com>

        OMG, BUILD - please!

        * Scripts/build-webkit:

2008-04-03  Holger Hans Peter Freyther  <holger.freyther@trolltech.com>

        Reviewed by Simon.

        * Enable running http tests for Qt again. Failing tests can be put into the skipped list.
        * Running these tests on windows and other platforms might need some work.

        * Scripts/run-webkit-tests:

2008-04-03  Holger Hans Peter Freyther  <holger.freyther@trolltech.com>

        Reviewed by Simon.

        * For the http tests we need the output of the FrameLoaderClient. The QtWebKit API
        is not exporting enough to create the output in DRT itself. Settle with the approach
        Lars has taken for the Editing support and add branches to our FrameLoaderClient code.
        * run-webkit-tests http/tests(/loading) can now be executed.
        * For tests in loading/ directories we are going to throw away the dirty
        QWebPage to start with something clean.


        * DumpRenderTree/qt/DumpRenderTree.cpp:

2008-04-03  Holger Hans Peter Freyther  <holger.freyther@trolltech.com>

        Reviewed by Simon.

        * Treat http and https as special URLs as well. Change the main.cpp and
        DumpRenderTree.cpp to handle http and https URIs as input.
        * I'm not doing the clean up and merging of these two checks now.


        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::DumpRenderTree::readStdin):
        * DumpRenderTree/qt/main.cpp:
        (main):

2008-04-03  Holger Hans Peter Freyther  <holger.freyther@trolltech.com>

        Reviewed by Simon.

        * Remove dumpFrameLoadCallbacks from simple-subframe.html because it is
        located in a directory with the name "loading". And this will autoamtically
        enable dumping.
        * Remove this method from the LayoutTestController as it is unused now and this
        avoids adding it to the DRT of the Qt port.


        * DumpRenderTree/LayoutTestController.cpp:
        (setPrivateBrowsingEnabledCallback):

2008-04-01  Christian Dywan  <christian@imendio.com>

        Build fix for GCC 4.3.

        * DumpRenderTree/gtk/WorkQueueItemGtk.cpp: include string.h

2008-04-01  Simon Hausmann  <hausmann@webkit.org>

        Reviewed by Holger.

        Fix Qt DRT run by also printing EOF on stderr, as expected by
        run-webkit-tests.

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::DumpRenderTree::dump):

2008-03-31  Julien Chaffraix  <julien.chaffraix@gmail.com>

        Reviewed by Darin Adler.

        Bug 17665: determineSourceDir() dies if $sourceDir has a trailing backslash

        Remove trailing '/' in $sourceDir in determineSourceDir().

        Fix suggested by Dmitriy Kazachkov.

        * Scripts/webkitdirs.pm:

2008-03-29  Adam Roben  <aroben@apple.com>

        Update for rename of an IWebViewPrivate method

        Reviewed by Mitz Pettel.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (createWebViewAndOffscreenWindow):

2008-03-26  Antti Koivisto  <antti@apple.com>

        Reviewed by Anders.

        Enable SVG animation support by default.

        * Scripts/build-webkit:

2008-03-25  Adam Roben  <aroben@apple.com>

        Windows build fix

        * DumpRenderTree/win/TestNetscapePlugin/TestNetscapePlugin.vcproj:
        Add $(WebKitLibrariesDir)\include to the include path so we can find
        stdint.h there.

2008-03-24  Eric Seidel  <eric@webkit.org>

        Reviewed by Mark.

        Clean up SVG features message to be less confusing.

        * Scripts/build-webkit:

2008-03-24  Sam Weinig  <sam@webkit.org>

        Reviewed by Dave Hyatt.

        Add EventSender.zoomPageIn/zoomPageOut support to DRT.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/mac/EventSendingController.mm:
        (+[EventSendingController isSelectorExcludedFromWebScript:]):
        (-[EventSendingController zoomPageIn]):
        (-[EventSendingController zoomPageOut]):
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/win/EventSender.cpp:
        (textZoomInCallback):
        (textZoomOutCallback):
        (zoomPageInCallback):
        (zoomPageOutCallback):

2008-03-24  Dan Bernstein  <mitz@apple.com>

        Reviewed by Mark Rowe.

        - update bisect-builds for Safari 3.1

        * Scripts/bisect-builds: Added Safari 3.1 and the corresponding minimal
        revision, r29711.

2008-03-21  Rodney Dawes  <dobey@wayofthemonkey.com>

        Reviewed by Holger.

        http://bugs.webkit.org/show_bug.cgi?id=17981

        Add webcore and javascriptcore cppflags to programs' _CPPFLAGS.

        * GNUmakefile.am:

2008-03-21  Adam Roben  <aroben@apple.com>

        Remove a non-working mirror from cygwin-downloader and add the ruby package

        * CygwinDownloader/cygwin-downloader.py:
        * CygwinDownloader/cygwin-downloader.zip: Updated.

2008-03-20  Mark Rowe  <mrowe@apple.com>

        Reviewed by Sam Weinig.

        Ensure that the defines generated for FEATURE_DEFINES are sorted so that they will match the default settings of each project.
        This will prevent the world from being rebuilt if you happen to switch between building in Xcode and with build-webkit on the
        command-line.

        * Scripts/build-webkit:

2008-03-17  Eric Seidel  <eric@webkit.org>

        Reviewed by Dan Bernstein.

        Fix bogus argCount check breaking plugin test.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:

2008-03-17  Eric Seidel  <eric@webkit.org>

        Reviewed by darin.

        Cleanup PluginObject.cpp and add support for testing
        converting from int -> identifier -> string
        and from string -> identifier -> int
        as well as round-tripping ints and stings through identifiers

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (pluginGetProperty):
        (pluginSetProperty):
        (testDOMAccess):
        (stringVariantToIdentifier):
        (int32VariantToIdentifier):
        (doubleVariantToIdentifier):
        (variantToIdentifier):
        (testIdentifierToString):
        (testIdentifierToInt):
        (testCallback):
        (getURL):
        (removeDefaultMethod):
        (getURLNotify):
        (testInvokeDefault):
        (destroyStream):
        (testEnumerate):
        (testGetIntIdentifier):
        (testGetProperty):
        (testEvaluate):
        (testGetPropertyReturnValue):
        (pluginInvoke):
        (pluginInvokeDefault):
        (pluginInvalidate):
        (pluginAllocate):
        (pluginDeallocate):
        (handleCallback):

2008-03-16  Kevin Ollivier  <kevino@theolliviers.com>

        Rubber stamped by Darin Adler.

        Add set-webkit-configuration support for wx port, and centralize
        build dir location setting.

        http://bugs.webkit.org/show_bug.cgi?id=17790

        * wx/browser/browser.bkl:
        * wx/build-wxwebkit:

2008-03-15  Darin Adler  <darin@apple.com>

        * Scripts/commit-log-editor: Include the name line of the change log entry.
        A long time ago I designed this script to not include the name because I
        thought it was redundant (same as the name of the person checking in), but
        nowadays it's more common for someone to check something in done by someone
        else.

        * Scripts/do-webcore-rename: Added some more planned renames and removed
        some that were already done "by hand".

2008-03-13  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Darin Adler.

        Correct paths to vsprops files so they use the environment
        variable, rather than hard-coded path.
        http://bugs.webkit.org/show_bug.cgi?id=17797.

        * WinLauncher/WinLauncher.vcproj:  Correct paths to vsprops.

2008-03-12  Steve Falkenburg  <sfalken@apple.com>

        VSExpress build fix

        * WinLauncher/WinLauncher.vcproj:

2008-03-12  Holger Hans Peter Freyther  <zecke@selfish.org>

        Reviewed by Alp Toker.

        Run testkjs in the correct productsDir in the GTK+ port.

        * Scripts/run-javascriptcore-tests:

2008-03-11  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Adam Roben.

        Enabled WinLauncher as part of normal Windows build.
        http://bugs.webkit.org/show_bug.cgi?id=17715.

        * WinLauncher/WinLauncher.vcproj: Update to use vsprops so that
          it can find the proper libraries to link against.

2008-03-10  Julien Chaffraix  <julien.chaffraix@gmail.com>

        Reviewed and landed by Darin Adler.

        http://bugs.webkit.org/show_bug.cgi?id=17581
        Bug 17581: Use of uninitialized value in string ne at WebKitTools/Scripts/run-webkit-tests line 1576.

        Remove the previous warning which occurs when the --random option is used.

        * Scripts/run-webkit-tests: verify that $component[0] is defined before checking for
        its inequality

2008-03-07  Simon Hausmann  <hausmann@webkit.org>

        Reviewed by Darin Adler.

        Done with Lars.

        Ported the netscape test plugin to QWebPluginFactory.

        * DumpRenderTree/qt/DumpRenderTree.cpp:
        (WebCore::WebPage::WebPage):
        * DumpRenderTree/qt/main.cpp:
        * DumpRenderTree/qt/testplugin.cpp:
        (TestPlugin::plugins):
        (TestPlugin::create):
        * DumpRenderTree/qt/testplugin.h:

2008-03-09  Steve Falkenburg  <sfalken@apple.com>

        Stop Windows build if an error occurs in a prior project.

        Rubber stamped by Darin Adler.

        * Drosera/win/Drosera.vcproj/Drosera.vcproj:
        * DumpRenderTree/win/DumpRenderTree.vcproj:
        * DumpRenderTree/win/ImageDiff.vcproj:
        * DumpRenderTree/win/TestNetscapePlugin/TestNetscapePlugin.vcproj:

2008-03-08  Julien Chaffraix  <julien.chaffraix@gmail.com>

        Reviewed by Mark Rowe.

        DRT build fix for Tiger.

        * DumpRenderTree/mac/DumpRenderTreeMac.h: Define BUILDING_ON_TIGER.

2008-03-07  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        Fix WebKit build with GCC 4.2.

        * DumpRenderTree/mac/ResourceLoadDelegate.mm: Use correct argument type in method signature.

2008-03-07  Stephanie Lewis <slewis@apple.com>

        Reviewed by Oliver.

        Add Windows part of <rdar://problem/5693690>

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (dump):
        (main):

2008-03-07  Alp Toker  <alp@atoker.com>

        Back out the r30818, r30819 build fix attempts now the GTK+ build
        server has been upgraded.

        * Scripts/webkitdirs.pm:

2008-03-07  Stephanie Lewis <slewis@apple.com>

        Reviewed by Geoff.

        <rdar://problem/5693690> run-webkit-tests swallows STDERR output, including WebCore LEAK messages

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dump): push EOF to stderr after every test
        * Scripts/run-webkit-tests: collect stderr output and print it

2008-03-07  Steve Falkenburg  <sfalken@apple.com>

        Get pdevenv working with Visual Studio Express.

        Reviewed by Adam.

        * Scripts/pdevenv:

2008-03-06  Adele Peterson  <adele@apple.com>

        Reviewed by Darin Adler.

        Updated for testing <rdar://problem/5785895> Implement hasFocus() for HTMLDocument (HTML5)

        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webViewFocus:]): Remove duplicate code that was also in LayoutTestController::setWindowIsKey
        (-[UIDelegate webViewUnfocus:]): Added.  In Safari, the default is to focus another window if there is one.
         To easily test cases where the window is unfocused, I made this just call setWindowIsKey(false).

2008-03-06  Matt Lilek  <webkit@mattlilek.com>

        Reviewed by Adam Roben.

        Bug 17691: REGRESSION: FindSafari doesn't work
        http://bugs.webkit.org/show_bug.cgi?id=17691

        Swap my change from r30394 to use the Release libraries instead of Debug
        since some machines don't have the Debug version.

        * FindSafari/FindSafari.vcproj:

2008-03-06  Kevin McCullough  <kmccullough@apple.com>

        Reviewed by Sam and Tim.

        <rdar://5631450> Drosera: breakpoint indicators disappear after the
        script is finished running.
        - If there is a pre-existing breakpoint on a line when the file is
        updated we need to redraw it.

        * Drosera/debugger.js:

2008-03-06  Brady Eidson  <beidson@apple.com>

        Tiger build fix...?

        * DumpRenderTree/mac/WatchdogMac.mm:

2008-03-06  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin

        Added a cross-platform Watchdog thread to DRT.

        The current watchdog in both DRTWin and DRTMac is Timer based.  Therefore, deadlocks and long running
        main thread hangs still affect DRT.

        By placing the watchdog on a thread and having DRT "check in" after each test, long-running hangs
        and true deadlocks can be caught.

        There is one hook for platform specific code.  As I did my development and testing on Mac, and Mac has
        `sample` available, the Mac implementation of this hook samples the process before it is killed.

        I arbitrarily chose 30 seconds as the timeout for now - this can be tweaked easily if we find a need.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/mac/Configurations/Base.xcconfig: Added LINKER_DISPLAYS_MANGLED_NAMES

        * DumpRenderTree/ForwardingHeaders/wtf/Locker.h: Added.
        * DumpRenderTree/ForwardingHeaders/wtf/Threading.h: Added.

        * DumpRenderTree/Watchdog.cpp: Added.
        (Watchdog::Watchdog):
        (Watchdog::~Watchdog):
        (Watchdog::start):
        (Watchdog::stop):
        (Watchdog::checkIn):
        (Watchdog::setWatchdogInterval):
        (Watchdog::handleHang):
        (Watchdog::watchdogThreadStart):
        (Watchdog::watchdogThread):
        * DumpRenderTree/Watchdog.h: Added.

        * DumpRenderTree/mac/WatchdogMac.h: Added.
        * DumpRenderTree/mac/WatchdogMac.mm: Added.
        (WatchdogMac::handleHang): Sample the process and write it out to a file

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dumpRenderTree): Setup and start the watchdog before running any tests
        (runTest): Checkin with the watchdog after each test

2008-03-05  Alp Toker  <alp@atoker.com>

        Attempt to get the autotools build working again on the bot with
        build-webkit.

        Force the use of /bin/bash since we seem to have bash-isms in the
        configure script right now.

        * Scripts/webkitdirs.pm:

2008-03-05  Alp Toker  <alp@atoker.com>

        Re-attempt to switch to the autotools build system for GTK+.

        Change scripts to continue when distclean fails.

        * Scripts/webkitdirs.pm:

2008-03-05  Alp Toker  <alp@atoker.com>

        Force qmake for the GTK+ build until we get the build bot to succeed
        with autotools (currently dies at make distclean)

        * Scripts/webkitdirs.pm:

2008-03-04  Alp Toker  <alp@atoker.com>

        Reviewed by Mark Rowe.

        Switch the default GTK+ build system from qmake to autotools.

        qmake can still be used by defining WEBKIT_BUILD_SYSTEM=qmake

        * Scripts/build-webkit:
        * Scripts/run-launcher:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2008-03-04  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin Adler.

        * Scripts/do-webcore-rename: Update renaming plan.

2008-03-02  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Alp Toker.

        Remove some needless LIBS.

        * GNUmakefile.am:

2008-03-02  Alp Toker  <alp@atoker.com>

        Reviewed by Mark Rowe.

        Split the WebKit GTK+ build out of the WebCore build and change the
        shared object name to match the package name.

        * GNUmakefile.am:

2008-03-01  Mark Rowe  <mrowe@apple.com>

        Reviewed by Tim Hatcher.

        Update Xcode configuration to support building debug and release from the mysterious future.

        * DumpRenderTree/mac/Configurations/Base.xcconfig:

2008-02-29  David Kilzer  <ddkilzer@apple.com>

        Pass the correct configuration switch (--Debug|--Release) to build-testkjs.

        Reviewed by Dan.

        Originally broken in r26838.

        * Scripts/run-javascriptcore-tests: Push configuration switch onto @xcodeArgs
        not local, unused @args variable.

2008-02-29  David Kilzer  <ddkilzer@apple.com>

        Bug 15754: webarchive layout tests fail when WebKit directory path contains symlinks

        <http://bugs.webkit.org/show_bug.cgi?id=15754>

        Reviewed by Geoff and Darin.

        We were using -[NSFileManager currentDirectoryPath] to get the current working directory,
        then removing that path from all file:/// URLs in the WebArchive output so these tests
        would pass no matter where they were run.

        The problem was that -[NSFileManager currentDirectoryPath] resolves symlinks in the
        current working directory, but the WebArchive does not.  This left the current working
        directory in all file:/// URLs in the test output, and thus all tests failed, for any
        developer that used symlinks to get to their WebKit source directory.

        The fix is to look backwards for "/LayoutTests/" in the URL we're passed, and simply
        remove the current working directory path (no matter what it is) after "file://" but
        before "/LayoutTests/".

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (normalizeWebResourceURL): Removed unused oldURLBase argument.  We now replace the
        current working directory as described above.
        (convertWebResourceResponseToDictionary): Remove unused oldURLBase argument.  Update
        calls to normalizeWebResourceURL().
        (serializeWebArchiveToXML): Removed now unused cwdURL variable.  Update calls to
        normalizeWebResourceURL() and convertWebResourceResponseToDictionary().

2008-02-26  Robin Dunn <robin@alldunn.com>

        Reviewed by Kevin Ollivier.

        Improvements to the wx build script.

        http://bugs.webkit.org/show_bug.cgi?id=17492

        * wx/build-wxwebkit:
        - Update the Windows dll copying logic to copy dlls inside WebKitLibraries/win
        - Allow the build script to properly find wxPython includes under different setups
        - Make sure WX_PREFIX is set to WXWIN (wxWindows dir environment var.) if not defined

2008-02-26  Timothy Hatcher  <timothy@apple.com>

        Reviewed by Darin Adler.

        * Scripts/build-webkit: Add --universal and --64-bit flags to make building
        64-bit architectures easy. Combine the two flags to build 4-way universal.
        * Makefile: Add "64" and "64u" make rules. Fix the universal rule to return
        non-zero when the build failes.

2008-02-26  Jessica Kahn  <jess@apple.com>

        Reviewed by Darin Adler.

        * Scripts/gdb-safari: Set WEBKIT_UNSET_DYLD_FRAMEWORK_PATH in gdb's environment,
        so that Safari inherits it when launched. Preexisting code in WebKit checks this
        environment variable, and if set, unsets DYLD_FRAMEWORK_PATH, so that applications
        launched by Safari continue to use the standard system WebKit.

2008-02-25  Adam Roben  <aroben@apple.com>

        Fix run-webkit-tests after r30394

        * Scripts/webkitdirs.pm: Never append _debug to FindSafari's
        executable name.

2008-02-24  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: Make some updates based on a trial run of
        the renaming script.

2008-02-24  Darin Adler  <darin@apple.com>

        * Scripts/do-webcore-rename: More renaming plans.

2008-02-23  Jan Michael Alonzo  <jmalonzo@unpluggable.com>

        Rubber stamped by Darin Adler.

        Add separator '\' after libJavaScriptCore_la_LIBADD and cleanup
        whitespaces introduced in the previous commit.

        * GNUmakefile.am:

2008-02-23  Jan Michael Alonzo  <jmalonzo@unpluggable.com>

        Rubber-stamped by Darin Adler.

        * GNUmakefile.am: Add both GLOBALDEPS and WEBKITDEPS instead of DEPENDENCIES.

2008-02-23  David Kilzer  <ddkilzer@apple.com>

        Please clarify licensing for some files
        <http://bugs.webkit.org/show_bug.cgi?id=14970>

        Reviewed by Darin Adler.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp: Added
        copyright statement.  Replaced license with newer Apple BSD-style license.
        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.h: Ditto.
        * DumpRenderTree/TestNetscapePlugIn.subproj/TestObject.cpp: Ditto.
        * DumpRenderTree/TestNetscapePlugIn.subproj/TestObject.h: Ditto.
        * DumpRenderTree/TestNetscapePlugIn.subproj/main.cpp: Ditto.
        * DumpRenderTree/win/TestNetscapePlugin/main.c: Ditto.
        * mangleme/LICENSE: Added (LGPL).

2008-02-22  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        <rdar://problem/5748781>
        https://bugs.webkit.org/show_bug.cgi?id=17413
        REGRESSION: Latest Nightly doesn't load Java plugin w/Safari 3.1b

        Copy the Java plug-in over to the new location.

        * FindSafari/FindSafari.cpp:
        (_tmain):

2008-02-22  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam.

        <rdar://problem/5747325> REGRESSION: HTTP layout tests hang

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (runTest):
        Init the URL request with the correct timeout.

2008-02-21  Mike Auty  <mike.auty@gmail.com>

        Reviewed by Alp Toker.

        http://bugs.webkit.org/show_bug.cgi?id=17445
        [GTK] WebKit doesn't compile with LDFLAGS="-Wl,--as-needed"

        GTK+/autotools build system improvements

        The GNUmakefile.am files make use of the LDFLAGS variable to include library
        additions such as -ljpeg etc.  Unfortunately, if these inclusions aren't made
        in LIBADD/LDADD variables, then they are mis-ordered during the linking.

        The as-needed flag discards libraries whose functions have not been needed by
        earlier libraries, which therefore makes the ordering important.

        This moves all -l library inclusion statements from LDFLAGS variables to
        LIBADD/LDADD variables.

        * GNUmakefile.am:

2008-02-20  Brent Fulgham  <bfulgham@gmail.com>

        Reviewed by Alp.

        - http://bugs.webkit.org/show_bug.cgi?id=17428
          Reenable a Windows-based launcher

        This patch reenables the venerable Spinneret application,
        changing its name to match the other lanch applications.

        * WinLauncher: Added.
        * WinLauncher/WinLauncher.cpp: Added.
        (WinLauncherWebHost::updateAddressBar):
        (WinLauncherWebHost::QueryInterface):
        (WinLauncherWebHost::AddRef):
        (WinLauncherWebHost::Release):
        (resizeSubViews):
        (_tWinMain):
        (MyRegisterClass):
        (InitInstance):
        (WndProc):
        (MyEditProc):
        (About):
        (loadURL):
        * WinLauncher/WinLauncher.h: Added.
        (WinLauncherWebHost::WinLauncherWebHost):
        (WinLauncherWebHost::didStartProvisionalLoadForFrame):
        (WinLauncherWebHost::didReceiveServerRedirectForProvisionalLoadForFrame):
        (WinLauncherWebHost::didFailProvisionalLoadWithError):
        (WinLauncherWebHost::didCommitLoadForFrame):
        (WinLauncherWebHost::didReceiveTitle):
        (WinLauncherWebHost::didReceiveIcon):
        (WinLauncherWebHost::didFinishLoadForFrame):
        (WinLauncherWebHost::didFailLoadWithError):
        (WinLauncherWebHost::didChangeLocationWithinPageForFrame):
        (WinLauncherWebHost::willPerformClientRedirectToURL):
        (WinLauncherWebHost::didCancelClientRedirectForFrame):
        (WinLauncherWebHost::willCloseFrame):
        (WinLauncherWebHost::windowScriptObjectAvailable):
        * WinLauncher/WinLauncher.ico: Added.
        * WinLauncher/WinLauncher.rc: Added.
        * WinLauncher/WinLauncher.vcproj: Added.
        * WinLauncher/resource.h: Added.
        * WinLauncher/small.ico: Added.
        * WinLauncher/stdafx.cpp: Added.
        * WinLauncher/stdafx.h: Added.

2008-02-19  Brady Eidson  <beidson@apple.com>

        Reviewed by Geoff

        Fixed a bug in DRT --threaded mode

        * DumpRenderTree/pthreads/JavaScriptThreadingPthreads.cpp:
        (startJavaScriptThreads): Don't detach the newly created thread.  The later call to stopJavaScriptThreads() tries
          to pthread_join() each thread that had been created, but you can't join a detached thread!

2008-02-18  Brady Eidson  <beidson@apple.com>

        Changes by Geoff Garen, Reviewed by Darin

        Fix for <rdar://5747529> - ObjC Exception can cause JSLock to never be released

        DRT changes for test: platform/mac/plugins/webScriptObject-exception-deadlock.html

        [WebScriptObject valueForKey:] might throw an exception, and previously might have "leaked" the global JSLock
        This test calls valueForKey, then runs some arbitrary Javascript on a 2ndary thread.  If the lock has leaked,
        this series of method calls will deadlock.  If things are good, it will complete successfully.

        * DumpRenderTree/mac/ObjCController.m:
        (runJavaScriptThread):
        (+[ObjCController isSelectorExcludedFromWebScript:]):
        (+[ObjCController webScriptNameForSelector:]):
        (-[ObjCController testValueForKey]):

2008-02-18  Matt Lilek  <webkit@mattlilek.com>

        Reviewed by Adam.

        Remove FindSafari's Release configuration.

        * FindSafari/FindSafari.vcproj:

2008-02-15  Adam Roben  <aroben@apple.com>

        Fix a typo that broke the Mac build

        Reviewed by Mark.

        * Scripts/build-webkit:

2008-02-14  Adam Roben  <aroben@apple.com>

        Turn on cross-document messaging support by default

        Reviewed by Darin Adler.

        * Scripts/build-webkit:

2008-02-14  Adam Roben  <aroben@apple.com>

        Conditionalize cross-document messaging support

        The cross-document messaging parts of HTML 5 are in flux and we want
        ports to be able to turn off the support as needed.

        Note that the support is turned off by default right now. A subsequent
        commit will turn it on by default.

        Reviewed by Darin Adler.

        * Scripts/build-webkit:

2008-02-14  Darin Adler  <darin@apple.com>

       - fix Windows build

        * DumpRenderTree/win/UIDelegate.cpp:
        (UIDelegate::setStatusText): Update parameter types to match declaration.

2008-02-14  Oliver Hunt  <oliver@apple.com>

        Reviewed by Geoff G and Weinig.

        Add ability for DRT to report tests setting the status text.

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (dumpStatusCallbacksCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:setStatusText:]):
        * DumpRenderTree/win/UIDelegate.cpp:
        * DumpRenderTree/win/UIDelegate.h:

2008-02-13  Adam Roben  <aroben@apple.com>

        Windows build fix

        * DumpRenderTree/ForwardingHeaders/wtf/MathExtras.h: Added.

2008-02-13  Adam Roben  <aroben@apple.com>

        Windows/GTK+ build fix

        * DumpRenderTree/LayoutTestController.cpp: #include MathExtras.h to
        get isnan.

2008-02-13  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin Adler

        Add some much needed Database support to DRT

        * DumpRenderTree/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (dumpDatabaseCallbacksCallback): Flag to control if the UIDelegate methods related to
          databases are called
        (clearAllDatabasesCallback): Allow a test to delete all databases
        (setDatabaseQuotaCallback): Allow a test to set the quota new origins will get
        (LayoutTestController::staticFunctions):

        * DumpRenderTree/LayoutTestController.h:
        (LayoutTestController::dumpDatabaseCallbacks):
        (LayoutTestController::setDumpDatabaseCallbacks):

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::clearAllDatabases):
        (LayoutTestController::setDatabaseQuota):

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::clearAllDatabases): Stubbed out
        (LayoutTestController::setDatabaseQuota): Ditto
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::clearAllDatabases): Stubbed out with error message
        (LayoutTestController::setDatabaseQuota): Ditto

        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:frame:exceededDatabaseQuotaForSecurityOrigin:database:]): Print a
          message with details about the event then return a 5mb quota like before


2008-02-12  Steve Falkenburg  <sfalken@apple.com>

        Changes to support merged MIDL output.

        All COM interfaces are now generated to WebKit.h.

        Reviewed by Sam, Ada.

        * Drosera/win/BaseDelegate.h:
        * Drosera/win/DebuggerClient.cpp:
        * Drosera/win/DebuggerDocumentPlatform.cpp:
        * Drosera/win/Drosera.cpp:
        * Drosera/win/ServerConnection.cpp:
        * Drosera/win/ServerConnection.h:
        * DumpRenderTree/win/DumpRenderTree.cpp:
        * DumpRenderTree/win/EditingDelegate.h:
        * DumpRenderTree/win/EventSender.cpp:
        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        * DumpRenderTree/win/FrameLoadDelegate.h:
        * DumpRenderTree/win/GCControllerWin.cpp:
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        * DumpRenderTree/win/PolicyDelegate.h:
        * DumpRenderTree/win/ResourceLoadDelegate.h:
        * DumpRenderTree/win/UIDelegate.cpp:
        * DumpRenderTree/win/UIDelegate.h:
        * DumpRenderTree/win/WorkQueueItemWin.cpp:

2008-02-10  Dan Bernstein  <mitz@apple.com>

        Reviewed by Oliver Hunt.

        - fix a memory leak

        * DumpRenderTree/cg/ImageDiffCG.cpp:
        (getDifferenceBitmap): Use a static CFMutableData instead of allocating
        and leaking the buffer each time.

2008-02-07  Adam Roben  <aroben@apple.com>

        Fix error in bisect-builds when responding "broken" for the first
        build

        Reviewed by Dave Kilzer.

        * Scripts/bisect-builds: Only try to test the build if the nightly
        info for the current index has not been deleted.

2008-02-07  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Alexey Proskuryakov.

        Fixed two minor typos in the --root option, to get it working.

        * Scripts/run-sunspider:
            1. Actually assign the function argument to our local variable.
            2. Actually set the $root variable, so we don't try to build later.

2008-02-05  Oliver Hunt  <oliver@apple.com>

        RS=Eric.

        Re-enable foreignObject by default as it is needed for a number of non-fO
        related SVG tests and none of the old known crashes occur anymore.

        * Scripts/build-webkit:

2008-02-05  Steve Falkenburg  <sfalken@apple.com>

        Build fix.  Don't override intermediate directory.

        * Drosera/win/Drosera.vcproj/Drosera.vcproj:

2008-02-05  Holger Hans Peter Freyther  <zecke@selfish.org>

        Build fix for Windows. willCloseFrame is a pure virtual and we are
        forced to have an implementation.

        This partially reverts r30014.

        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::willCloseFrame):
        * DumpRenderTree/win/FrameLoadDelegate.h:

2008-02-05  Nikolas Zimmermann  <zimmermann@kde.org>

        Reviewed by Holger.

        Don't build wrapper for SVGTestCase.js (special file for svg/dynamic-updates)

        * Scripts/make-js-test-wrappers:

2008-02-05  Holger Freyther  <zecke@selfish.org>

        Reviewed by Darin Adler.

        In http://bugs.webkit.org/show_bug.cgi?id=16853 it was identified that the
        the output of the willCloseFrame and didClearWindowObject FrameLoadDelegate
        depends on the order the tests are executed.

        Propose to remove willCloseFrame and didlCearWindowObject output from the
        FrameLoadDelegate and update the test results. The output of didClearWindowObject
        is not interesting for any of the current tests and we have other ways to find
        out if a frame was closed or not.

        * DumpRenderTree/mac/FrameLoadDelegate.mm:
        * DumpRenderTree/win/FrameLoadDelegate.cpp:
        (FrameLoadDelegate::didClearWindowObject):
        * DumpRenderTree/win/FrameLoadDelegate.h:

2008-02-04  Mark Rowe  <mrowe@apple.com>

        Reviewed by Oliver Hunt.

        Workaround for http://bugs.webkit.org/show_bug.cgi?id=16842
        Bug 16842: Hang in DRT in leaks mode due to signal handler doing unsafe things

        Don't install the signal handler unless we are running the pixel tests.
        It is currently only used to restore the color profile, but by catching
        signals we can trigger a deadlock in DRT while running leak tests.
        The deadlock is tracked by http://bugs.webkit.org/show_bug.cgi?id=16842,
        and a more complete fix will need to be developed to address this for
        pixel tests as well.

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dumpRenderTree):

2008-02-04  Mark Rowe  <mrowe@apple.com>

       Gtk qmake build fix.

        * Scripts/webkitdirs.pm:  Fix perl's complaint about an odd number of elements in anonymous hash.

2008-02-04  Jan Michael Alonzo  <jmalonzo@unpluggable.com>

        Reviewed by Alp Toker and Mark Rowe.

        http://bugs.webkit.org/show_bug.cgi?id=16618
        [GTK] build-webkit and run-webkit-tests autootools support

        * Scripts/build-webkit: added --database and --icon-database options
        * Scripts/run-launcher:
        * Scripts/run-webkit-tests:
        * Scripts/webkitdirs.pm:

2008-02-04  Oliver Hunt  <oliver@apple.com>

        Reviewed by Steve F.

        Partial fix for <rdar://5621244> Drag & Drop doesn't work correctly in DRT

        Implement required DRT functionality to allow majority of Drag and Drop testcases to work.
        Issues include:
          * Uses Sleep() to implement leapForward reliably.
          * 3 DND tests still fail for reasons that i have not yet determined
          * Has to explicitly ignore an extraneous WM_MOUSELEAVE that i am at a loss to explain

        * DumpRenderTree/win/EventSender.cpp:
        (leapForwardCallback):
        (mouseDownCallback):
        (doMouseUp):
        (mouseUpCallback):
        (doMouseMove):
        (mouseMoveToCallback):
          Minor updates to these functions to handle the different message queue structure.

        (replaySavedEvents):
          More complicated now.  Where possible we just use the old while-loop model of execution,
          but when leapForward has been used we have to jump through some hoops and set up an
          inner event loop so that we can ensure messages get the correct time stamp.

        * DumpRenderTree/win/UIDelegate.cpp:
        (UIDelegate::doDragDrop):
          Call replaySavedEvents directly to force synchronous handling of drag and drop.

2008-02-04  Rodney Dawes  <dobey@wayofthemonkey.com>

        Reviewed by Alp Toker and Mark Rowe.

        Fix http://bugs.webkit.org/show_bug.cgi?id=17175.
        Bug 17175: Use of C++ compiler flags in CFLAGS

        * GNUmakefile.am: Use global_cxxflags as well as global_cflags in CXXFLAGS.

2008-02-04  Darin Adler  <darin@apple.com>

        Reviewed by Geoff.

        * Scripts/make-js-test-wrappers: Look at the whole LayoutTests tree, not just the fast
        and svg subdirectories. Added some more exceptions for the benefit of the fast/dom
        subdirectory.

2008-02-04  Adam Roben  <aroben@apple.com>

        Windows Apple-only build fix

        * DumpRenderTree/win/DumpRenderTree.vcproj: Added a new include
        directory.

2008-02-04  Alp Toker  <alp@atoker.com>

        Rubber-stamped by Mark Rowe.

        Remove all trailing whitespace in the GTK+ port and related
        components.

        * DumpRenderTree/gtk/DumpRenderTreeGtk.h:
        * DumpRenderTree/gtk/GCControllerGtk.cpp:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        * GNUmakefile.am:

2008-02-01  Eric Seidel  <eric@webkit.org>

        Reviewed by Oliver.

        Also search LayoutTests/svg for js-based tests.

        * Scripts/make-js-test-wrappers:

2008-01-31  Alp Toker  <alp@atoker.com>

        Rubber-stamped by Adam Roben.

        http://bugs.webkit.org/show_bug.cgi?id=17006
        [GTK] Header path should be webkit/webkit.h

        Move the GTK+ API sources as needed and update the build systems.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        * DumpRenderTree/gtk/DumpRenderTreeGtk.h:
        * DumpRenderTree/gtk/WorkQueueItemGtk.cpp:
        * GNUmakefile.am:
        * GtkLauncher/main.c:

2008-01-30  Stephanie  <slewis@apple.com>

        Reviewed by Geoff.

        Add an option to run-webkit-tests to merge leaks results and print the number of unique leaks found under a certain call depth.  This should make it easier for the buildbots to track new leaks.

        * Scripts/run-webkit-tests:

2008-01-30  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Adam Roben.

        One more debug (external) fix.

        * DumpRenderTree/win/DumpRenderTree.cpp: TestNetscapePlugin is built with a _debug suffix in both DebugInternal
        and Debug configurations.

2008-01-29  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Sam Weinig. Sam Weinig.

        Fixed <rdar://problem/5692566> fast/encoding/mailto-always-utf-8.html
        fails when run after fast/dom/Window/window-property-shadowing.html (16902)

        Modified our policy delegates not to output window.name. Since a
        previous test may have explicitly set window.name, we can't rely on its
        implicit value in test results.

        * DumpRenderTree/mac/PolicyDelegate.mm:
        (-[PolicyDelegate webView:decidePolicyForNavigationAction:request:frame:decisionListener:]):

        * DumpRenderTree/win/PolicyDelegate.cpp:
        (PolicyDelegate::decidePolicyForNavigationAction):

2008-01-29  Mark Rowe  <mrowe@apple.com>

        Reviewed by Tim Hatcher.

        <rdar://problem/5600926> WebCore on Tiger must link to its own copy of SQLite 3.4 or newer (so HTML database behavior will be correct).

        * Scripts/build-webkit: Copy SQLite static library and headers into the build directory.

2008-01-29  David Kilzer  <ddkilzer@apple.com>

        Refactor ChangeLog path code

        Reviewed by Adam.

        * Scripts/prepare-ChangeLog: Simplify code in one foreach() loop, and extract
        duplicate code in another foreach() loop.

2008-01-29  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Darin Adler.

        <rdar://problem/5710692> All storage tests fail/crash

        * DumpRenderTree/mac/UIDelegate.mm:
        (-[UIDelegate webView:frame:exceededDatabaseQuotaForSecurityOrigin:database:]): Set an
        arbitrary quota of 5 megabytes.

        (-[UIDelegate webView:frame:quotaForSecurityOrigin:toCreateDatabase:withEstimatedSize:]):
        (-[UIDelegate webView:frame:quotaForSecurityOrigin:fromProposedQuota:database:]):
        Removed unused (I think) code.

        * DumpRenderTree/win/UIDelegate.cpp:
        (UIDelegate::QueryInterface): IWebUIDelegatePrivate3 is now supported.
        (UIDelegate::webViewPainted): A stub implementation.
        (UIDelegate::exceededDatabaseQuota): Set an arbitrary quota of 5 megabytes.
        * DumpRenderTree/win/UIDelegate.h:

2008-01-27  Jan Michael Alonzo  <jmalonzo@unpluggable.com>

        GTK+ DRT build fix for breakage introduced in r29822.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setPersistentUserStyleSheetLocation):
        (LayoutTestController::clearPersistentUserStyleSheet):

2008-01-27  Dan Bernstein  <mitz@apple.com>

        Reviewed by Darin Adler.

        - add support for directory prologues and epilogues to run-webkit-tests
        - allow setting a persistent user style sheet in DumpRenderTree
        - activate the WebKit Layout Tests font in Windows DumpRenderTree

        * DumpRenderTree/LayoutTestController.cpp:
        (clearPersistentUserStyleSheetCallback): Added.
        (setPersistentUserStyleSheetLocationCallback): Added.
        (LayoutTestController::staticFunctions): Added.
        clearPersistentUserStyleSheet and setPersistentUserStyleSheet.
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (setPersistentUserStyleSheetLocation): Added.
        (resetWebViewToConsistentStateBeforeTesting): Added the user style sheet
        to the set of things this function resets. Now it either disables the
        user style sheet or sets it to the persistent user style sheet and
        enables it.
        * DumpRenderTree/mac/DumpRenderTreeMac.h:
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setPersistentUserStyleSheetLocation): Added.
        (LayoutTestController::clearPersistentUserStyleSheet): Added.
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (setPersistentUserStyleSheetLocation): Added.
        (initialize): Added the WebKit Layout Tests font to the set of fonts to
        install.
        (resetWebViewToConsistentStateBeforeTesting): See DumpRenderTree.mm.
        * DumpRenderTree/win/DumpRenderTreeWin.h:
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setPersistentUserStyleSheetLocation): Added.
        (LayoutTestController::clearPersistentUserStyleSheet): Added.
        * Scripts/run-webkit-tests: Changed to look for, and if found process in
        DumpRenderTree, files named run-webkit-tests-prologue.html and
        run-webkit-tests-epilogue.html in the resources subdirectory of any
        test directory and platform test results directory. The prologues are
        processed before the first test from the directory (and its
        subdirectories) is run, and the epilogues are processed after the last
        test from the directory is run. Platform-specific prologues and
        epilogues are processed in order of specificity.

2008-01-25  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Mark Rowe.

        <rdar://problem/5699933> http/tests/security/cross-frame-access-get.html is still failing

        * DumpRenderTree/win/DumpRenderTree.cpp: (main): Clear HTTP cache to ensure consistent test environment
        (matching Mac DRT).
        * DumpRenderTree/win/DumpRenderTree.vcproj: Link to CFNetwork.

2008-01-24  Sam Weinig  <sam@webkit.org>

        Reviewed by Ada Chan.

        Fix for <rdar://5131975> DumpRenderTree doesn't support undo/redo

        - Adds simplified UndoManager to windows DRT to allow testing the
          undo/redo code paths in WebCore and WebKit.  This is a temporary
          solution to an issue that should eventually be solved by having a
          shared UndoManager in WebKit.

        * DumpRenderTree/win/DumpRenderTree.cpp:
        (runTest):
        * DumpRenderTree/win/UIDelegate.cpp:
        (DRTUndoObject::DRTUndoObject):
        (DRTUndoObject::invoke):
        (DRTUndoStack::~DRTUndoStack):
        (DRTUndoStack::isEmpty):
        (DRTUndoStack::clear):
        (DRTUndoStack::push):
        (DRTUndoStack::pop):
        (DRTUndoManager::canRedo):
        (DRTUndoManager::canUndo):
        (DRTUndoManager::DRTUndoManager):
        (DRTUndoManager::removeAllActions):
        (DRTUndoManager::registerUndoWithTarget):
        (DRTUndoManager::redo):
        (DRTUndoManager::undo):
        (UIDelegate::UIDelegate):
        (UIDelegate::resetUndoManager):
        (UIDelegate::registerUndoWithTarget):
        (UIDelegate::removeAllActionsWithTarget):
        (UIDelegate::setActionTitle):
        (UIDelegate::undo):
        (UIDelegate::redo):
        (UIDelegate::canUndo):
        (UIDelegate::canRedo):
        * DumpRenderTree/win/UIDelegate.h:

2008-01-23  Adam Roben  <aroben@apple.com>

        Allow directories containing ChangeLogs to be passed to
        resolve-ChangeLogs

        Reviewed by David Kilzer.

        * Scripts/resolve-ChangeLogs:
        (sub findChangeLog): Return a ChangeLog contained within the specified
        directory if one exists.

2008-01-23  Steve Falkenburg  <sfalken@apple.com>

        <rdar://problem/5698732> Copyright strings should include 2008

        Reviewed by Sam.

        * Drosera/win/Drosera.vcproj/Drosera.rc:
        * DumpRenderTree/win/TestNetscapePlugin/TestNetscapePlugin.rc:

2008-01-23  Alp Toker  <alp@atoker.com>

        Rubber-stamped by Mark Rowe.

        Remove whitespace after -I in automake include lists.

        * GNUmakefile.am:

2008-01-23  Michael Goddard <michael.goddard@trolltech.com>

        Reviewed by Lars Knoll <lars@trolltech.com>.

        Reworked the JavaScriptCore Qt bindings:

        * Update JS DRT controller for Qt JS binding changes.
        There were two functions that needed some changes
        so that the layout tests would work, so this makes
        a few tests pass again.

        * Bump the timeout for layout tests up to 11s.
        At least some tests have an internal timeout of
        10 seconds, so make the waitUntilDone approach
        wait at least 11s.  fast/dom/open-and-close-by-DOM.html
        is one of these - now the failure message is more
        accurate.


        * DumpRenderTree/qt/jsobjects.cpp:
        (LayoutTestController::waitUntilDone):
        * DumpRenderTree/qt/jsobjects.h:

2008-01-22  Anders Carlsson  <andersca@apple.com>

        Reviewed by Darin and Adam.

        <rdar://problem/5688975>
        div element on microsoft site has wrong left offset.

        Add new method for testing the return vale of NPN_GetProperty.

        * DumpRenderTree/TestNetscapePlugIn.subproj/PluginObject.cpp:
        (pluginInvoke):

2008-01-22  Alexey Proskuryakov  <ap@webkit.org>

        Reviewed by Adam Roben.

        <rdar://problem/5670257> editing/selection/4895428-3.html makes editing/selection/5131716-2.html fail

        * DumpRenderTree/win/EventSender.cpp: (makeEventSender): Reset static variables for a new test.

2008-01-21  Jan Michael Alonzo  <jmalonzo@unpluggable.com>

        Reviewed by Alp Toker.

        http://bugs.webkit.org/show_bug.cgi?id=16955
        Get errors when cross-compile webkit-gtk

        * GNUmakefile.am: Removed ICU_CFLAGS

2008-01-21  Darin Adler  <darin@apple.com>

        Reviewed by Mitz and Adam.

        * Scripts/svn-create-patch: Sort ChangeLog files first. Also slightly improved the
        sorting speed by doing all sort criteria in a single pass instead of three sorts.

